<?php
// Directories
define('CMSMASTERS_THEME', TEMPLATEPATH.'/theme');
define('CMSMASTERS_ADMIN', CMSMASTERS_THEME.'/administrator');
define('CMSMASTERS_CLASSES', CMSMASTERS_THEME.'/classes');
define('CMSMASTERS_FUNCTIONS', CMSMASTERS_THEME.'/functions');
define('CMSMASTERS_PAGES', CMSMASTERS_THEME.'/pages');
define('CMSMASTERS_ADMIN_CSS', get_template_directory_uri().'/theme/administrator/css');
define('CMSMASTERS_ADMIN_JS', get_template_directory_uri().'/theme/administrator/js');



// Load Theme Update Notifire
require(CMSMASTERS_FUNCTIONS.'/update-notifier.php');

// Load Theme Options
require_once(CMSMASTERS_ADMIN.'/admin-options.php');

// Load Admin Interface
require_once(CMSMASTERS_ADMIN.'/admin-interface.php');

// Load Admin Meta Boxes
require_once(CMSMASTERS_ADMIN.'/post-options.php');

// Load Form Builder
require_once(CMSMASTERS_ADMIN.'/form-builder.php');

// Load Admin Scripts and Css
require_once(CMSMASTERS_ADMIN.'/admin-scripts.php');

// Load TinyMCE Plugin
require_once(CMSMASTERS_ADMIN.'/tinymce/tinymce.php');

// Load Theme Functions
require_once(CMSMASTERS_FUNCTIONS.'/theme-functions.php');

// Load Custom Shortcodes
require_once(CMSMASTERS_FUNCTIONS.'/shortcodes.php');

// Load Options from the Database
require_once(CMSMASTERS_CLASSES.'/var.php');

// Load Pagination
require_once(CMSMASTERS_CLASSES.'/wp-pagenavi.php');

// Load Breadcrumbs
require_once(CMSMASTERS_CLASSES.'/breadcrumb.php');

// Load Sidebar Generator Class
require_once(CMSMASTERS_CLASSES.'/sidebar-generator.php');

// Load Widgets Classes
require_once(CMSMASTERS_CLASSES.'/widgets.php');



// Redirect to Theme Options Page and Import Backggounds, Fonts, Forms and Icons on Theme Activation
if (isset($_GET['activated'])){
	global $wpdb, $shortname;
	
	if ($wpdb->get_var('SHOW TABLES LIKE "'.$wpdb->prefix.$shortname.'_bgs"') != $wpdb->prefix.$shortname.'_bgs'){
		$table = $wpdb->prefix.$shortname.'_bgs';
		$create_query = "CREATE TABLE $table (
			id INT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
			bg_type VARCHAR(10) NOT NULL,
			bg_url VARCHAR(255) NOT NULL,
			bg_thumb_url VARCHAR(255) NOT NULL,
			bg_position_y VARCHAR(10) NOT NULL,
			bg_position_x VARCHAR(10) NOT NULL,
			bg_repeat VARCHAR(10) NOT NULL,
			bg_attachment VARCHAR(10) NOT NULL,
			UNIQUE KEY id (id)
		);";
		
		$wpdb->query($create_query);
		
		$objDOM = new DOMDocument();
		$objDOM->load(TEMPLATEPATH.'/theme/import/bgs.xml');
		$bgs = $objDOM->getElementsByTagName('bg');
		
		foreach ($bgs as $bg){
			$bg_type = $bg->getAttribute('type');
			$bg_url = $bg->getElementsByTagName('bg_url');
			$bg_url = $bg_url->item(0)->nodeValue;
			$bg_thumb_url = $bg->getElementsByTagName('bg_thumb_url');
			$bg_thumb_url = $bg_thumb_url->item(0)->nodeValue;
			$bg_position_y = $bg->getElementsByTagName('bg_position_y');
			$bg_position_y = $bg_position_y->item(0)->nodeValue;
			$bg_position_x = $bg->getElementsByTagName('bg_position_x');
			$bg_position_x = $bg_position_x->item(0)->nodeValue;
			$bg_repeat = $bg->getElementsByTagName('bg_repeat');
			$bg_repeat = $bg_repeat->item(0)->nodeValue;
			$bg_attachment = $bg->getElementsByTagName('bg_attachment');
			$bg_attachment = $bg_attachment->item(0)->nodeValue;
			
			$wpdb->query($wpdb->prepare("INSERT INTO $table (bg_type, bg_url, bg_thumb_url, bg_position_y, bg_position_x, bg_repeat, bg_attachment) VALUES (%s, %s, %s, %s, %s, %s, %s)", array($bg_type, $bg_url, $bg_thumb_url, $bg_position_y, $bg_position_x, $bg_repeat, $bg_attachment))); 
		}
	}
	
	if ($wpdb->get_var('SHOW TABLES LIKE "'.$wpdb->prefix.$shortname.'_fonts"') != $wpdb->prefix.$shortname.'_fonts'){
		$table = $wpdb->prefix.$shortname.'_fonts';
		$create_query = "CREATE TABLE $table (
			id INT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
			font_type VARCHAR(10) NOT NULL,
			font_name VARCHAR(100) NOT NULL,
			font_parameter VARCHAR(255) NOT NULL,
			UNIQUE KEY id (id)
		);";
		
		$wpdb->query($create_query);
		
		$objDOM = new DOMDocument();
		$objDOM->load(TEMPLATEPATH.'/theme/import/fonts.xml');
		$fonts = $objDOM->getElementsByTagName('font');
		
		foreach ($fonts as $font){
			$font_type = $font->getAttribute('type');
			$font_name = $font->getElementsByTagName('font_name');
			$font_name = $font_name->item(0)->nodeValue;
			$font_parameter = $font->getElementsByTagName('font_parameter');
			$font_parameter = $font_parameter->item(0)->nodeValue;
			
			$wpdb->query($wpdb->prepare("INSERT INTO $table (font_type, font_name, font_parameter) VALUES (%s, %s, %s)", array($font_type, $font_name, $font_parameter))); 
		}
	}
	
	if ($wpdb->get_var('SHOW TABLES LIKE "'.$wpdb->prefix.$shortname.'_forms"') != $wpdb->prefix.$shortname.'_forms'){
		$table = $wpdb->prefix.$shortname.'_forms';
		$create_query = "CREATE TABLE $table (
			id INT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
			number INT(4) NOT NULL,
			slug VARCHAR(255) NOT NULL,
			parent_slug VARCHAR(255) NOT NULL,
			type VARCHAR(20) NOT NULL,
			label VARCHAR(255) NOT NULL,
			value TEXT NULL,
			description TEXT NULL,
			parameters VARCHAR(255) NULL,
			UNIQUE KEY id (id)
		);";
		
		$wpdb->query($create_query);
		
		$objDOM = new DOMDocument();
		$objDOM->load(TEMPLATEPATH.'/theme/import/forms.xml');
		$forms = $objDOM->getElementsByTagName('form');
		
		foreach ($forms as $form){
			$field_type = $form->getAttribute('type');
			$field_number = $form->getElementsByTagName('field_number');
			$field_number = $field_number->item(0)->nodeValue;
			$field_slug = $form->getElementsByTagName('field_slug');
			$field_slug = $field_slug->item(0)->nodeValue;
			$field_p_slug = $form->getElementsByTagName('field_p_slug');
			$field_p_slug = $field_p_slug->item(0)->nodeValue;
			$field_label = $form->getElementsByTagName('field_label');
			$field_label = $field_label->item(0)->nodeValue;
			$field_value = $form->getElementsByTagName('field_value');
			$field_value = $field_value->item(0)->nodeValue;
			$field_descr = $form->getElementsByTagName('field_descr');
			$field_descr = $field_descr->item(0)->nodeValue;
			$field_params = $form->getElementsByTagName('field_params');
			$field_params = $field_params->item(0)->nodeValue;
			
			$wpdb->query($wpdb->prepare("INSERT INTO $table (number, slug, parent_slug, type, label, value, description, parameters) VALUES (%d, %s, %s, %s, %s, %s, %s, %s)", array($field_number, $field_slug, $field_p_slug, $field_type, $field_label, $field_value, $field_descr, $field_params))); 
		}
	}
	
	if ($wpdb->get_var('SHOW TABLES LIKE "'.$wpdb->prefix.$shortname.'_icons"') != $wpdb->prefix.$shortname.'_icons'){
		$table = $wpdb->prefix.$shortname.'_icons';
		$create_query = "CREATE TABLE $table (
			id INT(4) UNSIGNED NOT NULL AUTO_INCREMENT,
			icon_name VARCHAR(50) NOT NULL,
			icon_file VARCHAR(100) NOT NULL,
			icon_tooltip VARCHAR(255) NOT NULL,
			icon_link VARCHAR(255) NOT NULL,
			UNIQUE KEY id (id)
		);";
		
		$wpdb->query($create_query);
		
		$objDOM = new DOMDocument();
		$objDOM->load(TEMPLATEPATH.'/theme/import/icons.xml');
		$icons = $objDOM->getElementsByTagName('icon');
		
		foreach ($icons as $icon){
			$icon_name = $icon->getAttribute('name');
			$icon_file = $icon->getElementsByTagName('icon_file');
			$icon_file = $icon_file->item(0)->nodeValue;
			$icon_tooltip = $icon->getElementsByTagName('icon_tooltip');
			$icon_tooltip = $icon_tooltip->item(0)->nodeValue;
			$icon_link = $icon->getElementsByTagName('icon_link');
			$icon_link = $icon_link->item(0)->nodeValue;
			
			$wpdb->query($wpdb->prepare("INSERT INTO $table (icon_name, icon_file, icon_tooltip, icon_link) VALUES (%s, %s, %s, %s)", array($icon_name, $icon_file, $icon_tooltip, $icon_link))); 
		}
	}
	
	wp_redirect(admin_url("admin.php?page=$page_handle&upgraded=true"));
}



$locale = get_locale();

if (is_admin()){
	load_theme_textdomain('clockstone', CMSMASTERS_ADMIN.'/languages');
	$locale_file = CMSMASTERS_ADMIN.'/languages/'.$locale.'.php';
} else {
	load_theme_textdomain('clockstone', CMSMASTERS_THEME.'/languages');
	$locale_file = CMSMASTERS_THEME.'/languages/'.$locale.'.php';
}

if (is_readable($locale_file)) require_once($locale_file);



function mytheme_comment($comment, $args, $depth){
  require(CMSMASTERS_CLASSES.'/var.php');
  $GLOBALS['comment'] = $comment; 
?>

    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>" class="comment-body">
      <div class="comment_user">
		<span class="image_shadow_container">
		  <?php echo get_avatar($comment, $size='65', $default='<path_to_url>'); ?>
		  <img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png&amp;w=75" alt="" class="noimgbg" />
		</span>
	  </div>
      <div class="com_box">
		<?php comment_reply_link(array_merge($args, array('depth' => $depth, 'max_depth' => $args['max_depth'], 'reply_text' => __('Reply', 'clockstone')))); ?>
		<span class="fl"><?php echo __('by', 'clockstone').' <span class="yellow">'.get_comment_author_link().'</span> '.__('on', 'clockstone'); ?></span>
		<small class="post_data"><?php printf(__('%1$s', 'clockstone'), get_comment_date('F j, Y')) ?></small>
		<div class="cl"></div>
		<?php comment_text() ?>
		<?php if ($comment->comment_approved == '0') : ?>
			<em class="fr"><?php _e('Your comment is awaiting moderation.', 'clockstone'); ?></em>
			<br /><br />
		<?php endif; ?>
		<?php edit_comment_link(__('EDIT', 'clockstone')) ?>
	  </div>
     </div>
<?php } ?>
