<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */
 
	require CMSMASTERS_CLASSES.'/var.php';
	
	$slider_active = get_post_meta(get_the_ID(), 'slidertools_active', true);
	$slider_type = get_post_meta(get_the_ID(), 'slidertools_type', true);
	
	$bgtools_active = get_post_meta(get_the_ID(), 'bgtools_active', true); 
	$bgtools_skin = get_post_meta(get_the_ID(), 'bgtools_skin', true); 
	$bgtools_color = get_post_meta(get_the_ID(), 'bgtools_color', true); 
	$bgtools_image = get_post_meta(get_the_ID(), 'bgtools_image', true); 
	
	$seotools_active = get_post_meta(get_the_ID(), 'seotools_active', true); 
	$seotools_title = get_post_meta(get_the_ID(), 'seotools_title', true); 
	$seotools_description = get_post_meta(get_the_ID(), 'seotools_description', true); 
	$seotools_keywords = get_post_meta(get_the_ID(), 'seotools_keywords', true); 
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?><?php if (is_admin_bar_showing()){ echo ' style="margin-top:0 !important;"'; } ?>>
	<head profile="http://gmpg.org/xfn/11">
		<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
		<?php if ($seo_enable){ ?>
			<meta name="description" content="<?php if ($seotools_active == 'true' && $seotools_description != '' && !is_home() && !is_404() && !is_archive() && !is_search()){ echo $seotools_description; } else { if ($seo_description == ''){ bloginfo('description'); } else { echo $seo_description; } } ?>" />
			<meta name="keywords" content="<?php if ($seotools_active == 'true' && $seotools_keywords != '' && !is_home() && !is_404() && !is_archive() && !is_search()){ echo $seotools_keywords; } else { if ($seo_keywords == ''){ bloginfo('name'); } else { echo $seo_keywords; } } ?>" />
			<title><?php if ($seotools_active == 'true' && $seotools_title != '' && !is_home() && !is_404() && !is_archive() && !is_search()){ echo $seotools_title; } else { if ($seo_title == ''){ wp_title('&laquo;', true, 'right'); echo ' '; bloginfo('name'); } else { echo $seo_title; } } ?></title>
		<?php } else { ?>
			<meta name="description" content="<?php bloginfo('description'); ?>" />
			<meta name="keywords" content="<?php bloginfo('name'); ?>" />
			<title><?php wp_title('&laquo;', true, 'right'); bloginfo('name'); ?></title>
		<?php } ?>
		
		<?php if ($styles_disable){ ?>
			<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/theme/styleChanger/colorpicker/colorpicker.css" />
			<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/theme/styleChanger/changer.css" />
			<?php 
				if (!empty($_COOKIE['bgColor'])){ 
					$bgColor = $_COOKIE['bgColor']; 
				} else { 
					if ($bgtools_active == 'true'){
						$bgColor = $bgtools_color;
					} else {
						$bgColor = $custom_background_color;
					}
				}
				
				if (!empty($_COOKIE['bgImage'])){ 
					$bgImage = str_replace(get_template_directory_uri().'/images/bgs/', '', urldecode($_COOKIE['bgImage'])); 
				} else { 
					if ($bgtools_active == 'true'){
						$bgImage = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_url;
					} else {
						$bgImage = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_url;
					}
				}
				
				if (!empty($_COOKIE['bgImageVPos'])){
					$bgImageVPos = str_replace(" current", "", $_COOKIE['bgImageVPos']);
				} else {
					if ($bgtools_active == 'true'){
						$bgImageVPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_position_y;
					} else {
						$bgImageVPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_position_y;
					}
				}
				
				if (!empty($_COOKIE['bgImageHPos'])){
					$bgImageHPos = str_replace(" current", "", $_COOKIE['bgImageHPos']);
				} else {
					if ($bgtools_active == 'true'){
						$bgImageHPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_position_x;
					} else {
						$bgImageHPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_position_x;
					}
				}
				
				if (!empty($_COOKIE['bgImageRep'])){
					$bgImageRep = str_replace(" current", "", $_COOKIE['bgImageRep']);
				} else {
					if ($bgtools_active == 'true'){
						$bgImageRep = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_repeat;
					} else {
						$bgImageRep = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_repeat;
					}
				}
				
				if (!empty($_COOKIE['bgImageAtt'])){
					$bgImageAtt = str_replace(" current", "", $_COOKIE['bgImageAtt']);
				} else {
					if ($bgtools_active == 'true'){
						$bgImageAtt = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_attachment;
					} else {
						$bgImageAtt = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_attachment;
					}
				}
				
				if (!empty($_COOKIE['bodyColor'])){
					$bodyColor = $_COOKIE['bodyColor'];
				} else {
					if ($bgtools_active == 'true'){
						if ($bgtools_skin == 'true'){
							$bodyColor = 'white';
						} else {
							$bodyColor = 'dark';
						}
					} else {
						if ($theme_skin == true){
							$bodyColor = 'white';
						} else {
							$bodyColor = 'dark';
						}
					}
				}
				
				if (!empty($_COOKIE['headingFont'])){ 
					$headingFont = str_replace("%2B", "+", $_COOKIE['headingFont']); 
				}
				
				if (!empty($_COOKIE['contentFont'])){ 
					$contentFont = stripslashes(urldecode($_COOKIE['contentFont'])); 
				}
			} else {
				if ($bgtools_active == 'true'){
					$bgColor = $bgtools_color;
				} else {
					$bgColor = $custom_background_color;
				}
				if ($bgtools_active == 'true'){
					$bgImage = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_url;
					$bgImageVPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_position_y;
					$bgImageHPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_position_x;
					$bgImageRep = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_repeat;
					$bgImageAtt = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $bgtools_image))->bg_attachment;
				} else {
					$bgImage = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_url;
					$bgImageVPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_position_y;
					$bgImageHPos = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_position_x;
					$bgImageRep = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_repeat;
					$bgImageAtt = get_theme_bg(str_replace(get_template_directory_uri().'/images/bgs/', '', $custom_background_img))->bg_attachment;
				}
				if ($bgtools_active == 'true'){
					if ($bgtools_skin == 'true'){
						$bodyColor = 'white';
					} else {
						$bodyColor = 'dark';
					}
				} else {
					if ($theme_skin == true){
						$bodyColor = 'white';
					} else {
						$bodyColor = 'dark';
					}
				}
			}
		?>
		
		
		<?php if ($site_favicon){ 
			if (!$custom_favicon){ ?>
				<link rel="shortcut icon" href="<?php echo get_template_directory_uri(); ?>/images/favicon.png" type="image/x-icon" />
			<?php } else { ?>
				<link rel="shortcut icon" href="<?php echo $custom_favicon; ?>" type="image/x-icon" />
			<?php } 
		} ?>
		<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/prettyPhoto.css" type="text/css" />
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/jplayer.css" type="text/css" />
		<?php if ($slider_active == 'true' && $slider_type == 'architect'){ echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/css/jquery.clockstone.css" type="text/css" />'; } ?>
		<?php if ($slider_active == 'true' && $slider_type == 'coin'){ echo '<link rel="stylesheet" href="'.get_template_directory_uri().'/css/coin-slider-styles.css" type="text/css" />'; } ?>
		<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
		
		<?php 
		if ($styles_disable && $headingFont && $contentFont){
			echo "<link id='gFontName' rel='stylesheet' href='http://fonts.googleapis.com/css?family=".$headingFont.":rerular,italic,bold,bolditalic' type='text/css' />";
		} else {
			foreach (get_google_fonts() as $googlefont){
				if ($googlefont->font_parameter == $content_font || $googlefont->font_parameter == $h1_font || $googlefont->font_parameter == $h2_font || $googlefont->font_parameter == $h3_font || $googlefont->font_parameter == $h4_font || $googlefont->font_parameter == $h5_font || $googlefont->font_parameter == $h6_font || $googlefont->font_parameter == $dcp_font || $googlefont->font_parameter == $btn_font || $googlefont->font_parameter == $bqt_font || $googlefont->font_parameter == $code_font || $googlefont->font_parameter == $small_font || $googlefont->font_parameter == $input_font){
					echo "<link rel='stylesheet' href='http://fonts.googleapis.com/css?family=".$googlefont->font_parameter.":rerular,italic,bold,bolditalic' type='text/css' />\n";
				}
			}
		}
		?>
		<link rel="stylesheet" type="text/css" href="<?php echo get_template_directory_uri(); ?>/css/fonts.php" media="all" />
		<?php 
			if ($styles_disable && $headingFont && $contentFont){
				echo '<style id="gFontStyles" type="text/css"> h1, h2, h3, h4, h5, h6, .quotation, .dropcap, .but_large_trans, .but_medium_trans, .but_large_white, .but_medium_white { font-family:"'.str_replace("+", " ", $headingFont).'", '.$contentFont.'; } </style>';
				echo '<style type="text/css"> body, .blockquote_mid_c, blockquote, code, small, .cont_nav, input[type="text"], textarea { font-family:'.$contentFont.'; } </style>';
			}
		?>
		<style type="text/css"><?php echo '#navigation, #header .navigation { top:'.$header_constructor_menu_top.'px; left:'.$header_constructor_menu_left.'px; }'; ?></style>
		
		<!--[if lt IE 9]>
			<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie_css3.php" type="text/css" media="all" />
			<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/ie.css" type="text/css" />
		<![endif]-->
		
		<?php if (is_singular()){ wp_enqueue_script('comment-reply'); } ?> 
		<?php wp_head(); ?>
	</head>
	<body<?php echo ' style="background-color:#'.$bgColor.';"'; ?> <?php body_class(); ?>>
		<script type="text/javascript"> if (window.jQuery == undefined){ document.write(unescape("%3Cscript src='<?php echo get_template_directory_uri(); ?>/js/jquery-1.6.4.min.js' type='text/javascript'%3E%3C/script%3E")); } </script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.prettyPhoto.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.validationEngine.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.validationEngine-lang.php"></script>
		<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/jquery.gmap.min.js"></script>
		<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/js/script.js"></script>

<!-- _________________________ Start Page _________________________ -->
		<div id="page"<?php echo ' style="background:url('.get_template_directory_uri().'/images/bgs/'.$bgImage.') '.$bgImageVPos.' '.$bgImageHPos.' '.$bgImageRep.' '.$bgImageAtt.';"'; ?>>

<!-- _________________________ Start Page Patern _________________________ -->
			<div id="page_patern">

<!-- _________________________ Start Header _________________________ -->
				<div id="header"<?php echo ' style="height:'.$header_constructor_height.'px;'; if (is_admin_bar_showing()){ echo ' margin-top:28px !important;'; } echo '"'; ?>>
					<?php if ($site_name){
						if ($custom_title_text){
							$blog_title = $custom_title_text;
						} else {
							$blog_title = get_bloginfo('name');
							$blog_title = ($blog_title) ? $blog_title : 'Clockstone';
						}
						
						if ($custom_descr_text){
							$blog_descr = $custom_descr_text;
						} else {
							$blog_descr = get_bloginfo('description');
							$blog_descr = ($blog_descr) ? $blog_descr : 'Ultimate Website Template';
						}
					?>
						<a href="<?php echo home_url(); ?>/" title="<?php echo $blog_title; ?>" class="logo"<?php echo ' style="width:'.$header_constructor_logo_width.'px; height:'.$header_constructor_logo_height.'px; top:'.$header_constructor_logo_top.'px; left:'.$header_constructor_logo_left.'px;"'; ?>>
							<?php 
								echo '<span class="title">'.$blog_title.'</span>'; 
								if ($site_descr){ echo '<span class="title_text trans">'.$blog_descr.'</span>'; } 
							?>
						</a>
					<?php } else { ?>
						<?php if (!$custom_logo){ ?>
							<a href="<?php echo home_url(); ?>/" title="<?php bloginfo('name'); ?>" class="logo"<?php echo ' style="width:'.$header_constructor_logo_width.'px; height:'.$header_constructor_logo_height.'px; top:'.$header_constructor_logo_top.'px; left:'.$header_constructor_logo_left.'px;"'; ?>><img src="<?php echo get_template_directory_uri(); ?>/images/logo.png" alt="<?php bloginfo('name'); ?>" /></a>
						<?php } else { ?>
							<a href="<?php echo home_url(); ?>/" title="<?php bloginfo('name'); ?>" class="logo"<?php echo ' style="width:'.$header_constructor_logo_width.'px; height:'.$header_constructor_logo_height.'px; top:'.$header_constructor_logo_top.'px; left:'.$header_constructor_logo_left.'px;"'; ?>><img src="<?php echo $custom_logo; ?>" alt="<?php bloginfo('name'); ?>" /></a>
						<?php } ?>
					<?php } ?>
					<?php if ($show_header_social){ ?>
						<div class="top_line"<?php echo ' style="top:'.$header_constructor_social_top.'px; left:'.$header_constructor_social_left.'px;"'; ?>>
							<div class="inp_l">
								<div class="inp_r">
									<ul>
										<?php 
											$selectedicons = explode(',', $header_social_icons);
											foreach ($selectedicons as $selectedicon){
												foreach (get_social_icons() as $socialicon){
													if ($socialicon->icon_name == $selectedicon && $socialicon->icon_name == 'email'){
														echo '<li><a target="_blank" href="mailto:'.$socialicon->icon_link.'" title="'.$socialicon->icon_tooltip.'" class="link_tooltip"><img src="'.get_template_directory_uri().'/images/social_icons/'.$socialicon->icon_file.'" alt="'.$socialicon->icon_name.'" /></a></li>'."\n";
													} elseif ($socialicon->icon_name == $selectedicon){
														echo '<li><a target="_blank" href="'.$socialicon->icon_link.'" title="'.$socialicon->icon_tooltip.'" class="link_tooltip"><img src="'.get_template_directory_uri().'/images/social_icons/'.$socialicon->icon_file.'" alt="'.$socialicon->icon_name.'" /></a></li>'."\n";
													}
												}
											}
										?>
									</ul>
								</div>
							</div>
						</div>
					<?php } ?>
					<?php if ($show_header_login){ ?>
						<a href="<?php echo home_url(); ?>/wp-admin/?iframe=true&amp;width=100%&amp;height=100%" rel="prettyPhoto" class="user_area" title="<?php _e('User Area', 'clockstone'); ?>"<?php echo ' style="top:'.$header_constructor_login_top.'px; left:'.$header_constructor_login_left.'px;"'; ?>><?php _e('User Area', 'clockstone'); ?></a>
					<?php } ?>
					<?php if ($show_header_search){ ?>
						<div class="search_line"<?php echo ' style="top:'.$header_constructor_search_top.'px; left:'.$header_constructor_search_left.'px;"'; ?>>
							<div class="inp_l">
								<div class="inp_r">

<!-- _________________________ Start Search _________________________ -->
									<form method="get" id="topsearch" action="<?php echo home_url(); ?>/">
										<div class="search">
											<div>
												<input type="text" name="s" id="s" value="<?php _e('Search...', 'clockstone'); ?>" />
											</div>
											<input type="submit" value="" />
										</div>
									</form>
<!-- _________________________ Finish Search _________________________ -->
							
								</div>
							</div>
						</div>
					<?php } ?>

<!-- _________________________ Start Navigation _________________________ -->
					<?php wp_nav_menu(array('theme_location' => 'primary', 'container' => '', 'sort_column' => 'menu_order', 'menu_id' => 'navigation', 'menu_class' => 'navigation')); ?>
<!-- _________________________ Finish Navigation _________________________ -->

					<?php if ($show_header_html){ echo '<div style="position:absolute; width:'.$header_constructor_html_width.'px; height:'.$header_constructor_html_height.'px; top:'.$header_constructor_html_top.'px; left:'.$header_constructor_html_left.'px;">'.stripslashes($header_constructor_html_text).'</div>'; } ?>
				</div>
<!-- _________________________ Finish Header _________________________ -->


<!-- _________________________ Start Container _________________________ -->
				<div id="container">
					<?php 
						$breadcrumbs_active = get_post_meta(get_the_ID(), 'selected_breadcrumbs_active', true);
						$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
						if (!$page_layout){ $page_layout = 'sidebar_bg'; }
						if (is_404()){ $page_layout = 'nobg'; }
						$heading = get_post_meta(get_the_ID(), 'headingtools_active', true);
						if (!$heading){ $heading = 'default'; }
						$heading_title = get_post_meta(get_the_ID(), 'headingtools_title', true);
						$heading_description = get_post_meta(get_the_ID(), 'headingtools_description', true);
						$heading_icon = get_post_meta(get_the_ID(), 'headingtools_icon', true);
						if (!is_home() && !is_404() && !is_archive() && !is_search() && $slider_active == 'true'){ include TEMPLATEPATH.'/theme/pages/slider.php'; }
						if (!is_front_page() && !is_home() && !is_404() && !is_archive() && !is_search() && $breadcrumbs_active != 'disable'){ include TEMPLATEPATH.'/theme/pages/breadcrumbs.php'; }
					?>

<!-- _________________________ Start Middle _________________________ -->
					<div id="middle"<?php if ($bodyColor == 'white'){ echo ' class="white_ver"'; } ?>>
						<?php 
						if (!is_404() && !is_home()){ 
							if ($heading == 'default'){
						?>
								<div id="home">
									<div class="home_container">
										<?php 
										if (is_page_template('portfolio.php') || is_page_template('gallery.php')){
											$filter_active = get_post_meta(get_the_ID(), 'filter_active', true); 
											$cols_active = get_post_meta(get_the_ID(), 'cols_active', true); 
											$selected_numbercolumns_sidebargall = get_post_meta(get_the_ID(), 'selected_numbercolumns_sidebargall', true); 
											if (!$selected_numbercolumns_sidebargall || $selected_numbercolumns_sidebargall == ''){ $selected_numbercolumns_sidebargall = 'one'; }
											$selected_numbercolumns_fullgall = get_post_meta(get_the_ID(), 'selected_numbercolumns_fullgall', true); 
											if (!$selected_numbercolumns_fullgall || $selected_numbercolumns_fullgall == ''){ $selected_numbercolumns_fullgall = 'one'; }
											if ($_GET['columns']){
												$selected_numbercolumns = $_GET['columns'];
											} else {
												if ($page_layout == 'nobg'){
													$selected_numbercolumns = $selected_numbercolumns_fullgall;
												} else {
													$selected_numbercolumns = $selected_numbercolumns_sidebargall;
												}
											}
											if ($filter_active == 'true' || $cols_active == 'true'){
										?>
											<div class="p_options_loader"></div>
											<div class="p_options_block">
											<div class="p_sort_block"<?php if ($cols_active == 'false' || !$cols_active){ echo ' style="padding-right:5px;"'; } ?>>
											<?php if ($filter_active == 'true'){ ?>
												<div class="p_filter">
													<p><?php _e('Show', 'clockstone'); ?>:</p>
													<div class="p_filter_container">
														<a class="p_cat_filter" name="all" title="<?php _e('All Categories', 'clockstone'); ?>" href="#"><?php _e('All Categories', 'clockstone'); ?></a>
														<ul class="p_filter" style="overflow: hidden; height: 0px; padding-top: 0px; padding-bottom: 0px;">
															<li><a name="all" title="<?php _e('All Categories', 'clockstone'); ?>" href="#" class="current"><?php _e('All Categories', 'clockstone'); ?></a></li>
															<?php
																if (is_page_template('portfolio.php')){
																	$pt_categs = get_terms('pt-sort-categ', 'orderby=name');
																	if(is_array($pt_categs) && !empty($pt_categs)){
																		foreach($pt_categs as $pt_categ){
																			echo "<li><a href='#' title='$pt_categ->name' name='$pt_categ->slug'>$pt_categ->name</a></li>\n";
																		}
																	}
																} elseif (is_page_template('gallery.php')){
																	$gl_categs = get_terms('gl-sort-categ', 'orderby=name');
																	if(is_array($gl_categs) && !empty($gl_categs)){
																		foreach($gl_categs as $gl_categ){
																			echo "<li><a href='#' title='$gl_categ->name' name='$gl_categ->slug'>$gl_categ->name</a></li>\n";
																		}
																	}
																}
															?>
														</ul>
													</div>
												</div>
												<div class="p_sort">
													<p><?php _e('Sort by', 'clockstone'); ?>:</p>
													<a name="p_date" title="<?php _e('Date', 'clockstone'); ?>" href="#"><?php _e('Date', 'clockstone'); ?></a>
													<a name="p_name" title="<?php _e('Name', 'clockstone'); ?>" href="#"><?php _e('Name', 'clockstone'); ?></a>
												</div>
											<?php } ?>
											</div>
											<?php if ($cols_active == 'true'){ ?>
												<div class="switcher">
													<p><?php _e('Columns', 'clockstone'); ?>:</p>
													<a name="one_block" title="1" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=one"<?php if ($selected_numbercolumns == 'one'){ echo ' class="current"'; } ?>>1</a>
													<a name="two_blocks" title="2" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=two"<?php if ($selected_numbercolumns == 'two'){ echo ' class="current"'; } ?>>2</a>
													<a name="three_blocks" title="3" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=three"<?php if ($selected_numbercolumns == 'three'){ echo ' class="current"'; } ?>>3</a>
													<?php if ($page_layout == 'nobg'){ ?><a name="four_blocks" title="4" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=four"<?php if ($selected_numbercolumns == 'four'){ echo ' class="current"'; } ?>>4</a><?php } ?>
												</div>
											<?php } ?>
												<div class="cl"></div>
											</div>
										<?php 
											}
										} 
										?>
										<h1 class="headline">
											<?php 
												if (get_post_type() == 'testimonials'){ 
													$author_subtitle = get_post_meta(get_the_ID(), 'author_subtitle', true); 
													$out .= get_the_title();
													if ($author_subtitle){ $out .= ' ('.$author_subtitle.')'; }
													$out .= ' '.__('said', 'clockstone').':';
													echo $out;
												} elseif (is_search()){
													echo __('Search Results for', 'clockstone').': <em style="padding-left:10px;">'.get_search_query().'</em>';
												} elseif (is_archive()){
													if (is_day()) : 
														echo __('Daily Archives', 'clockstone').': <em style="padding-left:10px;">'.get_the_date().'</em>';
													elseif (is_month()) :
														echo __('Mounthly Archives', 'clockstone').': <em style="padding-left:10px;">'.get_the_date('F Y').'</em>';
													elseif (is_year()) :
														echo __('Yearly Archives', 'clockstone').': <em style="padding-left:10px;">'.get_the_date('Y').'</em>';
													elseif (is_category()) :
														echo __('Category Archives', 'clockstone').': <em style="padding-left:10px;">'.single_cat_title('', false).'</em>';
													elseif (is_tag()) :
														echo __('Tag Archives', 'clockstone').': <em style="padding-left:10px;">'.single_tag_title('', false).'</em>';
													elseif (is_author()) :
														the_post();
														echo __('Author Archives', 'clockstone').': <em style="padding-left:10px;">'.get_the_author().'</em>';
														rewind_posts();
													elseif (is_tax('nw-categs')) :
														echo __('Category Archives', 'clockstone').': <em style="padding-left:10px;">'.get_taxonomy('news').' '.single_tag_title('', false).'</em>';
													elseif (is_tax('nw-tags')) :
														echo __('Tag Archives', 'clockstone').': <em style="padding-left:10px;">'.single_tag_title('', false).'</em>';
													else : 
														_e('Website Archives', 'clockstone');
													endif;
												} else { 
													the_title(); 
												} 
											?>
										</h1>
										<div class="cl"></div>
									</div>
								</div>
						<?php } elseif (!is_archive() && !is_search() && $heading == 'custom'){ ?>
								<div id="home">
									<div class="home_container">
										<?php 
										if (is_page_template('portfolio.php') || is_page_template('gallery.php')){
											$filter_active = get_post_meta(get_the_ID(), 'filter_active', true); 
											$cols_active = get_post_meta(get_the_ID(), 'cols_active', true); 
											$selected_numbercolumns_sidebargall = get_post_meta(get_the_ID(), 'selected_numbercolumns_sidebargall', true); 
											$selected_numbercolumns_fullgall = get_post_meta(get_the_ID(), 'selected_numbercolumns_fullgall', true); 
											if ($_GET['columns']){
												$selected_numbercolumns = $_GET['columns'];
											} else {
												if ($page_layout == 'nobg'){
													$selected_numbercolumns = $selected_numbercolumns_fullgall;
												} else {
													$selected_numbercolumns = $selected_numbercolumns_sidebargall;
												}
											}
											if ($filter_active == 'true' || $cols_active == 'true'){
										?>
											<div class="p_options_loader"></div>
											<div class="p_options_block">
											<div class="p_sort_block"<?php if ($cols_active == 'false' || !$cols_active){ echo ' style="padding-right:5px;"'; } ?>>
											<?php if ($filter_active == 'true'){ ?>
												<div class="p_filter">
													<p><?php _e('Show', 'clockstone'); ?>:</p>
													<div class="p_filter_container">
														<a class="p_cat_filter" name="all" title="<?php _e('All Categories', 'clockstone'); ?>" href="#"><?php _e('All Categories', 'clockstone'); ?></a>
														<ul class="p_filter" style="overflow: hidden; height: 0px; padding-top: 0px; padding-bottom: 0px;">
															<li><a name="all" title="<?php _e('All Categories', 'clockstone'); ?>" href="#" class="current"><?php _e('All Categories', 'clockstone'); ?></a></li>
															<?php
																if (is_page_template('portfolio.php')){
																	$pt_categs = get_terms('pt-sort-categ', 'orderby=name');
																	if(is_array($pt_categs) && !empty($pt_categs)){
																		foreach($pt_categs as $pt_categ){
																			echo "<li><a href='#' title='$pt_categ->name' name='$pt_categ->slug'>$pt_categ->name</a></li>\n";
																		}
																	}
																} elseif (is_page_template('gallery.php')){
																	$gl_categs = get_terms('gl-sort-categ', 'orderby=name');
																	if(is_array($gl_categs) && !empty($gl_categs)){
																		foreach($gl_categs as $gl_categ){
																			echo "<li><a href='#' title='$gl_categ->name' name='$gl_categ->slug'>$gl_categ->name</a></li>\n";
																		}
																	}
																}
															?>
														</ul>
													</div>
												</div>
												<div class="p_sort">
													<p><?php _e('Sort by', 'clockstone'); ?>:</p>
													<a name="p_date" title="<?php _e('Date', 'clockstone'); ?>" href="#"><?php _e('Date', 'clockstone'); ?></a>
													<a name="p_name" title="<?php _e('Name', 'clockstone'); ?>" href="#"><?php _e('Name', 'clockstone'); ?></a>
												</div>
											<?php } ?>
											</div>
											<?php if ($cols_active == 'true'){ ?>
												<div class="switcher">
													<p><?php _e('Columns', 'clockstone'); ?>:</p>
													<a name="one_block" title="1" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=one"<?php if ($selected_numbercolumns == 'one'){ echo ' class="current"'; } ?>>1</a>
													<a name="two_blocks" title="2" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=two"<?php if ($selected_numbercolumns == 'two'){ echo ' class="current"'; } ?>>2</a>
													<a name="three_blocks" title="3" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=three"<?php if ($selected_numbercolumns == 'three'){ echo ' class="current"'; } ?>>3</a>
													<?php if ($page_layout == 'nobg'){ ?><a name="four_blocks" title="4" href="<?php the_permalink(); ?><?php if (get_option('permalink_structure') != ''){ echo '?'; } else { echo '&amp;'; } ?>columns=four"<?php if ($selected_numbercolumns == 'four'){ echo ' class="current"'; } ?>>4</a><?php } ?>
												</div>
											<?php } ?>
												<div class="cl"></div>
											</div>
										<?php 
											}
										} 
										?>
										<?php if ($heading_icon == ''){ ?>
											<h1 class="<?php if ($heading_description == ''){ echo 'headline'; } else { echo 'headline2'; } ?>"><?php if ($heading_title != ''){ echo $heading_title; } else { the_title(); } ?></h1>
											<?php if ($heading_description != ''){ echo '<p class="trans">'.$heading_description.'</p>'; } ?>
										<?php } else { ?>
											<table class="pagehead">
												<tbody>
													<tr>
														<td><img alt="" src="<?php echo $heading_icon; ?>"></td>
														<td>
															<h1 class="headline2"><?php if ($heading_title != ''){ echo $heading_title; } else { the_title(); } ?></h1>
															<?php if ($heading_description != ''){ echo '<p class="trans">'.$heading_description.'</p>'; } ?>
														</td>
													</tr>
												</tbody>
											</table>
										<?php } ?>
										<div class="cl"></div>
									</div>
								</div>
						<?php } elseif (!is_archive() && !is_search() && $heading == 'sidebar' && is_active_sidebar(2)){ ?>
								<div id="home">
									<div class="home_container">
										<?php if (function_exists('dynamic_sidebar')){ dynamic_sidebar('Top Sidebar'); } ?>
										<div class="cl"></div>
									</div>
								</div>
						<?php 
							} elseif (!is_archive() && !is_search() && $heading == 'disabled'){ }
						} 
						?>
						<div class="middle_line <?php echo $page_layout; ?>">
						