<?php 

function cmsmasters_admin_enqueue_scripts($hook){
	global $page_handle, $form_handle;
	
	if (($hook == 'post.php') || ($hook == 'post-new.php') || ($hook == 'page.php') || ($hook == 'page-new.php') || (isset($_GET['page']) && $_GET['page'] == $page_handle) || (isset($_GET['page']) && $_GET['page'] == $form_handle)){
		wp_enqueue_style('cmsmasters-admin', CMSMASTERS_ADMIN_CSS.'/admin.css', false, '1.0.0', 'screen');
		wp_enqueue_style('cmsmasters-lightbox', CMSMASTERS_ADMIN_CSS.'/lightbox/cmsmasters.lightbox.css', false, '1.0.0', 'screen');
		wp_enqueue_style('cmsmasters-colorpicker', CMSMASTERS_ADMIN_CSS.'/colorpicker.css', false, '1.0.0', 'screen');
		wp_register_script('cmsmasters-admin', CMSMASTERS_ADMIN_JS.'/admin.js', array('jquery'), '1.0.0');
		wp_register_script('cmsmasters-lightbox', CMSMASTERS_ADMIN_JS.'/cmsmasters.lightbox.js', array('jquery'), '1.0.0');
		wp_deregister_script('editor');
		wp_enqueue_script('jquery-tinymce-editor', CMSMASTERS_ADMIN_JS.'/editor.js', array('jquery'), '1.1');
		wp_enqueue_script('cmsmasters-upload', CMSMASTERS_ADMIN_JS.'/ajaxupload.3.5.js', array('jquery'), '1.0.0');
		wp_enqueue_script('cmsmasters-colorpicker', CMSMASTERS_ADMIN_JS.'/colorpicker.js', array('jquery'), '1.0.0');
		wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script('jquery-ui-droppable');
		wp_enqueue_script('jquery-ui-draggable');
	}
	
	function cmsmasters_admin_print_scripts($hook){
		$nonce = wp_create_nonce('sidebar_rm');
		
		wp_print_scripts('cmsmasters-lightbox');
		wp_print_scripts('cmsmasters-upload');
		wp_print_scripts('cmsmasters-colorpicker');
		
		echo '<script type="text/javascript"> jQuery(document).ready(function(){ jQuery(".helpbox").lightbox(); }); </script>';
		
		$echoscript .= '<script type="text/javascript">';
		$echoscript .= 'var $rmSidebarAjaxUrl = "'.admin_url('admin-ajax.php').'";';
		$echoscript .= 'var $ajaxNonce = "'.$nonce.'";';
		$echoscript .= '</script>';
		echo $echoscript;
		
		if (isset($_GET['template']) && $_GET['template']){
			$scriptout .= '<script type="text/javascript">';
			$scriptout .= 'document.ready = function(){';
			$scriptout .= 'var elem = document.getElementById("page_template");';
			$scriptout .= 'elem.selectedIndex="'.$_GET['template'].'";';
			$scriptout .= '}';
			$scriptout .= '</script>';
			echo $scriptout;
		}
		
		wp_print_scripts('cmsmasters-admin');
	}
}

function cmsmasters_admin_scripts_hook(){
	global $page_handle, $form_handle;

	$svr_uri = $_SERVER['REQUEST_URI'];
	if (strstr($svr_uri, 'post.php') || strstr($svr_uri, 'post-new.php') || strstr($svr_uri, 'page.php') || strstr($svr_uri, 'page-new.php') || strstr($svr_uri, $page_handle) || strstr($svr_uri, $form_handle)){ return true; }
}
add_action('admin_enqueue_scripts', 'cmsmasters_admin_enqueue_scripts');

if (cmsmasters_admin_scripts_hook()){ add_action('admin_print_scripts', 'cmsmasters_admin_print_scripts'); }

?>
