<?php
/**
 * Custom Posts, Testimonials, News, Products, Slides, Portfolios, Gallery and Pages
 */


function cmsmasters_meta_boxes($meta_name = false) {
	global $themename;
	
	require(CMSMASTERS_CLASSES.'/var.php');

	if ($blog_post_share){ $blog_post_share = 'true'; } else { $blog_post_share = 'false'; }
	if ($blog_post_aboutauthor){ $blog_post_aboutauthor = 'true'; } else { $blog_post_aboutauthor = 'false'; }
	if ($blog_post_popularrecent){ $blog_post_popularrecent = 'true'; } else { $blog_post_popularrecent = 'false'; }
	if ($test_post_aboutauthor){ $test_post_aboutauthor = 'true'; } else { $test_post_aboutauthor = 'false'; }
	if ($news_post_share){ $news_post_share = 'true'; } else { $news_post_share = 'false'; }
	if ($news_post_aboutauthor){ $news_post_aboutauthor = 'true'; } else { $news_post_aboutauthor = 'false'; }
	if ($news_post_popularrecent){ $news_post_popularrecent = 'true'; } else { $news_post_popularrecent = 'false'; }
	if ($products_post_share){ $products_post_share = 'true'; } else { $products_post_share = 'false'; }
	if ($products_post_popularrecent){ $products_post_popularrecent = 'true'; } else { $products_post_popularrecent = 'false'; }
	if ($portfolio_post_share){ $portfolio_post_share = 'true'; } else { $portfolio_post_share = 'false'; }
	if ($portfolio_post_popularrecent){ $portfolio_post_popularrecent = 'true'; } else { $portfolio_post_popularrecent = 'false'; }
	if ($gallery_post_share){ $gallery_post_share = 'true'; } else { $gallery_post_share = 'false'; }
	if ($gallery_post_popularrecent){ $gallery_post_popularrecent = 'true'; } else { $gallery_post_popularrecent = 'false'; }
	if ($theme_skin){ $theme_skin = 'true'; } else { $theme_skin = 'false'; }
	
$meta_boxes = array(

'generalpost' => array(
	'id' => 'cmsmasters_generalpost_meta',
	'title' => $themename . ' Post Options',
	'function' => 'cmsmasters_generalpost_meta_box',
	'noncename' => 'cmsmasters_generalpost',
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $blog_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'post_more_text_meta' => array(
			'name' => 'post_more_text',
			'type' => 'text',
			'width' => '',
			'default' => __('Read More', 'clockstone'),
			'title' => 'Post Read More Button Text',
			'description' => 'Enter the post read more button text that you would like to display on this item.',
			'label' => '',
			'margin' => true
		),
		
		'thumbnail_box_active_meta' => array(
			'name' => 'thumbnail_box_active',
			'type' => 'radio',
			'default' => 'true',
			'hidden' => '',
			'title' => 'Featured Image Visibility In The Post Page',
			'description' => 'Choose featured image visibility in the post page.',
			'desc' => "Disable Featured Image",
			'desc2' => "Enable Featured Image",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'sharing_box_active_meta' => array(
			'name' => 'sharing_box_active',
			'type' => 'radio',
			'default' => $blog_post_share,
			'hidden' => '',
			'title' => 'Sharing Box Visibility',
			'description' => 'Choose sharing box visibility for current article.',
			'desc' => "Disable Sharing Box",
			'desc2' => "Enable Sharing Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'author_box_active_meta' => array(
			'name' => 'author_box_active',
			'type' => 'radio',
			'default' => $blog_post_aboutauthor,
			'hidden' => '',
			'title' => 'About Author Box Visibility',
			'description' => 'Choose about author box visibility for current article.',
			'desc' => "Disable About Author Box",
			'desc2' => "Enable About Author Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'posts_box_active_meta' => array(
			'name' => 'posts_box_active',
			'type' => 'radio',
			'default' => $blog_post_popularrecent,
			'hidden' => '',
			'title' => 'Recent &amp; Popular Box Visibility',
			'description' => 'Choose recent &amp; popular box visibility for current article.',
			'desc' => "Disable Recent &amp; Popular Box",
			'desc2' => "Enable Recent &amp; Popular Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generalpage' => array(
	'id' => 'cmsmasters_generalpage_meta',
	'title' => $themename . ' General Page Options',
	'function' => 'cmsmasters_generalpage_meta_box',
	'noncename' => 'cmsmasters_generalpage',
	
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => 'sidebar_bg',
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'blog_categ_meta' => array(
			'name' => 'blog_categ',
			'type' => 'select_categ',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Blog Category',
			'description' => 'Select the blog category that you would like to display on this page. <br />Note: first you will need to create a category of posts in posts tab of admin panel before it will show up here. <br />(if you not choose any category than all posts will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'tests_categ_meta' => array(
			'name' => 'tests_categ',
			'type' => 'select_post_type_categ',
			'post_type' => 'ts-categs',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Testimonials Type',
			'description' => 'Select the category of testimonials that you would like to display on this page. <br />Note: first you will need to create a category of testimonials in testimonials post type tab of admin panel before it will show up here. <br />(if you not choose any category than all testimonials will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'news_categ_meta' => array(
			'name' => 'news_categ',
			'type' => 'select_post_type_categ',
			'post_type' => 'nw-types',
			'width' => '',
			'default' => 'date',
			'hidden' => 'hidden',
			'title' => 'News Type',
			'description' => 'Select the category of news that you would like to display on this page. <br />Note: first you will need to create a category of news in news post type tab of admin panel before it will show up here. <br />(if you not choose any category than all news will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'products_categ_meta' => array(
			'name' => 'products_categ',
			'type' => 'select_post_type_categ',
			'post_type' => 'pr-categ',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Products Type',
			'description' => 'Select the category of products that you would like to display on this page. <br />Note: first you will need to create a category of products in products post type tab of admin panel before it will show up here. <br />(if you not choose any category than all products will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'portfolio_categ_meta' => array(
			'name' => 'portfolio_categ',
			'type' => 'select_post_type_categ',
			'post_type' => 'pt-categ',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Portfolio Type',
			'description' => 'Select the type of portfolio that you would like to display on this page. <br />Note: first you will need to create a type of portfolio in portfolio post type tab of admin panel before it will show up here. <br />(if you not choose any type than all portfolio will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'gallery_categ_meta' => array(
			'name' => 'gallery_categ',
			'type' => 'select_post_type_categ',
			'post_type' => 'gl-categ',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Gallery Type',
			'description' => 'Select the type of gallery that you would like to display on this page. <br />Note: first you will need to create a type of gallery in gallery post type tab of admin panel before it will show up here. <br />(if you not choose any type than all gallery will be shown on this page)',
			'label' => '',
			'margin' => true
		),
		
		'selected_order_type_meta' => array(
			'name' => 'selected_order_type',
			'type' => 'select_order',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Order Type',
			'description' => 'Select the posts order type',
			'label' => '',
			'margin' => true
		),
		
		'selected_order_meta' => array(
			'name' => 'selected_order',
			'type' => 'radio',
			'width' => '',
			'default' => 'DESC',
			'hidden' => 'hidden',
			"value" => "DESC",
			"value2" => "ASC",
			'desc' => 'DESC',
			'desc2' => 'ASC',
			'title' => 'Order',
			'description' => 'Select the order. <br />Note: from larger to smaller or backwords',
			'label' => '',
			'margin' => true
		),		
		
		'selected_perpage_meta' => array(
			'name' => 'selected_perpage',
			'type' => 'spinner',
			'default' => '10',
			'hidden' => 'hidden',
			'min' => '1',
			'max' => '100',
			'step' => '1',
			'title' => 'Items Per Page',
			'description' => 'Type the number of items per page',
			'label' => '',
			'margin' => true
		),
		
		'selected_numbercolumns_sidebarblog_meta' => array(
			'name' => 'selected_numbercolumns_sidebarblog',
			'type' => 'select_numbercolumns_sidebarblog',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'selected_numbercolumns_fullblog_meta' => array(
			'name' => 'selected_numbercolumns_fullblog',
			'type' => 'select_numbercolumns_fullblog',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'selected_numbercolumns_sidebargall_meta' => array(
			'name' => 'selected_numbercolumns_sidebargall',
			'type' => 'select_numbercolumns_sidebargall',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'selected_numbercolumns_fullgall_meta' => array(
			'name' => 'selected_numbercolumns_fullgall',
			'type' => 'select_numbercolumns_fullgall',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'filter_active_meta' => array(
			'name' => 'filter_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Items Filter &amp; Sort',
			'description' => 'Choose current page items filter &amp; sort visibility here.',
			'label' => '',
			'desc' => "Disable Items Filter &amp; Sort",
			'desc2' => "Enable Items Filter &amp; Sort",
			'value' => 'false',
			'value2' => 'true',
			'margin' => true
		),
		
		'cols_active_meta' => array(
			'name' => 'cols_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Columns Changer',
			'description' => 'Choose current page columns changer visibility here.',
			'label' => '',
			'desc' => "Disable Columns Changer",
			'desc2' => "Enable Columns Changer",
			'value' => 'false',
			'value2' => 'true',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generaltests' => array(
	'id' => 'cmsmasters_generaltests_meta',
	'title' => $themename . ' Testimonial Options',
	'function' => 'cmsmasters_generaltests_meta_box',
	'noncename' => 'cmsmasters_generaltests',
			
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $test_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'author_subtitle_meta' => array(
			'name' => 'author_subtitle',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => '',
			'title' => 'Testimonial Author SubTitle',
			'description' => 'Input author subtitle if you want to show it in current testimonial.',
			'label' => '',
			'margin' => true
		),
		
		'author_box_active_meta' => array(
			'name' => 'author_box_active',
			'type' => 'radio',
			'default' => $test_post_aboutauthor,
			'hidden' => '',
			'title' => 'Author Box Visibility',
			'description' => 'Choose author box visibility for current testimonial.',
			'desc' => "Disable Author Box",
			'desc2' => "Enable Author Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'author_description_meta' => array(
			'name' => 'author_description',
			'type' => 'textarea',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Testimonial Author Description',
			'description' => 'Input author description if you want to show it in current testimonial.',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generalnews' => array(
	'id' => 'cmsmasters_generalnews_meta',
	'title' => $themename . ' Article Options',
	'function' => 'cmsmasters_generalnews_meta_box',
	'noncename' => 'cmsmasters_generalnews',
			
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $news_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'thumbnail_box_active_meta' => array(
			'name' => 'thumbnail_box_active',
			'type' => 'radio',
			'default' => 'true',
			'hidden' => '',
			'title' => 'Featured Image Visibility In The Article Page',
			'description' => 'Choose featured image visibility in the article page.',
			'desc' => "Disable Featured Image",
			'desc2' => "Enable Featured Image",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'sharing_box_active_meta' => array(
			'name' => 'sharing_box_active',
			'type' => 'radio',
			'default' => $news_post_share,
			'hidden' => '',
			'title' => 'Sharing Box Visibility',
			'description' => 'Choose sharing box visibility for current article.',
			'desc' => "Disable Sharing Box",
			'desc2' => "Enable Sharing Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'author_box_active_meta' => array(
			'name' => 'author_box_active',
			'type' => 'radio',
			'default' => $news_post_aboutauthor,
			'hidden' => '',
			'title' => 'About Author Box Visibility',
			'description' => 'Choose about author box visibility for current article.',
			'desc' => "Disable About Author Box",
			'desc2' => "Enable About Author Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'posts_box_active_meta' => array(
			'name' => 'posts_box_active',
			'type' => 'radio',
			'default' => $news_post_popularrecent,
			'hidden' => '',
			'title' => 'Recent &amp; Popular Box Visibility',
			'description' => 'Choose recent &amp; popular box visibility for current article.',
			'desc' => "Disable Recent &amp; Popular Box",
			'desc2' => "Enable Recent &amp; Popular Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generalproducts' => array(
	'id' => 'cmsmasters_generalproducts_meta',
	'title' => $themename . ' Product Options',
	'function' => 'cmsmasters_generalproducts_meta_box',
	'noncename' => 'cmsmasters_generalproducts',
			
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $products_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'product_atts_meta' => array(
			'name' => 'product_atts',
			'type' => 'add_item_two',
			'default' => '',
			'hidden' => '',
			'width' => 'full',
			'title' => 'Product Attributes',
			'description' => 'Enter your custom product attributes name and value that you would like to show on this page between date and price.',
			'label' => 'Attribute Name',
			'label2' => 'Attribute Value',
			'margin' => true
		),
		
		'product_atts_vals_meta' => array(
			'name' => 'product_atts_vals',
			'type' => 'hidden',
			'default' => '',
			'hidden' => '',
			'width' => 'full',
			'title' => '',
			'description' => '',
			'label' => '',
			'margin' => false
		),

		'product_price_meta' => array(
			'name' => 'product_price',
			'type' => 'text',
			'width' => '',
			'default' => '',
			'title' => 'Product Price',
			'description' => 'Input the product price.',
			'label' => '',
			'margin' => true
		),

		'product_buy_meta' => array(
			'name' => 'product_buy',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'title' => 'Product Buy Button Link',
			'description' => 'Input the product buy-button link that you would like to be linked on this item.',
			'label' => '',
			'margin' => true
		),
		
		'product_buy_text_meta' => array(
			'name' => 'product_buy_text',
			'type' => 'text',
			'width' => '',
			'default' => __('Buy Now', 'clockstone'),
			'title' => 'Product Buy Button Text',
			'description' => 'Input the product buy-button text that you would like to display on this item.',
			'label' => '',
			'margin' => true
		),
		
		'sharing_box_active_meta' => array(
			'name' => 'sharing_box_active',
			'type' => 'radio',
			'default' => $products_post_share,
			'hidden' => '',
			'title' => 'Sharing Box Visibility',
			'description' => 'Choose sharing box visibility for current article.',
			'desc' => "Disable Sharing Box",
			'desc2' => "Enable Sharing Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'posts_box_active_meta' => array(
			'name' => 'posts_box_active',
			'type' => 'radio',
			'default' => $products_post_popularrecent,
			'hidden' => '',
			'title' => 'Recent &amp; Popular Box Visibility',
			'description' => 'Choose recent &amp; popular box visibility for current article.',
			'desc' => "Disable Recent &amp; Popular Box",
			'desc2' => "Enable Recent &amp; Popular Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generalslides' => array(
	'id' => 'cmsmasters_generalslides_meta',
	'title' => $themename . ' Slide Options',
	'function' => 'cmsmasters_generalslides_meta_box',
	'noncename' => 'cmsmasters_generalslides',
			
			
	'fields' => array(
		'slide_caption_meta' => array(
			'name' => 'slide_caption',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Show Caption',
			'desc2' => 'Hide Caption',
			'title' => 'Show/Hide Caption',
			'description' => 'Show or hide caption on this slide in your slider.',
			'label' => '',
			'margin' => true
		),
		
		'slide_url_text_meta' => array(
			'name' => 'slide_url_text',
			'type' => 'text',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Slide Link/Button Text',
			'description' => 'Input the slide link/button text that you would like to display on this item.',
			'label' => '',
			'margin' => true
		),
		
		'slide_title_meta' => array(
			'name' => 'slide_title',
			'type' => 'radio',
			'default' => '',
			'hidden' => 'hidden',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Show Title',
			'desc2' => 'Hide Title',
			'title' => 'Show/Hide Title',
			'description' => 'Show or hide title on this slide caption in your slider.',
			'label' => '',
			'margin' => true
		),
		
		'slide_aslink_meta' => array(
			'name' => 'slide_aslink',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'value' => 'false',
			'value2' => 'true',
			'desc' => 'Slide Image Without Link',
			'desc2' => 'Slide Image With Link',
			'title' => 'Use Slide As Link',
			'description' => 'Use slide image as link on this item in your slider.',
			'label' => '',
			'margin' => true
		),
	
		'slide_url_meta' => array(
			'name' => 'slide_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => '',
			'title' => 'Slide Link',
			'description' => 'Input the slide link that you would like to be linked on this item.',
			'label' => '',
			'margin' => true
		),
		
		'slide_target_meta' => array(
			'name' => 'slide_target',
			'type' => 'radio',
			'default' => 'self',
			'hidden' => '',
			'value' => 'self',
			'value2' => 'blank',
			'desc' => 'Open Link In This Tab',
			'desc2' => 'Open Link In New Tab',
			'title' => 'Slide Link Target Type',
			'description' => 'Choose link target (open link in new or in this window/tab) of this slide in your slider.',
			'label' => '',
			'margin' => false
		)
	)
),

'generalportfolio' => array(
	'id' => 'cmsmasters_generalportfolio_meta',
	'title' => $themename . ' Project Options',
	'function' => 'cmsmasters_generalportfolio_meta_box',
	'noncename' => 'cmsmasters_generalportfolio',
			
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $portfolio_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'project_features_meta' => array(
			'name' => 'project_features',
			'type' => 'add_item_one',
			'default' => '',
			'hidden' => '',
			'width' => 'full',
			'title' => 'Project Features',
			'description' => 'Enter your custom project features that you would like to show on this page.',
			'label' => 'Feature',
			'margin' => true
		),
		
		'project_more_meta' => array(
			'name' => 'project_more',
			'type' => 'text',
			'width' => '',
			'default' => __('View Project', 'clockstone'),
			'hidden' => '',
			'title' => 'Project Read More Button Text',
			'description' => 'Enter the portfolio project reed more button text that you would like to display on this item.',
			'label' => '',
			'margin' => true
		),
		
		'project_content_type_meta' => array(
			'name' => 'project_content_type',
			'type' => 'radio_toggle',
			'default' => '',
			'hidden' => '',
			"value" => "slider",
			"value2" => "gallery",
			"value3" => "video",
			"value4" => "disable",
			'desc' => 'Slider',
			'desc2' => 'Image List',
			'desc3' => 'Video',
			'desc4' => 'Disable',
			'title' => 'Project Content Type',
			'description' => 'Choose current project content type.',
			'label' => '',
			'margin' => true
		),
		
		'project_video_url_meta' => array(
			'name' => 'project_video_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Project Video URL',
			'description' => 'Enter current project video url that you would like to display on this project page and cover lightbox. <br />Note: you can enter link of video from: youtube, vimeo, dailymotion or screenr. <br />for example http://www.youtube.com/watch?v=3S8a180uYBM',
			'label' => '',
			'margin' => true
		),
		
		'project_linking_meta' => array(
			'name' => 'project_linking',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Link To Project',
			'desc2' => 'Link To Custom URL',
			'title' => 'Project Linking',
			'description' => 'Choose project linking parameter.',
			'label' => '',
			'margin' => true
		),
		
		'project_url_meta' => array(
			'name' => 'project_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Project Custom URL',
			'description' => 'Enter current project custom url that you would like to be linked on this item.',
			'label' => '',
			'margin' => true
		),
		
		'project_cover_meta' => array(
			'name' => 'project_cover',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			'hidden' => '',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Link To Lightbox',
			'desc2' => 'Link To Project',
			'title' => 'Project Cover Linking',
			'description' => 'Enable lightbox on project cover or link to the project page.',
			'label' => '',
			'margin' => true
		),
		
		'sharing_box_active_meta' => array(
			'name' => 'sharing_box_active',
			'type' => 'radio',
			'default' => $portfolio_post_share,
			'hidden' => '',
			'title' => 'Sharing Box Visibility',
			'description' => 'Choose sharing box visibility for current article.',
			'desc' => "Disable Sharing Box",
			'desc2' => "Enable Sharing Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'posts_box_active_meta' => array(
			'name' => 'posts_box_active',
			'type' => 'radio',
			'default' => $portfolio_post_popularrecent,
			'hidden' => '',
			'title' => 'Recent &amp; Popular Box Visibility',
			'description' => 'Choose recent &amp; popular box visibility for current article.',
			'desc' => "Disable Recent &amp; Popular Box",
			'desc2' => "Enable Recent &amp; Popular Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'generalgallery' => array(
	'id' => 'cmsmasters_generalgallery_meta',
	'title' => $themename . ' Album Options',
	'function' => 'cmsmasters_generalgallery_meta_box',
	'noncename' => 'cmsmasters_generalgallery',
			
			
	'fields' => array(
		'selected_layout_meta' => array(
			'name' => 'page_layout',
			'type' => 'radio_three',
			'default' => $portfolio_post_layout,
			'hidden' => '',
			"value" => "sidebar_bg",
			"value2" => "sidebar_bg sidebar_left",
			"value3" => "nobg",
			'desc' => 'Right Sidebar',
			'desc2' => 'Left Sidebar',
			'desc3' => 'Full Width',
			'title' => 'Page Layout Type',
			'description' => 'Choose current page layout type.',
			'label' => '',
			'margin' => true
		),
		
		'selected_sidebar_meta' => array(
			'name' => 'selected_sidebar',
			'type' => 'select_sidebar',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Sidebar',
			'description' => 'Select the custom sidebar that you would like to display on this page. <br />Note: first you will need to create a custom sidebar in your themes option panel before it will show up here.',
			'label' => '',
			'margin' => true
		),
		
		'album_numbercolumns_full_meta' => array(
			'name' => 'album_numbercolumns_full',
			'type' => 'album_numbercolumns_full',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Album Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'album_numbercolumns_sidebar_meta' => array(
			'name' => 'album_numbercolumns_sidebar',
			'type' => 'album_numbercolumns_sidebar',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Album Column Number',
			'description' => 'Select the default number of columns for current page.',
			'label' => '',
			'margin' => true
		),
		
		'album_more_meta' => array(
			'name' => 'album_more',
			'type' => 'text',
			'width' => '',
			'default' => __('More', 'clockstone'),
			'hidden' => '',
			'title' => 'Album Read More Button Text',
			'description' => 'Enter the gallery album reed more button text that you would like to display on this item.',
			'label' => '',
			'margin' => true
		),
		
		'album_linking_meta' => array(
			'name' => 'album_linking',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Link To Album',
			'desc2' => 'Link To Custom URL',
			'title' => 'Album Linking',
			'description' => 'Choose album linking parameter.',
			'label' => '',
			'margin' => true
		),
		
		'album_url_meta' => array(
			'name' => 'album_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Album Custom URL',
			'description' => 'Enter current album custom url that you would like to be linked on this item.',
			'label' => '',
			'margin' => true
		),
		
		'album_cover_meta' => array(
			'name' => 'album_cover',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			'hidden' => '',
			'value' => 'true',
			'value2' => 'false',
			'desc' => 'Link To Lightbox',
			'desc2' => 'Link To Album',
			'title' => 'Album Cover Linking',
			'description' => 'Enable lightbox on album cover or link to the album page.',
			'label' => '',
			'margin' => true
		),
		
		'sharing_box_active_meta' => array(
			'name' => 'sharing_box_active',
			'type' => 'radio',
			'default' => $gallery_post_share,
			'hidden' => '',
			'title' => 'Sharing Box Visibility',
			'description' => 'Choose sharing box visibility for current article.',
			'desc' => "Disable Sharing Box",
			'desc2' => "Enable Sharing Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'posts_box_active_meta' => array(
			'name' => 'posts_box_active',
			'type' => 'radio',
			'default' => $gallery_post_popularrecent,
			'hidden' => '',
			'title' => 'Recent &amp; Popular Box Visibility',
			'description' => 'Choose recent &amp; popular box visibility for current article.',
			'desc' => "Disable Recent &amp; Popular Box",
			'desc2' => "Enable Recent &amp; Popular Box",
			'value' => 'false',
			'value2' => 'true',
			'label' => '',
			'margin' => true
		),
		
		'middlesidebar_active_meta' => array(
			'name' => 'middlesidebar_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Middle Horizontal Sidebar',
			'description' => 'Choose current page middle horizontal sidebar visibility here.',
			'label' => '',
			'desc' => "Disable Middle Sidebar",
			'desc2' => "Enable Middle Sidebar",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		)
	)
),

'bgtools' => array(
	'id' => 'cmsmasters_bgtools_meta',
	'title' => $themename.' Custom Background Options',
	'function' => 'cmsmasters_bgtools_meta_box',
	'noncename' => 'cmsmasters_bgtools',
			
			
	'fields' => array(
		'bgtools_active_meta' => array(
			'name' => 'bgtools_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Custom Background Options',
			'description' => 'Choose "Use Custom Background Options" if you want use it on this item.',
			'label' => '',
			'desc' => "Use Default Background Options",
			'desc2' => "Use Custom Background Options",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		),
		
		'bgtools_skin_meta' => array(
			'name' => 'bgtools_skin',
			'type' => 'radio',
			'width' => '',
			'default' => $theme_skin,
			'hidden' => 'hidden',
			"value" => "true",
			"value2" => "false",
			'desc' => 'Light',
			'desc2' => 'Dark',
			'title' => 'Custom Page Skin',
			'description' => 'Select custom skin for this page.',
			'label' => '',
			'margin' => true
		),
		
		'bgtools_color_meta' => array(
			'name' => 'bgtools_color',
			'type' => 'color',
			'default' => $custom_background_color,
			'hidden' => 'hidden',
			'title' => 'Custom Background Color',
			'description' => 'Choose your custom background color for this page.',
			'label' => '',
			'margin' => true
		),
		
		'bgtools_image_meta' => array(
			'name' => 'bgtools_image',
			'type' => 'bgs',
			'default' => $custom_background_img,
			'hidden' => 'hidden',
			'title' => 'Custom Background Image',
			'description' => 'Choose your custom background image for this page.',
			'label' => '',
			'margin' => false
		)
	)
),

'slidertools' => array(
	'id' => 'cmsmasters_slidertools_meta',
	'title' => $themename.' Page Slider Options',
	'function' => 'cmsmasters_slidertools_meta_box',
	'noncename' => 'cmsmasters_slidertools',
	
	
	'fields' => array(
		'slidertools_active_meta' => array(
			'name' => 'slidertools_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Page Slider',
			'description' => 'Choose current page slider visibility here.',
			'label' => '',
			'desc' => "Disable Slider",
			'desc2' => "Enable Slider",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		),
		
		'slidertools_type_meta' => array(
			'name' => 'slidertools_type',
			'type' => 'select_slider',
			'default' => 'architect',
			'hidden' => 'hidden',
			'title' => 'Slider Type',
			'description' => 'Select current page slider type for this page.',
			'label' => '',
			'margin' => true
		),
		
		'slidertools_category_meta' => array(
			'name' => 'slidertools_category',
			'type' => 'select_post_type_categ',
			'post_type' => 'sl-categs',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Slider Slides Category',
			'description' => 'Select current page slider slides category for this page.',
			'label' => '',
			'margin' => true
		),
		
		'slider_order_type_meta' => array(
			'name' => 'slider_order_type',
			'type' => 'select_order',
			'width' => '',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Order Type',
			'description' => 'Select the slides order type.',
			'label' => '',
			'margin' => true
		),
		
		'slider_order_meta' => array(
			'name' => 'slider_order',
			'type' => 'radio',
			'width' => '',
			'default' => 'DESC',
			'hidden' => 'hidden',
			"value" => "DESC",
			"value2" => "ASC",
			'desc' => 'DESC',
			'desc2' => 'ASC',
			'title' => 'Order',
			'description' => 'Select the order. <br />Note: from larger to smaller or backwords',
			'label' => '',
			'margin' => true
		),
		
		'slider_perpage_meta' => array(
			'name' => 'slider_perpage',
			'type' => 'spinner',
			'default' => '10',
			'hidden' => 'hidden',
			'min' => '1',
			'max' => '50',
			'step' => '1',
			'title' => 'Slides Number',
			'description' => 'Choose the number of slides.',
			'label' => '',
			'margin' => true
		),
		
		'slidertools_height_meta' => array(
			'name' => 'slidertools_height',
			'type' => 'spinner',
			'default' => '400',
			'hidden' => 'hidden',
			'min' => '100',
			'max' => '800',
			'step' => '5',
			'title' => 'Slider Height',
			'description' => 'Choose current page slider height for this page.',
			'label' => '',
			'margin' => false
		)
	)
),

'headingtools' => array(
	'id' => 'cmsmasters_headingtools_meta',
	'title' => $themename.' Page Heading Options',
	'function' => 'cmsmasters_headingtools_meta_box',
	'noncename' => 'cmsmasters_headingtools',
	
	
	'fields' => array(
		'headingtools_active_meta' => array(
			'name' => 'headingtools_active',
			'type' => 'radio_toggle',
			'default' => '',
			'hidden' => '',
			'title' => 'Custom Page Heading',
			'description' => 'Choose current page heading style here.',
			'label' => '',
			'desc' => "Use Default Heading",
			'desc2' => "Use Custom Heading",
			'desc3' => "Use Top Sidebar",
			'desc4' => "Disable Heading",
			'value' => 'default',
			'value2' => 'custom',
			'value3' => 'sidebar',
			'value4' => 'disabled',
			'margin' => false
		),
		
		'headingtools_title_meta' => array(
			'name' => 'headingtools_title',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Heading Title',
			'description' => 'Enter your custom heading title for this page.',
			'label' => '',
			'margin' => true
		),
		
		'headingtools_description_meta' => array(
			'name' => 'headingtools_description',
			'type' => 'text',
			'default' => '',
			'hidden' => 'hidden',
			'width' => 'full',
			'title' => 'Custom Heading Description',
			'description' => 'Enter your custom heading description text for this page.',
			'label' => '',
			'margin' => true
		),
		
		'headingtools_icon_meta' => array(
			'name' => 'headingtools_icon',
			'type' => 'choose_icon',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Heading Icon',
			'description' => 'Choose your custom heading icon for this page. <br />Note: also you can download your own icon from CMSMasters Admin Panel > General Options > Theme Icons',
			'label' => '',
			'margin' => false
		)
	)
),

'breadtools' => array(
	'id' => 'cmsmasters_breadtools_meta',
	'title' => $themename . ' Custom Breadcrumbs Options',
	'function' => 'cmsmasters_breadtools_meta_box',
	'noncename' => 'cmsmasters_breadtools',
	
	
	'fields' => array(
		'selected_breadcrumbs_active_meta' => array(
			'name' => 'selected_breadcrumbs_active',
			'type' => 'radio_three',
			'default' => '',
			'hidden' => '',
			'title' => 'Custom Breadcrumbs',
			'description' => 'Choose "Use Custom Breadcrumbs" if you want use it on this item.',
			'label' => '',
			'desc' => "Use Default Breadcrumbs",
			'desc2' => "Use Custom Breadcrumbs",
			'desc3' => "Disable Breadcrumbs",
			'value' => 'false',
			'value2' => 'true',
			'value3' => 'disable',
			'margin' => false
		),
		
		'selected_breadcrumbs_meta' => array(
			'name' => 'selected_breadcrumbs',
			'type' => 'add_item',
			'default' => '',
			'hidden' => 'hidden',
			'width' => 'small',
			'title' => 'Custom Breadcrumbs',
			'description' => 'Enter your custom breadcrumbs text and link, or choose page and add it to your breadcrumbs list that you would like to show on this page between home page link and current page name.',
			'label' => 'Page Name',
			'label2' => 'Page Link',
			'margin' => false
		),
		
		'selected_breadcrumbs_links_meta' => array(
			'name' => 'selected_breadcrumbs_links',
			'type' => 'hidden',
			'default' => '',
			'hidden' => 'hidden',
			'width' => '',
			'title' => '',
			'description' => '',
			'label' => '',
			'margin' => false
		)
	)
),

'seotools' => array(
	'id' => 'cmsmasters_seotools_meta',
	'title' => $themename.' Custom SEO Options',
	'function' => 'cmsmasters_seotools_meta_box',
	'noncename' => 'cmsmasters_seotools',
			
			
	'fields' => array(
		'seotools_active_meta' => array(
			'name' => 'seotools_active',
			'type' => 'radio',
			'default' => '',
			'hidden' => '',
			'title' => 'Custom SEO Options',
			'description' => 'Choose "Use Custom SEO Options" if you want use it on this item.',
			'label' => '',
			'desc' => "Use Default SEO Options",
			'desc2' => "Use Custom SEO Options",
			'value' => 'false',
			'value2' => 'true',
			'margin' => false
		),
		
		'seotools_title_meta' => array(
			'name' => 'seotools_title',
			'type' => 'text',
			'default' => '',
			'hidden' => 'hidden',
			'width' => 'full',
			'title' => 'Custom Title',
			'description' => 'Enter your custom this item title. <br />Note: we recommend you enter no more than 60 characters',
			'label' => '',
			'margin' => true
		),
		
		'seotools_description_meta' => array(
			'name' => 'seotools_description',
			'type' => 'textarea',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Description',
			'description' => 'Enter your custom this item description. <br />Note: we recommend you enter no more than 160 characters',
			'label' => '',
			'margin' => true
		),
		
		'seotools_keywords_meta' => array(
			'name' => 'seotools_keywords',
			'type' => 'textarea',
			'default' => '',
			'hidden' => 'hidden',
			'title' => 'Custom Keywords',
			'description' => 'Enter your custom this item keywords.',
			'label' => '',
			'margin' => false
		)
	)
),

'sliderarchitect' => array(
	'id' => 'cmsmasters_sliderarchitect_meta',
	'title' => $themename . ' Architect Slider Additional Settings',
	'function' => 'cmsmasters_sliderarchitect_meta_box',
	'noncename' => 'cmsmasters_sliderarchitect',
			
			
	'fields' => array(
		'slidearchitect_vertical_meta' => array(
			'name' => 'slidearchitect_vertical',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			"value" => "top",
			"value2" => "bottom",
			'desc' => 'Top',
			'desc2' => 'Bottom',
			'title' => 'Architect Slider Slide Caption Vertical Position',
			'description' => 'Choose you Architect slider slide caption vertical position.',
			'label' => '',
			'margin' => true
		),

		'slidearchitect_vertical_value_meta' => array(
			'name' => 'slidearchitect_vertical_value',
			'type' => 'spinner',
			'default' => '100',
			'hidden' => '',
			'min' => '0',
			'max' => '1000',
			'step' => '1',
			'title' => 'Architect Slider Slide Caption Vertical Position Value',
			'description' => 'Choose you Architect slider slide caption vertical position value in pixels.',
			'label' => '',
			'margin' => true,
		),
		
		'slidearchitect_horizontal_meta' => array(
			'name' => 'slidearchitect_horizontal',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			"value" => "left",
			"value2" => "right",
			'desc' => 'Left',
			'desc2' => 'Right',
			'title' => 'Architect Slider Slide Caption Horizontal Position',
			'description' => 'Choose you Architect slider slide caption horizontal position.',
			'label' => '',
			'margin' => true
		),

		'slidearchitect_horizontal_value_meta' => array(
			'name' => 'slidearchitect_horizontal_value',
			'type' => 'spinner',
			'default' => '100',
			'hidden' => '',
			'min' => '0',
			'max' => '1000',
			'step' => '1',
			'title' => 'Architect Slider Slide Caption Horizontal Position Value',
			'description' => 'Choose you Architect slider slide caption horizontal position value in pixels.',
			'label' => '',
			'margin' => true,
		),

		'slidearchitect_width_meta' => array(
			'name' => 'slidearchitect_width',
			'type' => 'spinner',
			'default' => '200',
			'hidden' => '',
			'min' => '0',
			'max' => '960',
			'step' => '1',
			'title' => 'Architect Slider Slide Caption Width',
			'description' => 'Choose you Architect slider slide caption width in pixels.',
			'label' => '',
			'margin' => false
		)
	)
),

'sliderflashmo' => array(
	'id' => 'cmsmasters_sliderflashmo_meta',
	'title' => $themename . ' Flashmo 3D Slider Additional Settings',
	'function' => 'cmsmasters_sliderflashmo_meta_box',
	'noncename' => 'cmsmasters_sliderflashmo',
			
			
	'fields' => array(
		'selected_f3d_flow_meta' => array(
			'name' => 'selected_f3d_flow',
			'type' => 'radio',
			'default' => '',
			'value' => 'in',
			'value2' => 'out',
			'desc' => 'In',
			'desc2' => 'Out',
			'hidden' => '',
			'title' => 'Slide Pieces Flow',
			'description' => 'Choose slide pieces flow.',
			'label' => '',
			'margin' => true
		),
		
		'selected_f3d_direction_meta' => array(
			'name' => 'selected_f3d_direction',
			'type' => 'select_direction',
			'default' => 'center',
			'hidden' => '',
			'title' => 'Slide Pieces Direction',
			'description' => 'Select slide pieces direction. <br />Note: for example center',
			'label' => '',
			'margin' => true
		),
		
		'selected_f3d_rotation_meta' => array(
			'name' => 'selected_f3d_rotation',
			'type' => 'spinner',
			'default' => '180',
			'hidden' => '',
			'min' => '-360',
			'max' => '360',
			'step' => '15',
			'title' => 'Slide Pieces Rotation',
			'description' => 'Choose slide pieces rotation. Value between -360 and 360 degrees. <br />Note: for example 180',
			'label' => '',
			'margin' => false
		)
	)
),

'sliderpiecemaker' => array(
	'id' => 'cmsmasters_sliderpiecemaker_meta',
	'title' => $themename . ' Piecemaker2 3D Slider Additional Settings',
	'function' => 'cmsmasters_sliderpiecemaker_meta_box',
	'noncename' => 'cmsmasters_sliderpiecemaker',
			
			
	'fields' => array(
		'slide3d_flash_url_meta' => array(
			'name' => 'slide3d_flash_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => '',
			'title' => '3D Slider Slide Flash URL',
			'description' => 'Input you 3D slider slide swf file url that you would like to display on this item.',
			'label' => '',
			'margin' => true,
		),
		
		'slide3d_video_url_meta' => array(
			'name' => 'slide3d_video_url',
			'type' => 'text',
			'width' => 'full',
			'default' => '',
			'hidden' => '',
			'title' => '3D Slider Slide Video URL',
			'description' => 'Input you 3D slider slide video file url that you would like to display on this item.',
			'label' => '',
			'margin' => true,
		),
		
		'slide3d_video_width_meta' => array(
			'name' => 'slide3d_video_width',
			'type' => 'spinner',
			'default' => '960',
			'hidden' => '',
			'min' => '500',
			'max' => '1000',
			'step' => '1',
			'title' => '3D Slider Slide Video Width',
			'description' => 'Enter you 3D slider slide video width.',
			'label' => '',
			'margin' => true,
		),

		'slide3d_video_height_meta' => array(
			'name' => 'slide3d_video_height',
			'type' => 'spinner',
			'default' => '400',
			'hidden' => '',
			'min' => '100',
			'max' => '2000',
			'step' => '1',
			'title' => '3D Slider Slide Video Height',
			'description' => 'Enter you 3D slider slide video height.',
			'label' => '',
			'margin' => true,
		),

		'slide3d_video_autoplay_meta' => array(
			'name' => 'slide3d_video_autoplay',
			'type' => 'radio',
			'width' => '',
			'default' => '',
			"value" => "true",
			"value2" => "false",
			'desc' => 'True',
			'desc2' => 'False',
			'title' => '3D Slider Slide Video Autoplay',
			'description' => 'Choose you 3D slider slide video autoplay.',
			'label' => '',
			'margin' => false
		)
	)
),

'sliderpiecemakeranimation' => array(
	'id' => 'cmsmasters_sliderpiecemakeranimation_meta',
	'title' => $themename . ' Piecemaker2 3D Slider Animation',
	'function' => 'cmsmasters_sliderpiecemakeranimation_meta_box',
	'noncename' => 'cmsmasters_sliderpiecemakeranimation',
			
			
	'fields' => array(
		'selected_3d_pieces_meta' => array(
			'name' => 'selected_3d_pieces',
			'type' => 'spinner',
			'default' => '9',
			'hidden' => '',
			'min' => '1',
			'max' => '50',
			'step' => '1',
			'title' => 'Number Of Pieces',
			'description' => 'Choose the number of pieces to which the image is sliced.  Value between 1 and 50 are recommended.<br />Note: for example 9',
			'label' => '',
			'margin' => true
		),
		
		'selected_3d_time_meta' => array(
			'name' => 'selected_3d_time',
			'type' => 'spinner',
			'default' => '1.2',
			'hidden' => '',
			'min' => '0.05',
			'max' => '10',
			'step' => '0.05',
			'title' => 'Time For One Cube',
			'description' => 'Choose the time for one cube to turn. Value between 0.05 and 10 are recommended. <br />Note: for example 1.2',
			'label' => '',
			'margin' => true
		),
		
		'selected_3d_transition_meta' => array(
			'name' => 'selected_3d_transition',
			'type' => 'select_easing',
			'default' => '',
			'hidden' => '',
			'title' => 'Transition Type',
			'description' => 'Transition type of the Tweener class. For more info on these types see the official Tweener Documentation and go to Transition Types. The best results are achieved by those transition types, which begin with easeInOut.',
			'label' => '',
			'margin' => true
		),
		
		'selected_3d_delay_meta' => array(
			'name' => 'selected_3d_delay',
			'type' => 'spinner',
			'default' => '0.1',
			'hidden' => '',
			'min' => '0.01',
			'max' => '1',
			'step' => '0.01',
			'title' => 'Delay Between Cubes',
			'description' => 'Delay between the start of one cube to the start of the next cube. Value between 0.01 and 1 are recommended. <br />Note: for example 0.1',
			'label' => '',
			'margin' => true
		),
		
		'selected_3d_offset_meta' => array(
			'name' => 'selected_3d_offset',
			'type' => 'spinner',
			'default' => '300',
			'hidden' => '',
			'min' => '50',
			'max' => '5000',
			'step' => '50',
			'title' => 'Offset During Transition',
			'description' => 'The offset during transition on the z-axis. Value between 50 and 5000 are recommended.',
			'label' => '',
			'margin' => true
		),
		
		'selected_3d_distance_meta' => array(
			'name' => 'selected_3d_distance',
			'type' => 'spinner',
			'default' => '30',
			'hidden' => '',
			'min' => '1',
			'max' => '100',
			'step' => '1',
			'title' => 'Distance Between Cubes',
			'description' => 'The distance between the cubes during transition. Values between 1 and 100 are recommended.',
			'label' => '',
			'margin' => false
		)
	)
)

);

	if ($meta_name)
		return $meta_boxes[$meta_name];
	else
		return $meta_boxes;
}


function cmsmasters_add_meta_box($box_name){
global $post;

$meta_box = cmsmasters_meta_boxes($box_name);

foreach ($meta_box['fields'] as $meta_id => $meta_field){
	
$existing_value = get_post_meta($post->ID, $meta_field['name'], true);
$value = ($existing_value != '') ? $existing_value : $meta_field['default'];
$margin = ($meta_field['margin']) ? ' class="add_margin"' : ' class="remove_margin"';

if ($meta_field['description']) {
	$switch = ' <a class="switch" href="">[+] more info</a>';
	$description = '<p class="description">' . $meta_field['description'] . '</p>' . "\n";
}else{
	$switch = '';
	$description = '';
}

?>
<div id="<?php echo $meta_id; ?>" class="cmsmasters-post-control<?php echo ' '.$meta_field['hidden']; ?>">
<p><strong><?php echo $meta_field['title']; ?></strong><?php echo $switch; ?></p><?php if ($description){echo $description;}?>

<?php switch ( $meta_field['type'] ) { 

case 'textarea':
?>
<p<?php echo $margin; ?>>
<textarea id="<?php echo $meta_field['name']; ?>" name="<?php echo $meta_field['name']; ?>" cols="40" rows="2"><?php echo $value; ?></textarea>
<br /><label for="<?php echo $meta_field['name']; ?>"><?php echo $meta_field['label']; ?></label></p>
<?php 

break;
case "text":
?>
<?php $width = ($meta_field['width']) ? ' ' . $meta_field['width'] : ''; ?>
<p<?php echo $margin; ?>>
<input type="text" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input<?php echo $width; ?>"/>
<br /><label for="<?php echo $meta_field['name']; ?>"><?php echo $meta_field['label']; ?></label>
</p>
<?php

break;
case "add_item":
?>
<?php $width = ($meta_field['width']) ? ' ' . $meta_field['width'] : ''; ?>
<div style="overflow:hidden;" id="<?php echo $meta_field['name']; ?>_container">
<div class="fr" style="padding-left:20px; width:50%;">
<p>
<a href="#" id="<?php echo $meta_field['name']; ?>_cancel" style="display:none; float:right; margin-right:10px;">Cancel</a>
<label for="<?php echo $meta_field['name']; ?>_name" style="display:block; padding-bottom:5px;">Enter <?php echo $meta_field['label']; ?></label>
<input type="text" value="" name="<?php echo $meta_field['name']; ?>_name" id="<?php echo $meta_field['name']; ?>_name" class="text_input<?php echo $width; ?>" />
</p>
<p>
<label for="<?php echo $meta_field['name']; ?>_value" style="display:block; padding-bottom:5px;">Enter <?php echo $meta_field['label2']; ?></label>
<input type="text" value="" name="<?php echo $meta_field['name']; ?>_value" id="<?php echo $meta_field['name']; ?>_value" class="text_input<?php echo $width; ?>" />
</p>
<p>
<label for="<?php echo $meta_field['name']; ?>_select_value" style="display:block; padding-bottom:5px;">OR Select Page</label>
<select name="<?php echo $meta_field['name']; ?>_select_value" id="<?php echo $meta_field['name']; ?>_select_value" style="width:100%; padding-top:3px; padding-bottom:3px; height:2.2em;">
	<option value="" selected="selected">Select Page Name &amp; Link </option>
<?php
$page_links = get_pages();
if(is_array($page_links) && !empty($page_links)){
	foreach($page_links as $page_link){
		echo "<option value='$page_link->guid'>$page_link->post_title</option>\n";
	}
}
?>
</select>
</p>
<p>
<input type="button" value="Delete Item" name="<?php echo $meta_field['name']; ?>_delete" id="<?php echo $meta_field['name']; ?>_delete" class="button fr" style="display:none;" />
<input type="button" value="Update Item" name="<?php echo $meta_field['name']; ?>_update" id="<?php echo $meta_field['name']; ?>_update" class="button" style="display:none;" />
<input type="button" value="Add Item" name="<?php echo $meta_field['name']; ?>_add" id="<?php echo $meta_field['name']; ?>_add" class="button" />
</p>
</div>
<div class="<?php echo $meta_field['name']; ?>_list delete_item_list">
<?php
$breadcrumbs = get_post_meta( get_the_ID(), 'selected_breadcrumbs', true );
$breadcrumbs_links = get_post_meta( get_the_ID(), 'selected_breadcrumbs_links', true );

$breadcrbs = explode(";", $breadcrumbs);
$breadcrbls = explode(";", $breadcrumbs_links);
$brcrmb = 0;

foreach ($breadcrbs as $breadcrb){ 
	if ($breadcrb != ''){
		echo '<a href="'.$breadcrbls[$brcrmb].'" class="delete_item">'.$breadcrb.'</a>';
		
		$brcrmb = $brcrmb + 1;
	}
}
?>
</div>
</div>
<script type="text/javascript">
jQuery(document).ready(function($){
	var $itemlist = jQuery('.<?php echo $meta_field['name']; ?>_list');
	
	$itemlist.sortable({
		placeholder:'ui-sortable-placeholder',
		forcePlaceholderSize:true,
		cursor:'move',
		update:function(event, ui){
			var $valnames = '';
			var $vallinks = '';
			
			$itemlist.find('a').each(function(){
				if ($valnames == ''){
					$valnames = jQuery(this).html();
				} else {
					$valnames = $valnames+';'+jQuery(this).html();
				}
				
				if ($vallinks == ''){
					$vallinks = jQuery(this).attr('href');
				} else {
					$vallinks = $vallinks+';'+jQuery(this).attr('href');
				}
			});
			
			jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
			jQuery('#<?php echo $meta_field['name']; ?>_links').val($vallinks);
		}
	});
	
	$itemlist.find('a.delete_item').live('click', function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		jQuery(this).addClass('activeitem');
		jQuery('#<?php echo $meta_field['name']; ?>_add').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_update').show();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').show();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').show();
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val(jQuery(this).html());
		jQuery('#<?php echo $meta_field['name']; ?>_value').val(jQuery(this).attr('href'));
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_add').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		var $updatelink = jQuery('#<?php echo $meta_field['name']; ?>_value').val();
		
		if ($updatetext == '' || $updatelink == ''){
			alert('Enter breadcrumb text and link!');
			
			return false;
		}
		
		$itemlist.append('<a href="'+$updatelink+'" class="delete_item">'+$updatetext+'</a>');
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).attr('href');
			} else {
				$vallinks = $vallinks+';'+jQuery(this).attr('href');
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_links').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_delete').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').remove();
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).attr('href');
			} else {
				$vallinks = $vallinks+';'+jQuery(this).attr('href');
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_links').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_update').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		var $updatelink = jQuery('#<?php echo $meta_field['name']; ?>_value').val();
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').attr({href:$updatelink}).html($updatetext);
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).attr('href');
			} else {
				$vallinks = $vallinks+';'+jQuery(this).attr('href');
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_links').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_select_value').change(function(){
		var $updatename = jQuery('#<?php echo $meta_field['name']; ?>_select_value option:selected').html();
		var $updatelink = jQuery('#<?php echo $meta_field['name']; ?>_select_value').val();
		
		if ($updatelink != ''){
			jQuery('#<?php echo $meta_field['name']; ?>_name').val($updatename);
			jQuery('#<?php echo $meta_field['name']; ?>_value').val($updatelink);
		}
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_cancel').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
});
</script>
<p<?php echo $margin; ?> style="padding:0;">
<input type="hidden" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input" />
</p>
<?php

break;
case "add_item_two":
?>
<?php $width = ($meta_field['width']) ? ' ' . $meta_field['width'] : ''; ?>
<div style="overflow:hidden;" id="<?php echo $meta_field['name']; ?>_container">
<div class="fr" style="padding-left:20px; width:50%;">
<p>
<a href="#" id="<?php echo $meta_field['name']; ?>_cancel" style="display:none; float:right; margin-right:10px;">Cancel</a>
<label for="<?php echo $meta_field['name']; ?>_name" style="display:block; padding-bottom:5px;">Enter <?php echo $meta_field['label']; ?></label>
<input type="text" value="" name="<?php echo $meta_field['name']; ?>_name" id="<?php echo $meta_field['name']; ?>_name" class="text_input<?php echo $width; ?>" />
</p>
<p>
<label for="<?php echo $meta_field['name']; ?>_value" style="display:block; padding-bottom:5px;">Enter <?php echo $meta_field['label2']; ?></label>
<input type="text" value="" name="<?php echo $meta_field['name']; ?>_value" id="<?php echo $meta_field['name']; ?>_value" class="text_input<?php echo $width; ?>" />
</p>
<p>
<input type="button" value="Delete Item" name="<?php echo $meta_field['name']; ?>_delete" id="<?php echo $meta_field['name']; ?>_delete" class="button fr" style="display:none;" />
<input type="button" value="Update Item" name="<?php echo $meta_field['name']; ?>_update" id="<?php echo $meta_field['name']; ?>_update" class="button" style="display:none;" />
<input type="button" value="Add Item" name="<?php echo $meta_field['name']; ?>_add" id="<?php echo $meta_field['name']; ?>_add" class="button" />
</p>
</div>
<div class="<?php echo $meta_field['name']; ?>_list delete_item_list">
<?php
$atts = get_post_meta(get_the_ID(), 'product_atts', true);
$atts_vals = get_post_meta(get_the_ID(), 'product_atts_vals', true);

$attrs = explode(";", $atts);
$attrvs = explode(";", $atts_vals);
$numbatt = 0;

foreach ($attrs as $attr){ 
	if ($attr != ''){
		echo '<a href="#" class="delete_item"><span class="attname">'.$attr.'</span><span class="attval">'.$attrvs[$numbatt].'</span></a>';
		
		$numbatt = $numbatt + 1;
	}
}
?>
</div>
</div>
<script type="text/javascript">
jQuery(document).ready(function($){
	var $itemlist = jQuery('.<?php echo $meta_field['name']; ?>_list');
	
	$itemlist.sortable({
		placeholder:'ui-sortable-placeholder',
		forcePlaceholderSize:true,
		cursor:'move',
		update:function(event, ui){
			var $valnames = '';
			var $vallinks = '';
			
			$itemlist.find('a').each(function(){
				if ($valnames == ''){
					$valnames = jQuery(this).find('span.attname').html();
				} else {
					$valnames = $valnames+';'+jQuery(this).find('span.attname').html();
				}
				
				if ($vallinks == ''){
					$vallinks = jQuery(this).find('span.attval').html();
				} else {
					$vallinks = $vallinks+';'+jQuery(this).find('span.attval').html();
				}
			});
			
			jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
			jQuery('#<?php echo $meta_field['name']; ?>_vals').val($vallinks);
		}
	});
	
	$itemlist.find('a.delete_item').live('click', function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		jQuery(this).addClass('activeitem');
		jQuery('#<?php echo $meta_field['name']; ?>_add').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_update').show();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').show();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').show();
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val(jQuery(this).find('span.attname').html());
		jQuery('#<?php echo $meta_field['name']; ?>_value').val(jQuery(this).find('span.attval').html());
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_add').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		var $updatelink = jQuery('#<?php echo $meta_field['name']; ?>_value').val();
		
		if ($updatetext == '' || $updatelink == ''){
			alert('Enter attribute name and value!');
			
			return false;
		}
		
		$itemlist.append('<a href="#" class="delete_item"><span class="attname">'+$updatetext+'</span><span class="attval">'+$updatelink+'</span></a>');
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).find('span.attname').html();
			} else {
				$valnames = $valnames+';'+jQuery(this).find('span.attname').html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).find('span.attval').html();
			} else {
				$vallinks = $vallinks+';'+jQuery(this).find('span.attval').html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_vals').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_delete').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').remove();
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).find('span.attname').html();
			} else {
				$valnames = $valnames+';'+jQuery(this).find('span.attname').html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).find('span.attval').html();
			} else {
				$vallinks = $vallinks+';'+jQuery(this).find('span.attval').html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_vals').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_update').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		var $updatelink = jQuery('#<?php echo $meta_field['name']; ?>_value').val();
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').find('span.attname').html($updatetext);
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').find('span.attval').html($updatelink);
		
		var $valnames = '';
		var $vallinks = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).find('span.attname').html();
			} else {
				$valnames = $valnames+';'+jQuery(this).find('span.attname').html();
			}
			
			if ($vallinks == ''){
				$vallinks = jQuery(this).find('span.attval').html();
			} else {
				$vallinks = $vallinks+';'+jQuery(this).find('span.attval').html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		jQuery('#<?php echo $meta_field['name']; ?>_vals').val($vallinks);
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_cancel').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_value').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
});
</script>
<p<?php echo $margin; ?> style="padding:0;">
<input type="hidden" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input" />
</p>
<?php

break;
case "add_item_one":
?>
<?php $width = ($meta_field['width']) ? ' ' . $meta_field['width'] : ''; ?>
<div style="overflow:hidden;" id="<?php echo $meta_field['name']; ?>_container">
<div class="fr" style="padding-left:20px; width:50%;">
<p>
<a href="#" id="<?php echo $meta_field['name']; ?>_cancel" style="display:none; float:right; margin-right:10px;">Cancel</a>
<label for="<?php echo $meta_field['name']; ?>_name" style="display:block; padding-bottom:5px;">Enter <?php echo $meta_field['label']; ?></label>
<input type="text" value="" name="<?php echo $meta_field['name']; ?>_name" id="<?php echo $meta_field['name']; ?>_name" class="text_input<?php echo $width; ?>" />
</p>
<p>
<input type="button" value="Delete Item" name="<?php echo $meta_field['name']; ?>_delete" id="<?php echo $meta_field['name']; ?>_delete" class="button fr" style="display:none;" />
<input type="button" value="Update Item" name="<?php echo $meta_field['name']; ?>_update" id="<?php echo $meta_field['name']; ?>_update" class="button" style="display:none;" />
<input type="button" value="Add Item" name="<?php echo $meta_field['name']; ?>_add" id="<?php echo $meta_field['name']; ?>_add" class="button" />
</p>
</div>
<div class="<?php echo $meta_field['name']; ?>_list delete_item_list">
<?php
$atts = get_post_meta(get_the_ID(), 'project_features', true);
$attrs = explode(";", $atts);
foreach ($attrs as $attr){ if ($attr != ''){ echo '<a href="#" class="delete_item">'.$attr.'</a>'; } }
?>
</div>
</div>
<script type="text/javascript">
jQuery(document).ready(function($){
	var $itemlist = jQuery('.<?php echo $meta_field['name']; ?>_list');
	
	$itemlist.sortable({
		placeholder:'ui-sortable-placeholder',
		forcePlaceholderSize:true,
		cursor:'move',
		update:function(event, ui){
			var $valnames = '';
			
			$itemlist.find('a').each(function(){
				if ($valnames == ''){
					$valnames = jQuery(this).html();
				} else {
					$valnames = $valnames+';'+jQuery(this).html();
				}
			});
			
			jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		}
	});
	
	$itemlist.find('a.delete_item').live('click', function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		jQuery(this).addClass('activeitem');
		jQuery('#<?php echo $meta_field['name']; ?>_add').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_update').show();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').show();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').show();
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val(jQuery(this).html());
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_add').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		
		if ($updatetext == ''){
			alert('Enter feature text!');
			
			return false;
		}
		
		$itemlist.append('<a href="#" class="delete_item">'+$updatetext+'</a>');
		
		var $valnames = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_delete').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').remove();
		
		var $valnames = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_update').click(function(){
		var $updatetext = jQuery('#<?php echo $meta_field['name']; ?>_name').val();
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').html($updatetext);
		
		var $valnames = '';
		
		$itemlist.find('a').each(function(){
			if ($valnames == ''){
				$valnames = jQuery(this).html();
			} else {
				$valnames = $valnames+';'+jQuery(this).html();
			}
		});
		
		jQuery('#<?php echo $meta_field['name']; ?>').val($valnames);
		
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_cancel').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a.delete_item.activeitem').removeClass('activeitem');
		
		jQuery('#<?php echo $meta_field['name']; ?>_name').val('');
		jQuery('#<?php echo $meta_field['name']; ?>_update').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_delete').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_cancel').hide();
		jQuery('#<?php echo $meta_field['name']; ?>_add').show();
		
		return false;
	});
});
</script>
<p<?php echo $margin; ?> style="padding:0;">
<input type="hidden" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input" />
</p>
<?php

break;
case "choose_icon":
?>
<div style="overflow:hidden;">
<ul id="<?php echo $meta_field['name']; ?>_icons" class="iconslist">
<?php
$themeicons = array();
if (is_dir(TEMPLATEPATH.'/images/theme_icons/')){
	if ($open_dirs = opendir(TEMPLATEPATH.'/images/theme_icons/')){
		while (($themeicon = readdir($open_dirs)) !== false){
			if (stristr($themeicon, '.png') !== false || stristr($themeicon, '.jpg') !== false || stristr($themeicon, '.jpeg') !== false || stristr($themeicon, '.gif') !== false){
				$themeicons[] = $themeicon;
			}
		}
	}
}

foreach ($themeicons as $themeicon){ 
	if ($themeicon != ''){
		if ($value == get_template_directory_uri()."/images/theme_icons/".$themeicon){
			echo "<li><a href='".get_template_directory_uri()."/images/theme_icons/".$themeicon."' class='active_icon'><img src='".get_template_directory_uri()."/images/theme_icons/".$themeicon."' alt='".$themeicon."' width='30' height='30' /></a></li>";
		} else {
			echo "<li><a href='".get_template_directory_uri()."/images/theme_icons/".$themeicon."'><img src='".get_template_directory_uri()."/images/theme_icons/".$themeicon."' alt='".$themeicon."' width='30' height='30' /></a></li>";
		}
	}
}
?>
</ul>
<div style="clear:both;"></div>
<br />
<a href="#" id="<?php echo $meta_field['name']; ?>_remove" style="padding-left:10px;">Disable Heading Icon</a>
<br /><br />
</div>
<script type="text/javascript">
jQuery(document).ready(function($){
	jQuery('#<?php echo $meta_field['name']; ?>_icons li a').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_icons li a').removeClass('active_icon');
		jQuery(this).addClass('active_icon');
		jQuery('#<?php echo $meta_field['name']; ?>').val(jQuery(this).attr('href'));
		
		return false;
	});
	
	jQuery('#<?php echo $meta_field['name']; ?>_remove').click(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_icons li a').removeClass('active_icon');
		jQuery('#<?php echo $meta_field['name']; ?>').val('');
		
		return false;
	});
});
</script>
<p<?php echo $margin; ?> style="padding:0;">
<input type="hidden" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input" />
</p>
<?php

break;
case "hidden":
?>
<p<?php echo $margin; ?>>
<input type="hidden" value="<?php echo $value; ?>" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="text_input" /></p>
<?php

break;
case 'spinner':
?>
<p<?php echo $margin; ?>>
<input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="text" value="<?php echo $value; ?>" size="5" />
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $meta_field['name']; ?>').spinner({
			min:<?php echo $meta_field['min']; ?>, 
			max:<?php echo $meta_field['max']; ?>, 
			step:<?php echo $meta_field['step']; ?>
		});
	});
</script>
</p>
<?php 

break;
case 'color':
?>
<div style="padding-top:7px;">
<div class="customchar">#</div>
<input size="10" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="text" value="<?php echo $value; ?>" class="fl" />
<div class="mycolorpicker_parent">
<div class="mycolorpicker" id="<?php echo $meta_field['name']; ?>_mycolor"></div>
<div id="<?php echo $meta_field['name']; ?>_colorpicker" style="background-color:#<?php echo $value; ?>;"></div>
</div>
<div style="clear:both;"></div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $meta_field['name']; ?>, #<?php echo $meta_field['name']; ?>_mycolor').ColorPicker({
			onSubmit: function(hsb, hex, rgb, el) {
				jQuery('#<?php echo $meta_field['name']; ?>').val(hex);
				jQuery('#<?php echo $meta_field['name']; ?>_colorpicker').css('backgroundColor', '#' + hex)
				jQuery(el).ColorPickerHide();
			},
			onBeforeShow: function () {
				jQuery(this).ColorPickerSetColor(jQuery('#<?php echo $meta_field['name']; ?>').val());
			}
		});
	});
</script>
<p<?php echo $margin; ?> style="padding-bottom:8px;"></p>
</div>
<?php 

break;
case 'bgs':
?>
<div id="<?php echo $meta_field['name']; ?>_container">
<div class="select_bgs" id="<?php echo $meta_field['name']; ?>_patterns_bgs" style="padding-top:10px;">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Patterns</span>
<?php 
foreach (get_theme_bgs() as $option){
	if ($option->bg_type == 'bg_t'){
		if ($value != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $value);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="select_bgs" id="<?php echo $meta_field['name']; ?>_transparents_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Transparent Images</span>
<?php 
foreach (get_theme_bgs() as $option){
	if ($option->bg_type == 'bg_t_i'){
		if ($value != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $value);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<div class="select_bgs" id="<?php echo $meta_field['name']; ?>_images_bgs">
<span class="fl" style="display:block; width:140px; padding:1px 0 0;">Background Images</span>
<?php 
foreach (get_theme_bgs() as $option){
	if ($option->bg_type == 'bg_i'){
		if ($value != ''){
			$opt_id = str_replace(get_template_directory_uri().'/images/bgs/', '', $value);
			
			if (strstr($opt_id, $option->bg_url) != false){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		} else {
			if ($value == $option->bg_url){
				$selected = ' class="selected"';
			} else {
				$selected = '';
			}
		}
		
		if ($option->bg_url != ''){
			echo "<a$selected href='".get_template_directory_uri()."/images/bgs/".$option->bg_url."' style='background-image:url(".get_template_directory_uri()."/images/bgs/".$option->bg_thumb_url.");'>&nbsp;</a>";
		}
	}
}
?>
</div>
<p<?php echo $margin; ?> style="padding:0;">
<input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="hidden" value="<?php echo $value; ?>" />
</p>
</div>
<script type="text/javascript">
	jQuery(document).ready(function(){
		jQuery('#<?php echo $meta_field['name']; ?>_container a').click(function(){
			jQuery('#<?php echo $meta_field['name']; ?>_container a').removeClass('selected');
			jQuery(this).addClass('selected');
			jQuery('#<?php echo $meta_field['name']; ?>').val(jQuery(this).attr('href'));
			
			return false;
		});
	});
</script>
</p>
<?php 

break;
case "image":
?>
<p<?php echo $margin; ?> style="overflow:hidden;">
<label>
<input size="50" name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="text" value="<?php echo $value; ?>" class="fl" />
<input type="button" name="<?php echo $meta_field['name']; ?>_upload" value="Upload" id="<?php echo $meta_field['name']; ?>_upload" class="fl" style="font-size:1em; padding:3px 10px 2px;" />
<span style="margin:5px 0 0 5px; float:left; display:none;"><img id="<?php echo $meta_field['name']; ?>_loading" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/images/wpspin_light.gif" alt="Loading" /></span>
 <?php echo $meta_field['desc']; ?></label>
</p>
<script type="text/javascript">
	jQuery(document).ready(function(){
		var btnUpload = jQuery('#<?php echo $meta_field['name']; ?>_upload');
		var status = jQuery('#<?php echo $meta_field['name']; ?>_loading');
		new AjaxUpload(btnUpload, {
			action: '<?php echo get_template_directory_uri(); ?>/theme/functions/upload.php',
			name: 'uploadfile',
			data: { url: '../../images/cache/' },
			onSubmit: function(file, ext){
				 if (!(ext && /^(jpg|png|jpeg|gif)$/.test(ext))){ 
					alert('Only JPG, PNG or GIF files are allowed');
					return false;
				}
				status.parent().fadeIn();
			},
			onComplete: function(file, response){
				status.parent().fadeOut();
				if (response != 'error'){
					jQuery('#<?php echo $meta_field['name']; ?>').val('<?php echo get_template_directory_uri(); ?>/images/cache/'+response);
				} else {
					alert('File '+file+' do not load...');
				}
			}
		});
	});
</script>
<?php

break;
case "radio":
?>
<p<?php echo $margin; ?>>
<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="radio" value="<?php echo $meta_field['value']; ?>"<?php if ($value == $meta_field['value'] || $value == ''){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc']; ?></label>
<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_2" type="radio" value="<?php echo $meta_field['value2']; ?>"<?php if ($value == $meta_field['value2']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc2']; ?></label>
</p>
<?php

break;
case "radio_three":
?>
<p<?php echo $margin; ?>><label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="selector" type="radio" value="<?php echo $meta_field['value']; ?>"<?php if ($value == $meta_field['value'] || $value == ''){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc']; ?></label>

<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_2" class="selector" type="radio" value="<?php echo $meta_field['value2']; ?>"<?php if ($value == $meta_field['value2']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc2']; ?></label>

<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_3" class="selector" type="radio" value="<?php echo $meta_field['value3']; ?>"<?php if ($value == $meta_field['value3']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc3']; ?></label>
</p>
<?php

break;
case "radio_toggle":
?>
<p<?php echo $margin; ?>><label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" class="selector" type="radio" value="<?php echo $meta_field['value']; ?>"<?php if ($value == $meta_field['value'] || $value == ''){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc']; ?></label>

<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_2" class="selector" type="radio" value="<?php echo $meta_field['value2']; ?>"<?php if ($value == $meta_field['value2']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc2']; ?></label>

<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_3" class="selector" type="radio" value="<?php echo $meta_field['value3']; ?>"<?php if ($value == $meta_field['value3']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc3']; ?></label>

<label style="display:block; padding-bottom:5px;"><input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>_4" class="selector" type="radio" value="<?php echo $meta_field['value4']; ?>"<?php if ($value == $meta_field['value4']){echo ' checked="checked"';}?> style="margin-top:-3px;" /> <?php echo $meta_field['desc4']; ?></label>
</p>
<?php

break;
case "checkbox":
?>
<p<?php echo $margin; ?>>
<input name="<?php echo $meta_field['name']; ?>" id="<?php echo $meta_field['name']; ?>" type="checkbox" value="<?php echo $meta_field['value']; ?>" <?php if ($existing_value == $meta_field['value']){echo 'checked="checked"';}?> /> <?php echo $meta_field['desc']; ?>
</p>
<?php

break;
case "select_categ":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Blog Category&nbsp;</option>
<?php
$categs = get_categories();
foreach($categs as $categ){
	if($existing_value == $categ->cat_ID){
		echo "<option value='$categ->cat_ID' selected='selected'>$categ->cat_name</option>\n";
	}else{
		echo "<option value='$categ->cat_ID'>$categ->cat_name</option>\n";
	}
}
?>
</select>
</p>
<?php

break;
case "select_sidebar":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Sidebar&nbsp;</option>
<?php
$sidebars = sidebar_generator_cmsmasters::get_sidebars();
if(is_array($sidebars) && !empty($sidebars)){
	foreach($sidebars as $sidebar){
		if($existing_value == $sidebar){
			echo "<option value='$sidebar' selected='selected'>$sidebar</option>\n";
		}else{
			echo "<option value='$sidebar'>$sidebar</option>\n";
		}
	}
}
?>
</select>
</p>
<?php

break;
case "select_post_type_categ":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A <?php echo $meta_field['title']; ?>&nbsp;</option>
<?php
$pt_categs = get_terms($meta_field['post_type'], 'orderby=name&hide_empty=0');
if(is_array($pt_categs) && !empty($pt_categs)){
	foreach($pt_categs as $pt_categ){
		if ($existing_value == $pt_categ->slug){
			echo "<option value='$pt_categ->slug' selected='selected'>$pt_categ->name</option>\n";
		} else {
			echo "<option value='$pt_categ->slug'>$pt_categ->name</option>\n";
		}
	}
}
?>
</select>
</p>
<?php

break;
case "select_order":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value="date"<?php if($existing_value == 'date'){ echo " selected='selected'";} ?>>Order by Date&nbsp;</option>
	<option value="menu_order"<?php if($existing_value == "menu_order"){ echo " selected='selected'";} ?>>Menu Order&nbsp;</option>
	<option value="rand"<?php if($existing_value == 'rand'){ echo " selected='selected'";} ?>>Random Order&nbsp;</option>
</select>
</p>
<?php

break;
case "select_slider":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value="architect"<?php if($existing_value == 'architect'){ echo " selected='selected'";} ?>>Architect Slider&nbsp;</option>
	<option value="nivo"<?php if($existing_value == 'nivo'){ echo " selected='selected'";} ?>>Nivo Slider&nbsp;</option>
	<option value="coin"<?php if($existing_value == 'coin'){ echo " selected='selected'";} ?>>Coin Slider&nbsp;</option>
	<option value="accordion"<?php if($existing_value == 'accordion'){ echo " selected='selected'";} ?>>Accordion Slider&nbsp;</option>
	<option value="3d"<?php if($existing_value == '3d'){ echo " selected='selected'";} ?>>Flashmo 3D Slider&nbsp;</option>
	<option value="piecemaker2"<?php if($existing_value == 'piecemaker2'){ echo " selected='selected'";} ?>>Piecemaker2 3D Slider&nbsp;</option>
</select>
</p>
<?php

break;
case "select_direction":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value="up"<?php if($existing_value == 'up'){ echo " selected='selected'";} ?>>Up&nbsp;</option>
	<option value="down"<?php if($existing_value == 'down'){ echo " selected='selected'";} ?>>Down&nbsp;</option>
	<option value="center"<?php if($existing_value == 'center'){ echo " selected='selected'";} ?>>Center&nbsp;</option>
	<option value="left"<?php if($existing_value == 'left'){ echo " selected='selected'";} ?>>Left&nbsp;</option>
	<option value="right"<?php if($existing_value == 'right'){ echo " selected='selected'";} ?>>Right&nbsp;</option>
</select>
</p>
<?php

break;
case "select_easing":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Transition Type&nbsp;</option>
	<option value="linear"<?php if($existing_value == 'linear'){ echo " selected='selected'";} ?>> linear </option>
	<option value="easeInSine"<?php if($existing_value == 'easeInSine'){ echo " selected='selected'";} ?>> easeInSine </option>
	<option value="easeOutSine"<?php if($existing_value == 'easeOutSine'){ echo " selected='selected'";} ?>> easeOutSine </option>
	<option value="easeInOutSine"<?php if($existing_value == 'easeInOutSine'){ echo " selected='selected'";} ?>> easeInOutSine </option>
	<option value="easeInQuad"<?php if($existing_value == 'easeInQuad'){ echo " selected='selected'";} ?>> easeInQuad </option>
	<option value="easeOutQuad"<?php if($existing_value == 'easeOutQuad'){ echo " selected='selected'";} ?>> easeOutQuad </option>
	<option value="easeInOutQuad"<?php if($existing_value == 'easeInOutQuad'){ echo " selected='selected'";} ?>> easeInOutQuad </option>
	<option value="easeInCubic"<?php if($existing_value == 'easeInCubic'){ echo " selected='selected'";} ?>> easeInCubic </option>
	<option value="easeOutCubic"<?php if($existing_value == 'easeOutCubic'){ echo " selected='selected'";} ?>> easeOutCubic </option>
	<option value="easeInOutCubic"<?php if($existing_value == 'easeInOutCubic'){ echo " selected='selected'";} ?>> easeInOutCubic </option>
	<option value="easeInQuart"<?php if($existing_value == 'easeInQuart'){ echo " selected='selected'";} ?>> easeInQuart </option>
	<option value="easeOutQuart"<?php if($existing_value == 'easeOutQuart'){ echo " selected='selected'";} ?>> easeOutQuart </option>
	<option value="easeInOutQuart"<?php if($existing_value == 'easeInOutQuart'){ echo " selected='selected'";} ?>> easeInOutQuart </option>
	<option value="easeInQuint"<?php if($existing_value == 'easeInQuint'){ echo " selected='selected'";} ?>> easeInQuint </option>
	<option value="easeOutQuint"<?php if($existing_value == 'easeOutQuint'){ echo " selected='selected'";} ?>> easeOutQuint </option>
	<option value="easeInOutQuint"<?php if($existing_value == 'easeInOutQuint'){ echo " selected='selected'";} ?>> easeInOutQuint </option>
	<option value="easeInExpo"<?php if($existing_value == 'easeInExpo'){ echo " selected='selected'";} ?>> easeInExpo </option>
	<option value="easeOutExpo"<?php if($existing_value == 'easeOutExpo'){ echo " selected='selected'";} ?>> easeOutExpo </option>
	<option value="easeInOutExpo"<?php if($existing_value == 'easeInOutExpo'){ echo " selected='selected'";} ?>> easeInOutExpo </option>
	<option value="easeInCirc"<?php if($existing_value == 'easeInCirc'){ echo " selected='selected'";} ?>> easeInCirc </option>
	<option value="easeOutCirc"<?php if($existing_value == 'easeOutCirc'){ echo " selected='selected'";} ?>> easeOutCirc </option>
	<option value="easeInOutCirc"<?php if($existing_value == 'easeInOutCirc'){ echo " selected='selected'";} ?>> easeInOutCirc </option>
	<option value="easeInElastic"<?php if($existing_value == 'easeInElastic'){ echo " selected='selected'";} ?>> easeInElastic </option>
	<option value="easeOutElastic"<?php if($existing_value == 'easeOutElastic'){ echo " selected='selected'";} ?>> easeOutElastic </option>
	<option value="easeInOutElastic"<?php if($existing_value == 'easeInOutElastic'){ echo " selected='selected'";} ?>> easeInOutElastic </option>
	<option value="easeInBack"<?php if($existing_value == 'easeInBack'){ echo " selected='selected'";} ?>> easeInBack </option>
	<option value="easeOutBack"<?php if($existing_value == 'easeOutBack'){ echo " selected='selected'";} ?>> easeOutBack </option>
	<option value="easeInOutBack"<?php if($existing_value == 'easeInOutBack'){ echo " selected='selected'";} ?>> easeInOutBack </option>
	<option value="easeInBounce"<?php if($existing_value == 'easeInBounce'){ echo " selected='selected'";} ?>> easeInBounce </option>
	<option value="easeOutBounce"<?php if($existing_value == 'easeOutBounce'){ echo " selected='selected'";} ?>> easeOutBounce </option>
	<option value="easeInOutBounce"<?php if($existing_value == 'easeInOutBounce'){ echo " selected='selected'";} ?>> easeInOutBounce </option>
</select>
</p>
<?php

break;
case "select_numbercolumns_sidebarblog":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="onefull"<?php if($existing_value == 'onefull'){ echo " selected='selected'";} ?>>One Column Large Image</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column Small Image</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
</select>
</p>
<?php

break;
case "select_numbercolumns_fullblog":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="onefull"<?php if($existing_value == 'onefull'){ echo " selected='selected'";} ?>>One Column Large Image</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column Small Image</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
	<option value="four"<?php if($existing_value == 'four'){ echo " selected='selected'";} ?>>Four Columns</option>
</select>
</p>
<?php

break;
case "select_numbercolumns_sidebargall":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
</select>
</p>
<?php

break;
case "select_numbercolumns_fullgall":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
	<option value="four"<?php if($existing_value == 'four'){ echo " selected='selected'";} ?>>Four Columns</option>
</select>
</p>
<?php

break;
case "album_numbercolumns_full":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
	<option value="four"<?php if($existing_value == 'four'){ echo " selected='selected'";} ?>>Four Columns</option>
	<option value="five"<?php if($existing_value == 'five'){ echo " selected='selected'";} ?>>Five Columns</option>
</select>
</p>
<?php

break;
case "album_numbercolumns_sidebar":
?>
<p<?php echo $margin; ?>>
<select name="<?php echo $meta_field['name']; ?>">
	<option value=""<?php if($existing_value == ''){ echo " selected='selected'";} ?>>Select A Number Of Columns&nbsp;</option>
	<option value="one"<?php if($existing_value == 'one'){ echo " selected='selected'";} ?>>One Column</option>
	<option value="two"<?php if($existing_value == 'two'){ echo " selected='selected'";} ?>>Two Columns</option>
	<option value="three"<?php if($existing_value == 'three'){ echo " selected='selected'";} ?>>Three Columns</option>
</select>
</p>
<?php

break;

}
?>

</div>
<?php } ?>
<input type="hidden" value="<?php echo wp_create_nonce(plugin_basename(__FILE__)); ?>" id="<?php echo $meta_box['noncename']; ?>_noncename" name="<?php echo $meta_box['noncename']; ?>_noncename"/>
<?php 
}

function cmsmasters_save_meta($post_id) {
	$meta_boxes = cmsmasters_meta_boxes();
	global $wp;
	foreach($meta_boxes as $meta_box) {
		if ($_POST['post_type'] == 'post') {
			if (!wp_verify_nonce($_POST['cmsmasters_generalpost_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}

		if ($_POST['post_type'] == 'page') {
			if (!wp_verify_nonce($_POST['cmsmasters_generalpage_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}

		if ($wp->query_vars["post_type"] == 'testimonials') {
			if (!wp_verify_nonce($_POST['cmsmasters_pagetests_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
		
		if ($wp->query_vars["post_type"] == 'news') {
			if (!wp_verify_nonce($_POST['cmsmasters_pagenews_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
		
		if ($wp->query_vars["post_type"] == 'products') {
			if (!wp_verify_nonce($_POST['cmsmasters_pageproducts_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
		
		if ($wp->query_vars["post_type"] == 'slides') {
			if (!wp_verify_nonce($_POST['cmsmasters_pageslides_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
		
		if ($wp->query_vars["post_type"] == 'portfolios') {
			if (!wp_verify_nonce($_POST['cmsmasters_pageportfolios_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
		
		if ($wp->query_vars["post_type"] == 'gallery') {
			if (!wp_verify_nonce($_POST['cmsmasters_pagegallery_noncename'], plugin_basename(__FILE__)))
				return $post_id;
		}
	}

	if ($_POST['post_type'] == 'page') {
		if (!current_user_can('edit_page', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'testimonials') {
		if (!current_user_can('edit_testimonials', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'news') {
		if (!current_user_can('edit_news', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'products') {
		if (!current_user_can('edit_products', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'slides') {
		if (!current_user_can('edit_slides', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'portfolio') {
		if (!current_user_can('edit_portfolio', $post_id))
			return $post_id;
	}
	elseif ($wp->query_vars["post_type"] == 'gallery') {
		if (!current_user_can('edit_gallery', $post_id))
			return $post_id;
	}
	else {
		if (!current_user_can('edit_post', $post_id))
			return $post_id;
	}
		if ( isset($_GET['post']) && isset($_GET['bulk_edit']) )
			return $post_id;

	foreach ($meta_boxes as $meta_box) {
		foreach ($meta_box['fields'] as $meta_field){
			$current_data = get_post_meta($post_id, $meta_field['name'], true);	
			$new_data = $_POST[$meta_field['name']];
			
			if ($current_data){
				if ($new_data == '')
					delete_post_meta($post_id, $meta_field['name']);
				elseif ($new_data != $current_data)
					update_post_meta($post_id, $meta_field['name'], $new_data);
			}
			elseif ($new_data != '')
				add_post_meta($post_id, $meta_field['name'], $new_data, true);
		}
	}
}

function cmsmasters_generalpost_meta_box() {
	cmsmasters_add_meta_box('generalpost');
}

function cmsmasters_generalpage_meta_box() {
	cmsmasters_add_meta_box('generalpage');
}

function cmsmasters_generaltests_meta_box() {
	cmsmasters_add_meta_box('generaltests');
}

function cmsmasters_generalnews_meta_box() {
	cmsmasters_add_meta_box('generalnews');
}

function cmsmasters_generalproducts_meta_box() {
	cmsmasters_add_meta_box('generalproducts');
}

function cmsmasters_generalslides_meta_box() {
	cmsmasters_add_meta_box('generalslides');
}

function cmsmasters_generalportfolio_meta_box() {
	cmsmasters_add_meta_box('generalportfolio');
}

function cmsmasters_generalgallery_meta_box() {
	cmsmasters_add_meta_box('generalgallery');
}

function cmsmasters_bgtools_meta_box() {
	cmsmasters_add_meta_box('bgtools');
}

function cmsmasters_slidertools_meta_box() {
	?>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/jquery-ui-1.8.12.custom.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/spinner.js"></script>
	<?php
	cmsmasters_add_meta_box('slidertools');
}

function cmsmasters_headingtools_meta_box() {
	cmsmasters_add_meta_box('headingtools');
}

function cmsmasters_breadtools_meta_box() {
	cmsmasters_add_meta_box('breadtools');
}

function cmsmasters_seotools_meta_box() {
	cmsmasters_add_meta_box('seotools');
}

function cmsmasters_sliderarchitect_meta_box() {
	cmsmasters_add_meta_box('sliderarchitect');
}

function cmsmasters_sliderflashmo_meta_box() {
	cmsmasters_add_meta_box('sliderflashmo');
}

function cmsmasters_sliderpiecemaker_meta_box() {
	cmsmasters_add_meta_box('sliderpiecemaker');
}

function cmsmasters_sliderpiecemakeranimation_meta_box() {
	?>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/jquery-ui-1.8.12.custom.min.js"></script>
	<script type="text/javascript" src="<?php echo get_template_directory_uri(); ?>/theme/administrator/js/spinner.js"></script>
	<?php
	cmsmasters_add_meta_box('sliderpiecemakeranimation');
}

function cmsmasters_add_meta_boxes() {
	$meta_boxes = cmsmasters_meta_boxes();
	
	$i=1;
	foreach ($meta_boxes as $meta_box) {	
		if($i == 1 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'post', 'normal', 'high');
		}
		if($i == 3 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'testimonials', 'normal', 'high');	
		}
		if($i == 4 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'news', 'normal', 'high');	
		}
		if($i == 5 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'products', 'normal', 'high');	
		}
		if($i == 6 || $i == 14 || $i == 15 || $i == 16 || $i == 17){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'slides', 'normal', 'high');	
		}
		if($i == 7 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'portfolio', 'normal', 'high');	
		}
		if($i == 8 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'gallery', 'normal', 'high');	
		}
		if ($i == 2 || $i == 9 || $i == 10 || $i == 11 || $i == 12 || $i == 13){
			add_meta_box($meta_box['id'], $meta_box['title'], $meta_box['function'], 'page', 'normal', 'high');	
		}
		$i++;	
	}

	add_action('save_post', 'cmsmasters_save_meta');
}
	add_action('admin_menu', 'cmsmasters_add_meta_boxes')
?>
