<?php

require_once('config.php');

if ( !is_user_logged_in() || !current_user_can('edit_posts') ) 
	wp_die(__("You are not allowed to be here"));
?>

<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<title><?php echo $themename .' Tabs, Toggle, Accordion and Tour Shortcodes'; ?></title>
	<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php echo get_option('blog_charset'); ?>" />
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/tiny_mce_popup.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/mctabs.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_option('siteurl') ?>/wp-includes/js/tinymce/utils/form_utils.js"></script>
	<script language="javascript" type="text/javascript" src="<?php echo get_template_directory_uri() ?>/theme/administrator/tinymce/tinymce_tabs.js"></script>
	<script language="javascript" type="text/javascript">
		function addTour(){
			var table = document.getElementById('tour');
			var newtr1 = document.createElement('tr');
			var newtr2 = document.createElement('tr');
			var new1td1 = document.createElement('td');
			var new1td2 = document.createElement('td');
			var new2td1 = document.createElement('td');
			var new2td2 = document.createElement('td');
			var new1td1label = document.createElement('label');
			var new2td1label = document.createElement('label');
			var new1td2input = document.createElement('input');
			var new1td2br = document.createElement('br');
			var new2td2text = document.createElement('textarea');
			var new2td2br = document.createElement('br');
			var hidden = document.getElementById('tours_number');
			var number = (document.getElementById('tours_number').value -1)+ 2;
			table.appendChild(newtr1);
			table.appendChild(newtr2);
			newtr1.appendChild(new1td1);
			newtr1.appendChild(new1td2);
			newtr2.appendChild(new2td1);
			newtr2.appendChild(new2td2);
			new1td1.appendChild(new1td1label);
			new2td1.appendChild(new2td1label);
			new1td2.appendChild(new1td2input);
			new1td2.appendChild(new1td2br);
			new2td2.appendChild(new2td2text);
			new2td2.appendChild(new2td2br);
			new1td1.setAttribute('nowrap', 'nowrap');
			new1td1label.setAttribute('for', 'tour_title'+number);
			new1td1label.innerHTML = 'Tour '+number+' Title: <span style="color:#ff0000;">*</span>';
			new2td1.setAttribute('nowrap', 'nowrap');
			new2td1label.setAttribute('for', 'tour_text'+number);
			new2td1label.innerHTML = 'Tour '+number+' Text:';
			new1td2input.setAttribute('type', 'text');
			new1td2input.setAttribute('id', 'tour_title'+number);
			new1td2input.setAttribute('name', 'tour_title'+number);
			new1td2input.setAttribute('size', '90');
			new2td2text.setAttribute('id', 'tour_text'+number);
			new2td2text.setAttribute('name', 'tour_text'+number);
			new2td2text.setAttribute('cols', '90');
			new2td2text.setAttribute('rows', '4');
			hidden.setAttribute('value', number);
		}
		function addToggle(){
			var table = document.getElementById('acc');
			var newtr1 = document.createElement('tr');
			var newtr2 = document.createElement('tr');
			var new1td1 = document.createElement('td');
			var new1td2 = document.createElement('td');
			var new2td1 = document.createElement('td');
			var new2td2 = document.createElement('td');
			var new1td1label = document.createElement('label');
			var new2td1label = document.createElement('label');
			var new1td2input = document.createElement('input');
			var new1td2br = document.createElement('br');
			var new2td2text = document.createElement('textarea');
			var new2td2br = document.createElement('br');
			var hidden = document.getElementById('toggle_number');
			var number = (document.getElementById('toggle_number').value -1)+ 2;
			table.appendChild(newtr1);
			table.appendChild(newtr2);
			newtr1.appendChild(new1td1);
			newtr1.appendChild(new1td2);
			newtr2.appendChild(new2td1);
			newtr2.appendChild(new2td2);
			new1td1.appendChild(new1td1label);
			new2td1.appendChild(new2td1label);
			new1td2.appendChild(new1td2input);
			new1td2.appendChild(new1td2br);
			new2td2.appendChild(new2td2text);
			new2td2.appendChild(new2td2br);
			new1td1.setAttribute('nowrap','nowrap');
			new1td1label.setAttribute('for','accordion_title'+number);
			new1td1label.innerHTML = 'Toggle '+number+' Title: <span style="color:#ff0000;">*</span>';
			new2td1.setAttribute('nowrap','nowrap');
			new2td1label.setAttribute('for','accordion_text'+number);
			new2td1label.innerHTML = 'Toggle '+number+' Text:';
			new1td2input.setAttribute('type','text');
			new1td2input.setAttribute('id','accordion_title'+number);
			new1td2input.setAttribute('name','accordion_title'+number);
			new1td2input.setAttribute('size','90');
			new2td2text.setAttribute('id','accordion_text'+number);
			new2td2text.setAttribute('name','accordion_text'+number);
			new2td2text.setAttribute('cols','90');
			new2td2text.setAttribute('rows','4');
			hidden.setAttribute('value',number);
		}
		function addTab(){
			var table = document.getElementById('tabs');
			var newtr1 = document.createElement('tr');
			var newtr2 = document.createElement('tr');
			var new1td1 = document.createElement('td');
			var new1td2 = document.createElement('td');
			var new2td1 = document.createElement('td');
			var new2td2 = document.createElement('td');
			var new1td1label = document.createElement('label');
			var new2td1label = document.createElement('label');
			var new1td2input = document.createElement('input');
			var new1td2br = document.createElement('br');
			var new2td2text = document.createElement('textarea');
			var new2td2br = document.createElement('br');
			var hidden = document.getElementById('tabs_number');
			var number = (document.getElementById('tabs_number').value -1)+ 2;
			table.appendChild(newtr1);
			table.appendChild(newtr2);
			newtr1.appendChild(new1td1);
			newtr1.appendChild(new1td2);
			newtr2.appendChild(new2td1);
			newtr2.appendChild(new2td2);
			new1td1.appendChild(new1td1label);
			new2td1.appendChild(new2td1label);
			new1td2.appendChild(new1td2input);
			new1td2.appendChild(new1td2br);
			new2td2.appendChild(new2td2text);
			new2td2.appendChild(new2td2br);
			new1td1.setAttribute('nowrap','nowrap');
			new1td1label.setAttribute('for','tab_title'+number);
			new1td1label.innerHTML = 'Tab '+number+' Title: <span style="color:#ff0000;">*</span>';
			new2td1.setAttribute('nowrap','nowrap');
			new2td1label.setAttribute('for','tab_text'+number);
			new2td1label.innerHTML = 'Tab '+number+' Text:';
			new1td2input.setAttribute('type','text');
			new1td2input.setAttribute('id','tab_title'+number);
			new1td2input.setAttribute('name','tab_title'+number);
			new1td2input.setAttribute('size','90');
			new2td2text.setAttribute('id','tab_text'+number);
			new2td2text.setAttribute('name','tab_text'+number);
			new2td2text.setAttribute('cols','90');
			new2td2text.setAttribute('rows','4');
			hidden.setAttribute('value',number);
		}
	</script>
	<base target="_self" />
	<style type="text/css">
		.tabs a, td, legend, textarea, input, select {font-size:11px;}
	</style>
</head>
<body id="link" onload="tinyMCEPopup.executeOnLoad('init();');document.body.style.display='';" style="display: none">
	<form name="cmsmasters_portfolio" action="#">
	<div class="tabs">
		<ul>
			<li id="toggle_tab" class="current"><span><a href="javascript:mcTabs.displayTab('toggle_tab','toggle_panel');" onmousedown="return false;"><?php echo 'Toggle'; ?></a></span></li>
			<li id="tabs_tab"><span><a href="javascript:mcTabs.displayTab('tabs_tab','tabs_panel');" onmousedown="return false;"><?php echo 'Tabs'; ?></a></span></li>
			<li id="accordion_tab"><span><a href="javascript:mcTabs.displayTab('accordion_tab','accordion_panel');" onmousedown="return false;"><?php echo 'Accordion'; ?></a></span></li>
			<li id="tour_tab"><span><a href="javascript:mcTabs.displayTab('tour_tab','tour_panel');" onmousedown="return false;"><?php echo 'Tour'; ?></a></span></li>
		</ul>
	</div>
	
	<div class="panel_wrapper" style="height:auto; min-height:580px;">
		<div id="toggle_panel" class="panel current" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter the toggle title and text</legend>
		<table border="0" cellpadding="4" cellspacing="0">
         <tr>
            <td nowrap="nowrap"><label for="toggle_title">Toggle Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="toggle_title" name="toggle_title" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="toggle_text">Toggle Text:</label></td>
            <td><textarea id="toggle_text" name="toggle_text" cols="90" rows="4"></textarea><br /></td>
         </tr>
        </table>
		</fieldset>
		</div>
		

		<div id="tabs_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter the tabs titles, text and add new tabs</legend>
		<table border="0" cellpadding="4" cellspacing="0" id="tabs">
         <tr>
            <td nowrap="nowrap"><label for="tab_title1">Tab 1 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="tab_title1" name="tab_title1" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tab_text1">Tab 1 Text:</label></td>
            <td><textarea id="tab_text1" name="tab_text1" cols="90" rows="4"></textarea><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tab_title2">Tab 2 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="tab_title2" name="tab_title2" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tab_text2">Tab 2 Text:</label></td>
            <td><textarea id="tab_text2" name="tab_text2" cols="90" rows="4"></textarea><br /></td>
         </tr>
        </table>
		<br />
		<input type="button" id="add_tab" name="add_tab" value="<?php echo "Add New Tab"; ?>" class="add_button" onclick="addTab();" />
		<input type="hidden" id="tabs_number" name="tabs_number" value="2" />
		</fieldset>
		</div>


		<div id="accordion_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter the accordion titles, text and add new accordion items</legend>
		<table border="0" cellpadding="4" cellspacing="0" id="acc">
         <tr>
            <td nowrap="nowrap"><label for="accordion_title1">Toggle 1 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="accordion_title1" name="accordion_title1" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="accordion_text1">Toggle 1 Text:</label></td>
            <td><textarea id="accordion_text1" name="accordion_text1" cols="90" rows="4"></textarea><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="accordion_title2">Toggle 2 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="accordion_title2" name="accordion_title2" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="accordion_text2">Toggle 2 Text:</label></td>
            <td><textarea id="accordion_text2" name="accordion_text2" cols="90" rows="4"></textarea><br /></td>
         </tr>
        </table>
		<br />
		<input type="button" id="add_accordion" name="add_accordion" value="<?php echo "Add Accordion Item"; ?>" class="add_button" onclick="addToggle();" />
		<input type="hidden" id="toggle_number" name="toggle_number" value="2" />
		</fieldset>
		</div>


		<div id="tour_panel" class="panel" style="height:auto;">
		<br />
		<fieldset>
			<legend>Enter the tour titles, text and add new tour items</legend>
		<table border="0" cellpadding="4" cellspacing="0" id="tour">
         <tr>
            <td nowrap="nowrap"><label for="tour_title">Tour Menu Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="tour_title" name="tour_title" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tour_title1">Tour 1 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="tour_title1" name="tour_title1" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tour_text1">Tour 1 Text:</label></td>
            <td><textarea id="tour_text1" name="tour_text1" cols="90" rows="4"></textarea><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tour_title2">Tour 2 Title: <span style="color:#ff0000;">*</span></label></td>
            <td><input type="text" id="tour_title2" name="tour_title2" size="90" /><br /></td>
         </tr>
         <tr>
            <td nowrap="nowrap"><label for="tour_text2">Tour 2 Text:</label></td>
            <td><textarea id="tour_text2" name="tour_text2" cols="90" rows="4"></textarea><br /></td>
         </tr>
        </table>
		<br />
		<input type="button" id="add_tour" name="add_tour" value="<?php echo "Add Tour Item"; ?>" class="add_button" onclick="addTour();" />
		<input type="hidden" id="tours_number" name="tours_number" value="2" />
		</fieldset>
		</div>
		<br />
		<span style="color:#ff0000;">* - Requaired fields</span>
	</div>

	<div class="mceActionPanel">
		<br />
		<div style="float: left">
			<input type="button" id="cancel" name="cancel" value="<?php echo "Cancel"; ?>" onclick="tinyMCEPopup.close();" />
		</div>

		<div style="float: right">
			<input type="submit" id="insert" name="insert" value="<?php echo "Insert"; ?>" onclick="insertCMSMastersLink();" />
		</div>
		<div style="clear:both;"></div>
	</div>
</form>
</body>
</html>
