<?php
/* Gallery */

function cmsmasters_enable_albums_sort(){
	add_submenu_page('edit.php?post_type=gallery', 'Sort Albums', 'Sort Albums', 'edit_posts', basename(__FILE__), 'cmsmasters_sort_albums');
}
add_action('admin_menu' , 'cmsmasters_enable_albums_sort'); 
 
function cmsmasters_sort_albums(){
	$albums = new WP_Query('post_type=gallery&posts_per_page=-1&orderby=menu_order&order=ASC');
	?>
	<div class="wrap">
		<h2>Sort Albums <img src="<?php echo home_url(); ?>/wp-admin/images/wpspin_light.gif" id="loading-animation" /></h2>
		<ul id="albums-list">
		<?php while ( $albums->have_posts() ) : $albums->the_post(); ?>
			<li id="<?php the_id(); ?>">
				<table>
					<tr>
						<td><?php the_title(); ?></td>
						<td>
							<span><?php if (has_post_thumbnail()){ echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=100&amp;h=50&amp;zc=1" alt="" />'; } ?></span>
						</td>
					</tr>
				</table>
			</li>
		<?php endwhile; ?>
		</ul>
	</div>
	<?php
}

function cmsmasters_albums_print_scripts(){
	global $pagenow;
	
	$pages = array('edit.php');
	
	if (in_array($pagenow, $pages) && isset($_GET['post_type']) && $_GET['post_type'] == 'gallery'){
		wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script('cmsmasters_albums', get_template_directory_uri().'/theme/administrator/js/sorting.js');
	}
}
add_action('admin_print_scripts', 'cmsmasters_albums_print_scripts');

function cmsmasters_albums_print_styles(){
	global $pagenow;
	
	$pages = array('edit.php');
	
	if (in_array($pagenow, $pages) && isset($_GET['post_type']) && $_GET['post_type'] == 'gallery'){
		wp_enqueue_style('cmsmasters_albums', get_template_directory_uri().'/theme/administrator/css/sorting.css');
	}
}
add_action('admin_print_styles', 'cmsmasters_albums_print_styles');

function cmsmasters_save_albums_order(){
	global $wpdb;
	
	$order = explode(',', $_POST['order']);
	$counter = 0;
	
	foreach ($order as $albums_id){
		$wpdb->update($wpdb->posts, array('menu_order' => $counter), array('ID' => $albums_id));
		
		$counter++;
	}
	
	die(1);
}
add_action('wp_ajax_albums_sort', 'cmsmasters_save_albums_order');

?>
