<?php
/**
 * Recent Tweets Shortcode
 **/
function cmsmasters_twitter_widget_sc($atts){
	$id = uniqid();
	extract(shortcode_atts(array(
		'username' => 'cmsmasters',
		'count'    => '5'
	), $atts));
	
	$out .= "<script type='text/javascript'>
		var tab = {
			'@".$username."' : {
				'feed'		: 'http://twitter.com/statuses/user_timeline/".$username.".rss',
				'function'	: twitter
			}
		}
		
		jQuery(document).ready(function(){
			jQuery('#id_".$id." ul').slideDown('slow');
			
			showTab('@".$username."');
		});
		
		function showTab(key){
			var obj = tab[key];
			
			if (!obj){ return false; }
			
			var stage = jQuery('#id_".$id." ul');
			var query = 'select * from feed where url=\"'+obj.feed+'\" LIMIT ".$count."';
			var url = 'http://query.yahooapis.com/v1/public/yql?q='+encodeURIComponent(query)+'&format=json&callback=?';
			
			jQuery.getJSON(url, function(data){
				stage.empty();
				
				jQuery.each(data.query.results.item || data.query.results.entry, function(){
					try{
						stage.append(obj['function'](this));
					}
					
					catch(e){
						var f_name =obj['function'].toString().match(/function\s+(\w+)\(/i);
						if (f_name){ f_name = f_name[1]; }
						
						stage.append('<li>There is a problem with your '+f_name+' function</li>');
						
						return false;
					}
				});
			});
		}
	</script>";
	
	$out .= '<div class="cmsmasters_twitter" id="id_'.$id.'"><ul><li><img src="'.get_template_directory_uri().'/images/loading_for_dark.gif" alt="Loading..." class="noimgbg" style="display:block; margin:0 auto;" /></li></ul></div>';
	
	return $out;
}
add_shortcode('twitter', 'cmsmasters_twitter_widget_sc');


/**
 * Recent Flickr Photos Shortcode
 **/
function cmsmasters_flickr_widget_sc($atts) {
    extract(shortcode_atts(array(
        'id'    => '49053047@N04',
		'count' => '6'
    ), $atts));

    $out .= '<div class="cmsmasters_flickr_widget">';
	$out .= '<script type="text/javascript" src="http://www.flickr.com/badge_code_v2.gne?count=' .$count. '&amp;display=latest&amp;size=s&amp;layout=x&amp;source=user&amp;user=' .$id. '"></script>';	
	$out .= '<div class="cl"></div></div>';
    
    return $out;
}
add_shortcode('flickr', 'cmsmasters_flickr_widget_sc');


/**
 * Embeded Video Shortcode
 **/
function cmsmasters_video_widget($atts) {
    extract(shortcode_atts(array(
        'url'    => '',
		'width' => '620',
		'height' => '310'
    ), $atts));

	$out = get_video_iframe($url, $width, $height);
	
    return $out;
}
add_shortcode('video', 'cmsmasters_video_widget');


/**
 * HTML5 Video Shortcode
 **/
function cmsmasters_html5video_widget($atts, $content = null){
    extract(shortcode_atts(array(
		'ogg' 			=> '',
        'mp4'    		=> '',
        'webm'  	 	=> '',
        'poster'    	=> '',
		'width' 		=> '620',
		'height'		=> '310',
        'controls'  	=> '',
        'autoplay'  	=> '',
        'videoaudio'	=> '',
        'loop'   		=> '',
        'preload'    	=> ''
    ), $atts));

	$out .= '<video width="'.$width.'" height="'.$height.'"';
			
	if ( $poster != '' ) {
		$out .= ' poster="'.$poster.'"';
	}

	if ( $controls != '' ) {
		$out .= ' controls="controls"';
	}
	
	if ( $autoplay != '' ) {
		$out .= ' autoplay="autoplay"';
	}

	if ( $videoaudio != '' ) {
		$out .= ' audio="muted"';
	}

	if ( $loop != '' ) {
		$out .= ' loop="loop"';
	}

	if ( $preload != '' ) {
		$out .= ' preload="preload"';
	}
	
	$out .= '>';

	if ( $ogg != '' ) {
		$out .= '<source src="'.$ogg.'" type="video/ogg" />';
	}

	if ( $mp4 != '' ) {
		$out .= '<source src="'.$mp4.'" type="video/mp4" />';
	}

	if ( $webm != '' ) {
		$out .= '<source src="'.$webm.'" type="video/webm" />';
	}

	$out .= do_shortcode($content);

	$out .= '</video>';
	
    return $out;
}
add_shortcode('html5video', 'cmsmasters_html5video_widget');


/**
 * HTML5 Audio Shortcode
 **/
function cmsmasters_html5audio_widget($atts, $content = null){
    extract(shortcode_atts(array(
		'ogg'		=> '',
		'mp3'		=> '',
        'controls'  => '',
        'autoplay'  => '',
        'loop'  	=> '',
        'preload'   => 'none'
    ), $atts));

	$out .= '<audio';
	
	if ( $controls != '' ) {
		$out .= ' controls="controls"';
	}
	
	if ( $autoplay != '' ) {
		$out .= ' autoplay="autoplay"';
	}

	if ( $loop != '' ) {
		$out .= ' loop="loop"';
	}

	if ( $preload != '' ) {
		$out .= ' preload="'.$preload.'"';
	}
	
	$out .= '>';
	
	if ( $ogg != '' ) {
		$out .= '<source src="'.$ogg.'" type="audio/ogg" />';
	}
	
	if ( $mp3 != '' ) {
		$out .= '<source src="'.$mp3.'" type="audio/mpeg" />';
	}
	
	$out .= do_shortcode($content);

	$out .= '</audio>';
	
    return $out;
}
add_shortcode('html5audio', 'cmsmasters_html5audio_widget');


/**
 * Table Shortcode 
 **/
function cmsmasters_table( $atts, $content = null ) {
	extract(shortcode_atts(array(
    ), $atts));
	$out = $content;
	return $out;
}
add_shortcode('custom_table', 'cmsmasters_table');


/**
 * Code Shortcode 
 **/
function cmsmasters_code( $atts, $content = null, $code = '<span>' ) {
	$content = str_replace('<', '&lt;', do_shortcode($content));
	$content = str_replace('>', '&gt;', do_shortcode($content));
	return '<code>' . do_shortcode($content) . '</code>';
}
add_shortcode('code', 'cmsmasters_code');


/**
 * BlockQuote Shortcode 
 **/
function cmsmasters_blockquote($atts, $content = null){
	$content = str_replace('<', '&lt;', do_shortcode($content));
	$content = str_replace('>', '&gt;', do_shortcode($content));
	return '<div class="quote"><div class="blockquote_top"><div class="blockquote_top_l"></div><div class="blockquote_top_r"></div><div class="blockquote_top_c"></div></div><div class="blockquote_mid_l"><div class="quotation">&ldquo;</div><div class="blockquote_mid_r"><div class="quotation">&rdquo;</div><div class="blockquote_mid_c"><p>' . do_shortcode($content) . '</p></div></div></div><div class="blockquote_bot"><div class="blockquote_bot_l"></div><div class="blockquote_bot_r"></div><div class="blockquote_bot_c"></div></div></div>';
}
add_shortcode('blockquote', 'cmsmasters_blockquote');


/** 
 * Featered Block
 **/
function cmsmasters_featured($atts, $content = null){
    extract(shortcode_atts(array(
        'image'			=> '',
        'title'			=> '',
        'subtitle'		=> ''
    ), $atts));
	$out .= '<div class="person"><table class="feature_shortcode"><tbody><tr><td><span class="image_shadow_container"><img class="image_shadow" alt="" src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.$image.'&amp;w=70&amp;h=70&amp;zc=1" /><img class="noimgbg" alt="" src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_template_directory_uri().'/images/image_shadow.png&amp;w=80" /></span></td><td class="feature_txt">';
	if ($title != ''){
		$out .= '<strong>'.$title.'</strong><br />';
	}
	if ($subtitle != ''){
		$out .= '<span class="trans">'.$subtitle.'</span><br />';
	}
	$out .= do_shortcode($content).'</td></tr></tbody></table></div>';
	return $out;
}
add_shortcode('featured', 'cmsmasters_featured');


/** 
 * Pricing Table
 **/
function cmsmasters_pricing_table($atts, $content = null){
    extract(shortcode_atts(array(
        'title'			=> '',
        'buttonicon'	=> '',
        'buttonlink'	=> '',
        'buttontext'	=> '',
        'listicon'		=> '',
        'price'		=> ''
    ), $atts));
	$content = str_replace('<ul>', '<ul class="'.$listicon.' li_style_1">', do_shortcode($content));
	return '<div class="pricingtable"><h3>'.$title.'</h3>'.do_shortcode($content).'<h2 class="price">'.$price.'</h2><a class="but_styled" href="'.$buttonlink.'"><span><span class="'.$buttonicon.'">'.$buttontext.'</span></span></a></div>';
}
add_shortcode('pricing_table', 'cmsmasters_pricing_table');


/**
 * Button
 **/
function cmsmasters_button($atts, $content = null){
    extract(shortcode_atts(array(
		'link'		=> '#',
		'type'		=> '',
		'icon'		=> '',
		'bgcolor'	=> '',
		'target'	=> '',
		'lightbox'	=> '',
		'tooltip'	=> ''
    ), $atts));
	$out .= '<a href="'.$link.'"';
	if ($type != ''){
		$out .= ' class="'.$type.'';
		if ($tooltip != ''){
			$out .= ' newtooltip';
		}
		$out .= '"';
	}
	if ($icon != ''){
		$out .= ' class="but_styled';
		if ($tooltip != ''){
			$out .= ' newtooltip';
		}
		$out .= '"';
	}
	if ($bgcolor != ''){
		$out .= ' class="but_colored';
		if ($tooltip != ''){
			$out .= ' newtooltip';
		}
		$out .= '" style="background-color:#'.$bgcolor.';"';
	}
	if ($target != ''){
		$out .= ' target="'.$target.'"';
	}
	if ($lightbox != ''){
		$out .= ' rel="prettyPhoto"';
	}
	if ($tooltip != ''){
		$out .= ' title="'.$tooltip.'"';
	}
	$out .= '>';
	if ($bgcolor == ''){
		$out .= '<span>';
	}
	if ($icon != ''){
		$out .= '<span class="'.$icon.'">';
	}
	$out .= do_shortcode($content);
	if ($icon != ''){
		$out .= '</span>';
	}
	if ($bgcolor == ''){
		$out .= '</span>';
	}
	$out .= '</a>';
    return $out;
}
add_shortcode('button', 'cmsmasters_button');


/** 
 * Dropcaps
 **/
function cmsmasters_dropcap($atts, $content = null){
	return '<span class="dropcap">' . do_shortcode($content) . '</span>';
}
add_shortcode('dropcap', 'cmsmasters_dropcap');

function cmsmasters_dropcap2($atts, $content = null){
	return '<span class="dropcap2">' . do_shortcode($content) . '</span>';
}
add_shortcode('dropcap2', 'cmsmasters_dropcap2');


/** 
 * Image Shadow
 **/
function cmsmasters_shadow($atts, $content = null){
    extract(shortcode_atts(array(
		'width' => '',
		'align' => ''
    ), $atts));
	if ($width != ''){ $width = (int) $width + 10; }
	return '<span class="image_shadow_container '.$align.'">'.do_shortcode($content).'<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_template_directory_uri().'/images/image_shadow.png&amp;w='.$width.'" alt="" class="noimgbg" /></span>';
}
add_shortcode('shadow', 'cmsmasters_shadow');


/** 
 * List
 **/
function cmsmasters_list($atts, $content = null){
    extract(shortcode_atts(array(
        'type'	=> ''
    ), $atts));
	$content = str_replace('<ul>', '<ul class="'.$type.' li_style_1">', do_shortcode($content));
	return $content;
}
add_shortcode('list', 'cmsmasters_list');


/** 
 * Box Styles Shortcodes
 **/
function cmsmasters_download_box( $atts, $content = null ) {
   return '<div class="box download_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('download_box', 'cmsmasters_download_box');


function cmsmasters_warning_box( $atts, $content = null ) {
   return '<div class="box warning_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('warning_box', 'cmsmasters_warning_box');


function cmsmasters_info_box( $atts, $content = null ) {
   return '<div class="box info_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('info_box', 'cmsmasters_info_box');


function cmsmasters_text_box( $atts, $content = null ) {
   return '<div class="box text_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('text_box', 'cmsmasters_text_box');


function cmsmasters_error_box( $atts, $content = null ) {
   return '<div class="box error_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('error_box', 'cmsmasters_error_box');


function cmsmasters_custom_box( $atts, $content = null ) {
   return '<div class="box custom_box"><table><tbody><tr><td>&nbsp;</td><td>' . do_shortcode($content) . '</td></tbody></table></div>';
}
add_shortcode('custom_box', 'cmsmasters_custom_box');


/** 
 * Tabs, Accordion and Toggle
 **/
function cmsmasters_tabs($atts, $content = null){
	$out .= '<div class="tab">';
	$out .= '<ul class="tabs">';
	foreach ( $atts as $tab ) { $out .= '<li><a href="#">' .$tab. '</a></li>'; }
	$out .= '</ul>';
	$out .= '<div class="tab_content">';
	$content = str_replace('<br />', '', do_shortcode($content));
	$content = str_replace('[tab]', '<div class="tabs_tab">', do_shortcode($content));
	$content = str_replace('[/tab]', '</div>', do_shortcode($content));
	$out .= $content;
	$out .= '</div></div>';
	return $out;
}
add_shortcode('tabs', 'cmsmasters_tabs');


function cmsmasters_accordion($atts, $content = null){
	$content = str_replace('<br />', '', do_shortcode($content));
	$content = str_replace('<div class="togg">', '<div>', do_shortcode($content));
	$out .= '<div class="accordion">';
	$out .= $content;
	$out .= '</div>';
	return $out;
}
add_shortcode('accordion', 'cmsmasters_accordion');


function cmsmasters_toggle($atts, $content = null){
	extract(shortcode_atts(array( 'title' => '' ), $atts));
	$out .= '<div class="togg">';
	$out .= '<a class="tog" href="#"><span>' .$title. '</span></a>';
	$out .= '<div class="tab_content" style="display: none;">';
	$out .= do_shortcode($content);
	$out .= '</div>';
	$out .= '</div>';
	return $out;
}
add_shortcode('toggle', 'cmsmasters_toggle');


function cmsmasters_tours($atts, $content = null){
    extract(shortcode_atts(array(
		'title' => ''
    ), $atts));
	$out .= '<div class="tour_content">';
	$out .= '<div class="fl"><strong class="tourhead">'.$title.'</strong><ul class="tour">';
	foreach ($atts as $tour){
		if ($tour != $title){
			$out .= '<li><a href="#"><span class="fr">&gt;</span>' .$tour. '</a></li>';
		}
	}
	$out .= '</ul></div>';
	$content = str_replace('<br />', '', do_shortcode($content));
	$content = str_replace('[tour]', '<div class="tour_box">', do_shortcode($content));
	$content = str_replace('[/tour]', '</div>', do_shortcode($content));
	$out .= $content;
	$out .= '</div>';
	return $out;
}
add_shortcode('tours', 'cmsmasters_tours');


/** 
 * Custom Block
 **/
function cmsmasters_custom_block( $atts, $content = null ) {
    extract(shortcode_atts(array(
    'textcolor'      => '',
    'buttonlink'      => '#',
	'buttontext'      => 'Custom Button Text'
    ), $atts));
	$out .= '<div class="custom">';
	$out .= '<h2 style="color:#'.$textcolor.';">'.do_shortcode($content).'</h2>';
	if ($buttontext != 'Custom Button Text'){
		$out .= '<a class="button" href="'.$buttonlink.'"><span>'.$buttontext.'</span></a>';
	}
	$out .= '</div>';
	return $out;
}
add_shortcode('custom_block', 'cmsmasters_custom_block');


/**
 * Dividers
**/
function cmsmasters_divider( $atts ) {
   return '<div class="divider"></div>';
}
add_shortcode('divider', 'cmsmasters_divider');


function cmsmasters_divider_top( $atts ) {
   return '<div class="divider"><a href="#">Top</a></div>';
}
add_shortcode('divider_top', 'cmsmasters_divider_top');


function cmsmasters_clearboth( $atts ) {
   return '<div class="cl"></div>';
}
add_shortcode('clearboth', 'cmsmasters_clearboth');


/** 
 * Columns
 **/
function cmsmasters_one_third( $atts, $content = null ) {
   return '<div class="one_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_third', 'cmsmasters_one_third');


function cmsmasters_one_third_last( $atts, $content = null ) {
   return '<div class="one_third last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('one_third_last', 'cmsmasters_one_third_last');


function cmsmasters_two_third( $atts, $content = null ) {
   return '<div class="two_third">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_third', 'cmsmasters_two_third');


function cmsmasters_two_third_last( $atts, $content = null ) {
   return '<div class="two_third last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('two_third_last', 'cmsmasters_two_third_last');


function cmsmasters_one_half( $atts, $content = null ) {
   return '<div class="one_half">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_half', 'cmsmasters_one_half');


function cmsmasters_one_half_last( $atts, $content = null ) {
   return '<div class="one_half last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('one_half_last', 'cmsmasters_one_half_last');


function cmsmasters_one_fourth( $atts, $content = null ) {
   return '<div class="one_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fourth', 'cmsmasters_one_fourth');


function cmsmasters_one_fourth_last( $atts, $content = null ) {
   return '<div class="one_fourth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('one_fourth_last', 'cmsmasters_one_fourth_last');


function cmsmasters_three_fourth( $atts, $content = null ) {
   return '<div class="three_fourth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fourth', 'cmsmasters_three_fourth');


function cmsmasters_three_fourth_last( $atts, $content = null ) {
   return '<div class="three_fourth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('three_fourth_last', 'cmsmasters_three_fourth_last');


function cmsmasters_one_fifth( $atts, $content = null ) {
   return '<div class="one_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('one_fifth', 'cmsmasters_one_fifth');


function cmsmasters_one_fifth_last( $atts, $content = null ) {
   return '<div class="one_fifth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('one_fifth_last', 'cmsmasters_one_fifth_last');


function cmsmasters_two_fifth( $atts, $content = null ) {
   return '<div class="two_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('two_fifth', 'cmsmasters_two_fifth');


function cmsmasters_two_fifth_last( $atts, $content = null ) {
   return '<div class="two_fifth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('two_fifth_last', 'cmsmasters_two_fifth_last');


function cmsmasters_three_fifth( $atts, $content = null ) {
   return '<div class="three_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('three_fifth', 'cmsmasters_three_fifth');


function cmsmasters_three_fifth_last( $atts, $content = null ) {
   return '<div class="three_fifth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('three_fifth_last', 'cmsmasters_three_fifth_last');


function cmsmasters_four_fifth( $atts, $content = null ) {
   return '<div class="four_fifth">' . do_shortcode($content) . '</div>';
}
add_shortcode('four_fifth', 'cmsmasters_four_fifth');


function cmsmasters_four_fifth_last( $atts, $content = null ) {
   return '<div class="four_fifth last">' . do_shortcode($content) . '</div><div class="cl"></div>';
}
add_shortcode('three_four_last', 'cmsmasters_four_fifth_last');


/** 
 * Contact Form
 **/
function custom_contact_form_sc( $atts, $content = null ) {
    extract(shortcode_atts(array(
        'formname'	=> '',
        'email'	=> ''
    ), $atts));
    
    $out = cmsmasters_contact_form($formname, $email);
    
    return $out;
}
add_shortcode('contactform', 'custom_contact_form_sc');

?>
