<?php
/* Slider */

function cmsmasters_enable_slides_sort(){
	add_submenu_page('edit.php?post_type=slides', 'Sort Slides', 'Sort Slides', 'edit_posts', basename(__FILE__), 'cmsmasters_sort_slides');
}
add_action('admin_menu' , 'cmsmasters_enable_slides_sort');
 
function cmsmasters_sort_slides(){
	$slides = new WP_Query('post_type=slides&posts_per_page=-1&orderby=menu_order&order=ASC');
	?>
	<div class="wrap">
		<h2>Sort Slides <img src="<?php echo home_url(); ?>/wp-admin/images/wpspin_light.gif" id="loading-animation" /></h2>
		<ul id="slides-list">
		<?php while ( $slides->have_posts() ) : $slides->the_post(); ?>
			<li id="<?php the_id(); ?>">
				<table>
					<tr>
						<td><?php the_title(); ?></td>
						<td>
							<span><?php if (has_post_thumbnail()){ echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=100&amp;h=50&amp;zc=1" alt="" />'; } ?></span>
						</td>
					</tr>
				</table>
			</li>
		<?php endwhile; ?>
		</ul>
	</div>
	<?php
}

function cmsmasters_slides_print_scripts(){
	global $pagenow;
	
	$pages = array('edit.php');
	
	if (in_array($pagenow, $pages) && isset($_GET['post_type']) && $_GET['post_type'] == 'slides'){
		wp_enqueue_script('jquery-ui-sortable');
		wp_enqueue_script('cmsmasters_slides', get_template_directory_uri().'/theme/administrator/js/sorting.js');
	}
}
add_action( 'admin_print_scripts', 'cmsmasters_slides_print_scripts' );
 
function cmsmasters_slides_print_styles(){
	global $pagenow;
	
	$pages = array('edit.php');
	
	if (in_array($pagenow, $pages) && isset($_GET['post_type']) && $_GET['post_type'] == 'slides'){
		wp_enqueue_style('cmsmasters_slides', get_template_directory_uri().'/theme/administrator/css/sorting.css');
	}
}
add_action('admin_print_styles', 'cmsmasters_slides_print_styles');

function cmsmasters_save_slides_order(){
	global $wpdb;
	
	$order = explode(',', $_POST['order']);
	$counter = 0;
	
	foreach ($order as $slides_id){
		$wpdb->update($wpdb->posts, array('menu_order' => $counter), array('ID' => $slides_id));
		
		$counter++;
	}
	
	die(1);
}
add_action('wp_ajax_slides_sort', 'cmsmasters_save_slides_order');

?>
