<?php

function the_widgets_init() {
    if ( !function_exists('register_sidebars') )
        return;

    register_sidebar(array('name' => 'Sidebar','before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>','before_title' => '<h3 class="widgettitle">','after_title' => '</h3>'));
	register_sidebar(array('name' => 'Top Sidebar','before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>','before_title' => '<h3 class="widgettitle">','after_title' => '</h3>'));
	register_sidebar(array('name' => 'Middle Sidebar','before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>','before_title' => '<h3 class="widgettitle">','after_title' => '</h3>'));
	register_sidebar(array('name' => 'Bottom Sidebar','before_widget' => '<div id="%1$s" class="widget %2$s">','after_widget' => '</div>','before_title' => '<h3 class="widgettitle">','after_title' => '</h3>'));

}
add_action( 'init', 'the_widgets_init' );



function new_more_link( $more_link, $more_link_text ) {
	return str_replace('more-link', 'more-link button_link', $more_link );
}
add_filter('the_content_more_link', 'new_more_link', 10, 2);



function new_excerpt_more($excerpt) {
	return str_replace('[...]', '...', $excerpt);
}
add_filter('wp_trim_excerpt', 'new_excerpt_more');



function new_comment_author_link($return) {
	return str_replace($return, "<span></span>$return", $return);
}
add_filter('get_comment_author_link', 'new_comment_author_link');



function cmsmasters_excerpt($length, $ellipsis) {
	$text = get_the_content();
	$text = preg_replace('`\[[^\]]*\]`','',$text);
	$text = strip_tags($text);
	$text = substr($text, 0, $length);
	$text = substr($text, 0, strripos($text, " "));
	$text = $text.$ellipsis;
	return $text;
}



function cmsmasters_truncate($string, $limit, $break=".", $pad="...") {
	if(strlen($string) <= $limit) return $string;
	
	 if(false !== ($breakpoint = strpos($string, $break, $limit))) {
		if($breakpoint < strlen($string) - 1) {
			$string = substr($string, 0, $breakpoint) . $pad;
		}
	  }
	return $string; 
}



function cmsmasters_contact_form($formname, $email){
	global $wpdb, $shortname;
	
	require(CMSMASTERS_CLASSES.'/var.php');
	
	$email_adress_reciever = $email != '' ? $email : '';
	
	if ($wpdb->get_var("SELECT id FROM ".$wpdb->prefix.$shortname."_forms WHERE type = 'form' AND parent_slug = '".$formname."'") != ''){
		$results = $wpdb->get_results("SELECT * FROM ".$wpdb->prefix.$shortname."_forms WHERE parent_slug='".$formname."' ORDER BY number ASC");
		
		foreach ($results as $form_result){
			if ($form_result->type == 'form'){
				$success = explode('{|%|}', $form_result->description);
				
				$out = '<div class="cmsms-form-builder">'.
					'<div style="display:none;" class="box info_box">'.
						'<table>'.
							'<tbody>'.
								'<tr>'.
									'<td>&nbsp;</td>'.
									'<td>'.$success[1].'</td>'.
								'</tr>'.
							'</tbody>'.
						'</table>'.
					'</div>'.
					'<script type="text/javascript">'.
						'jQuery(document).ready(function(){'.
							"jQuery('#form_".$formname."').validationEngine('init');".
							"jQuery('#form_".$formname." a#".$formname."_formsend').click(function(){";
								
								if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters){
									$out .= "if (validateCaptcha() != 'success'){".
										"jQuery('#".$formname."_builder_captcha').css({border:'2px solid #ff0000'});".
										'Recaptcha.reload();'.
										'return false;'.
									'} else {'.
										"jQuery('#".$formname."_builder_captcha').removeAttr('style');";
								}
								
								$out .= 'var $form_builder_email = '."jQuery('#".$formname."_email').val();".
								'var $form_builder_url = '."jQuery('#".$formname."_url').val();".
								"jQuery('#form_".$formname." .loading').animate({opacity:1}, 250);";
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type == 'checkbox'){
				$out .= "var $var_".$form_result->slug." = ''; jQuery('input[name=\'".$form_result->slug."\']:checked').each(function(){ $var_".$form_result->slug." += jQuery(this).val(); });";
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type == 'checkboxes'){
				$out .= "var $var_".$form_result->slug." = ''; jQuery('input[name=\'".$form_result->slug."\']:checked').each(function(){ $var_".$form_result->slug." += jQuery(this).val()+', '; }); if ($var_".$form_result->slug." != ''){ $var_".$form_result->slug." = $var_".$form_result->slug.".slice(0, -2); }";
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type == 'form'){
				$out .= "if (jQuery('#form_".$formname."').validationEngine('validate')){".
					'jQuery.post($form_builder_url, {';
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type != 'form'){
				if ($form_result->type == 'checkboxes' || $form_result->type == 'checkbox'){
					$out .= $form_result->slug.":$var_".$form_result->slug.",";
				} else if ($form_result->type == 'radiobutton'){
					$out .= $form_result->slug.":jQuery('input[name=\'".$form_result->slug."\']:checked').val(),";
				} else {
					$out .= $form_result->slug.":jQuery('#".$form_result->slug."').val(),";
				}
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type == 'form'){
				$out .= 'contactemail:$form_builder_email,'.
							"formname:'".$formname."'".
						'}, function(data){'.
							"jQuery('#form_".$formname." .loading').animate({opacity:0}, 250);".
							"jQuery('#form_".$formname."').fadeOut('slow');".
							"document.getElementById('form_".$formname."').reset();".
							"jQuery('#form_".$formname."').parent().find('.box').hide();".
							"jQuery('#form_".$formname."').parent().find('.info_box').fadeIn('fast');".
							"jQuery('html, body').animate({scrollTop:jQuery('#form_".$formname."').offset().top - 140}, 'slow');".
							"jQuery('#form_".$formname."').parent().find('.info_box').delay(5000).fadeOut(1000, function(){ jQuery('#form_".$formname."').fadeIn('slow'); });";
						
						if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters) $out .= 'Recaptcha.reload();';
						
						$out .= '});'.
							'return false;'.
						'} else {'.
							"jQuery('#form_".$formname." .loading').animate({opacity:0}, 250);";
						
						if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters) $out .= 'Recaptcha.reload();';
						
						$out .= 'return false;'.
							'}';
						
						if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters) $out .= '}';
					
					$out .= '});'.
				'});';
				
				if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters){
					$out .= 'var RecaptchaOptions = {theme:"clean"};'.
					'function validateCaptcha(){'.
						"var challengeField = jQuery('input#recaptcha_challenge_field').val();".
						"var responseField = jQuery('input#recaptcha_response_field').val();".
						'var '.$formname.'_captcha_html = jQuery.ajax({'.
							"type:'post',".
							"url:'".get_template_directory_uri()."/theme/functions/validate_captcha.php',".
							"data:'form=signup&recaptcha_challenge_field='+challengeField+'&recaptcha_response_field='+responseField,".
							'async:false'.
						'}).responseText;'.
						'return '.$formname.'_captcha_html;'.
					'}';
				}
				
				$out .= '</script>'.
				'<form action="#" method="post" id="form_'.$formname.'">';
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type != 'form'){
				$field_label = $form_result->label;
				$field_name = $form_result->slug;
				$vals = explode('|', $form_result->value);
				$params = $form_result->parameters;
				$params_explode = explode(',', $params);
				
				$required_label = (str_replace('required', '', $params) != $params) ? ' <span class="yellow">*</span>' : '';
				
				$required = (str_replace('required', '', $params) != $params) ? 'required,' : '';
				
				if (str_replace('minSize', '', $params) != $params){
					for ($n = 0; $n < sizeof($params_explode); $n++){
						if (str_replace('minSize', '', $params_explode[$n]) != $params_explode[$n]) $minSize = 'minSize['.str_replace('minSize[', '', str_replace(']', '', $params_explode[$n])).'],';
					}
				} else {
					$minSize = '';
				}
				
				if (str_replace('maxSize', '', $params) != $params){
					for ($x = 0; $x < sizeof($params_explode); $x++){
						if (str_replace('maxSize', '', $params_explode[$x]) != $params_explode[$x]) $maxSize = 'maxSize['.str_replace('maxSize[', '', str_replace(']', '', $params_explode[$x])).'],';
					}
				} else {
					$maxSize = '';
				}
				
				$customEmail = (str_replace('custom[email]', '', $params) != $params) ? 'custom[email],' : '';
				
				$customUrl = (str_replace('custom[url]', '', $params) != $params) ? 'custom[url],' : '';
				
				$customNumber = (str_replace('custom[number]', '', $params) != $params) ? 'custom[number],' : '';
				
				$customOnlyNumberSp = (str_replace('custom[onlyNumberSp]', '', $params) != $params) ? 'custom[onlyNumberSp],' : '';
				
				$customOnlyLetterSp = (str_replace('custom[onlyLetterSp]', '', $params) != $params) ? 'custom[onlyLetterSp],' : '';
				
				$validate_val = $required.$minSize.$maxSize.$customEmail.$customUrl.$customNumber.$customOnlyNumberSp.$customOnlyLetterSp;
				
				$validate = ($validate_val != '') ? ' class="validate['.substr($validate_val, 0, -1).']"' : '';
				
				$descr = ($form_result->description != '' && $form_result->description != ' ') ? '<small>'.$form_result->description.'</small>' : '';
				
				switch ($form_result->type){
					case 'text':
						$out .= '<div class="form_info cmsms_input">'.
							'<label for="'.$field_name.'"><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							'<div class="inp_l">'.
								'<div class="inp_r">'.
									'<input type="text" name="'.$field_name.'" id="'.$field_name.'" value=""'.$validate.' />'.
								'</div>'.
							'</div>'.
							$descr.
						'</div>'.
						'<div class="cl"></div>';
					break;
					case 'email':
						$out .= '<div class="form_info cmsms_input">'.
							'<label for="'.$field_name.'"><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							'<div class="inp_l">'.
								'<div class="inp_r">'.
									'<input type="text" name="'.$field_name.'" id="'.$field_name.'" value=""'.$validate.' />'.
								'</div>'.
							'</div>'.
							$descr.
						'</div>'.
						'<div class="cl"></div>';
					break;
					case 'textarea':
						$out .= '<div class="form_info cmsms_textarea">'.
							'<label for="'.$field_name.'"><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							'<table>'.
								'<tbody>'.
									'<tr>'.
										'<td class="text_t_l"></td>'.
										'<td class="text_t"></td>'.
										'<td class="text_t_r"></td>'.
									'</tr>'.
									'<tr>'.
										'<td class="text_l"></td>'.
										'<td class="text_m">'.
											'<textarea name="'.$field_name.'" id="'.$field_name.'" cols="58" rows="6"'.$validate.'></textarea>'.
										'</td>'.
										'<td class="text_r"></td>'.
									'</tr>'.
									'<tr>'.
										'<td class="text_b_l"></td>'.
										'<td class="text_b"></td>'.
										'<td class="text_b_r"></td>'.
									'</tr>'.
								'</tbody>'.
							'</table>'.
							$descr.
						'</div>'.
						'<div class="cl"></div>';
					break;
					case 'dropdown':
						$out .= '<div class="form_info cmsms_select">'.
							'<label><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							'<div class="inp_l">'.
								'<div class="inp_r">'.
									'<select name="'.$field_name.'" id="'.$field_name.'"'.$validate.'>';
									
									foreach ($vals as $val){
										$out .= '<option value="'.$val.'">'.$val.'</option>';
									}
									
									$out .= '</select>'.
								'</div>'.
							'</div>'.
							'<div class="cl"></div>'.
							$descr.
						'</div>'.
						'<div class="cl"></div>';
					break;
					case 'radiobutton':
						$out .= '<div class="form_info cmsms_radio">'.
							'<label><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							$descr;
							
							$i = 1;
							
							foreach ($vals as $val){
								$out .= '<div class="check_parent">'.
									'<input type="radio" name="'.$field_name.'" id="'.$field_name.$i.'" value="'.$val.'"'.$validate.' />'.
									'<label for="'.$field_name.$i.'">'.$val.'</label>'.
								'</div>'.
								'<div class="cl"></div>';
								
								$i++;
							}
							
							$out .= '</div>'.
						'<div class="cl"></div>';
					break;
					case 'checkbox':
						$out .= '<div class="form_info cmsms_checkbox">'.
							'<label><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							$descr.
							'<div class="check_parent">'.
								'<input type="checkbox" name="'.$field_name.'" id="'.$field_name.'" value="'.$vals[0].'"'.$validate.' />'.
								'<label for="'.$field_name.'">'.$vals[0].'</label>'.
							'</div>'.
							'<div class="cl"></div>'.
						'</div>'.
						'<div class="cl"></div>';
					break;
					case 'checkboxes':
						$out .= '<div class="form_info cmsms_checkboxes">'.
							'<label><strong>'.$field_label.'</strong>'.$required_label.'</label>'.
							$descr;
							
							$i = 1;
							
							foreach ($vals as $val){
								$out .= '<div class="check_parent">'.
									'<input type="checkbox" name="'.$field_name.'" id="'.$field_name.$i.'" value="'.$val.'" />'.
									'<label for="'.$field_name.$i.'">'.$val.'</label>'.
								'</div>'.
								'<div class="cl"></div>';
								
								$i++;
							}
							
							$out .= '</div>'.
						'<div class="cl"></div>';
					break;
				}
			}
		}
		
		foreach ($results as $form_result){
			if ($form_result->type == 'form'){
				$out .= '<div><input type="hidden" name="'.$formname.'_email" id="'.$formname.'_email" value="'.$email_adress_reciever.'" /></div>'.
				'<div><input type="hidden" name="'.$formname.'_url" id="'.$formname.'_url" value="'.get_template_directory_uri().'/theme/functions/form_builder_sendmail.php" /></div>'.
				'<div class="cl"></div>';
				
				if (str_replace('captcha', '', $form_result->parameters) != $form_result->parameters){
					require_once(CMSMASTERS_CLASSES.'/recaptchalib.php');
					
					$out .= '<div id="'.$formname.'_builder_captcha" class="cmsms-form-builder-captcha">'.recaptcha_get_html($recaptcha_public_key).'</div>'.
					'<div class="cl"></div>';
				}
				
				$out .= '<div class="loading"></div>'.
				'<div class="fl"><a id="'.$formname.'_formsend" class="but_styled" href="#"><span><span class="check">'.__('Send Message', 'clockstone').'</span></span></a></div>';
				
				if (str_replace('reset', '', $form_result->parameters) != $form_result->parameters) $out .= '<div class="fl" style="padding:0 0 0 20px;"><a id="'.$formname.'_formclear" class="but_small_trans" href="#" onclick="javascript:document.getElementById(\'form_'.$formname.'\').reset(); return false;"><span>'.__('Reset Form', 'clockstone').'</span></a></div>';
				
				$out .= '<div class="cl"></div>'.
					'</form>'.
				'</div>';
			}
		}
		
		return $out;
	}
}



if (!isset($content_width)){ $content_width = 610; }



add_theme_support( 'post-thumbnails' );
set_post_thumbnail_size( 610, 210, true );



function the_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = str_replace(']]>', ']]&gt;', $content);
	$content = str_replace('<', '&lt;', $content);
	$content = str_replace('>', '&gt;', $content);

   if (strlen($_GET['p']) > 0) {
      echo $content;
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo apply_filters('the_content', $content)."...";
        echo "<br />";
        echo "<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a></p>";
   }
   else {
      echo apply_filters('the_content', $content);
   }
}



function the_content_limit2($post_cont, $max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = $post_cont;
    $content = str_replace(']]>', ']]&gt;', $content);
	$content = str_replace('<p>', '', $content);
	$content = str_replace('</p>', '', $content);

	if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo apply_filters('the_content', $content)."...";
   } else {
      echo apply_filters('the_content', $content);
   }
}



function the_content_limit3($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = str_replace(']]>', ']]&gt;', $content);

   if (strlen($_GET['p']) > 0) {
      echo $content;
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo apply_filters('the_content', $content)."...";
        echo "<br />";
        echo "<a href='";
        the_permalink();
        echo "'>".$more_link_text."</a></p>";
   }
   else {
      echo apply_filters('the_content', $content);
   }
}



function the_admin_content_limit($max_char, $more_link_text = '(more...)', $stripteaser = 0, $more_file = '') {
    $content = get_the_content($more_link_text, $stripteaser, $more_file);
    $content = str_replace(']]>', ']]&gt;', $content);
	$content = str_replace('<p>', '', $content);
	$content = str_replace('</p>', '', $content);

   if (strlen($_GET['p']) > 0) {
      echo apply_filters('the_content', $content);
   }
   else if ((strlen($content)>$max_char) && ($espacio = strpos($content, " ", $max_char ))) {
        $content = substr($content, 0, $espacio);
        $content = $content;
        echo apply_filters('the_content', $content).'...';
   }
   else {
      echo apply_filters('the_content', $content);
   }
}



function my_unregister_widgets() {
	unregister_widget('WP_Widget_Recent_Posts');
	unregister_widget('WP_Widget_Recent_Comments');
	unregister_widget('WP_Widget_Pages');
	unregister_widget('WP_Widget_Calendar');
	unregister_widget('WP_Widget_Archives');
	unregister_widget('WP_Widget_Links');
	unregister_widget('WP_Widget_Meta');
	unregister_widget('WP_Widget_Search');
	unregister_widget('WP_Widget_Text');
	unregister_widget('WP_Widget_Categories');
	unregister_widget('WP_Widget_Tag_Cloud');
	unregister_widget('WP_Nav_Menu_Widget');
}
add_action( 'widgets_init', 'my_unregister_widgets' );



add_theme_support('automatic-feed-links');



add_editor_style('theme/administrator/css/custom-editor-style.css');



register_nav_menus(array(
	'primary' => __('Primary Navigation', 'clockstone'),
	'footer' =>  __('Footer Navigation', 'clockstone')
));



remove_filter( 'the_content', 'wptexturize' );

remove_filter( 'the_content', 'wpautop' );



add_filter('widget_text', 'do_shortcode');

add_filter('the_excerpt', 'do_shortcode');



function ptobr_content($content){
	global $post;
	$content = str_replace('<p>&nbsp;</p>', '<br />', $content);
	return $content;
}
add_filter( 'the_content', 'ptobr_content' );



function cmsmasters_page_menu_args( $args ) {
	$args['show_home'] = true;
	return $args;
}
add_filter( 'wp_page_menu_args', 'cmsmasters_page_menu_args' );



function fb_change_mce_options($initArray){
	$ext = 'pre[id|name|class|style], iframe[align|longdesc|name|width|height|frameborder|scrolling|marginheight|marginwidth|src]';
	if (isset($initArray['extended_valid_elements'])){
		$initArray['extended_valid_elements'] .= ','.$ext;
	} else {
		$initArray['extended_valid_elements'] = $ext;
	}
	return $initArray;
}
add_filter('tiny_mce_before_init', 'fb_change_mce_options');

function enable_more_buttons($buttons){
	$buttons[] = 'fontselect, fontsizeselect, separator, media, sub, sup, separator, hr, anchor, separator, wp_help';
	return $buttons;
}
add_filter('mce_buttons_3', 'enable_more_buttons');

function wysiwyg_editor($mce_buttons){
    $pos = array_search('wp_more', $mce_buttons, true);
    if ($pos !== false) {
        $tmp_buttons = array_slice($mce_buttons, 0, $pos+1);
        $tmp_buttons[] = 'wp_page';
        $mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons, $pos+1));
    }
    return $mce_buttons;
}
add_filter('mce_buttons', 'wysiwyg_editor');

function wysiwyg_editor2($mce_buttons_2){
    $pos = array_search('forecolor', $mce_buttons_2, true);
    if ($pos !== false) {
        $tmp_buttons = array_slice($mce_buttons_2, 0, $pos+1);
        $tmp_buttons[] = 'backcolor';
        $mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons_2, $pos+1));
    }
    return $mce_buttons;
}
add_filter('mce_buttons_2', 'wysiwyg_editor2');

function wysiwyg_editor3($mce_buttons_2){
    $pos = array_search('wp_help', $mce_buttons_2, true);
    if ($pos !== false) {
        $tmp_buttons = array_slice($mce_buttons_2, 0, $pos);
        $tmp_buttons[] = '';
        $mce_buttons = array_merge($tmp_buttons, array_slice($mce_buttons_2, $pos+1));
    }
    return $mce_buttons;
}
add_filter('mce_buttons_2', 'wysiwyg_editor3');



function eg_clean_pre($matches){
	if (is_array($matches)){
		$text = $matches[1] . $matches[2] . "</pre>";
	} else {
		$text = $matches;
	}
	$text = str_replace('<br />', '', $text);
	return $text;
}



function get_image_path($post_id = null){
	if ($post_id == null){
		global $post;
		
		$post_id = $post->ID;
	}
	
	$theImageSrc = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), array(1000, 1000), false, '');
	
	global $blog_id;
	
	if (isset($blog_id) && $blog_id > 0){
		$imageParts = explode('/files/', $theImageSrc[0]);
		
		if (isset($imageParts[1])){
			$theImageSrc[0] = home_url().'/blogs.dir/'.$blog_id.'/files/'.$imageParts[1];
		}
	}
	
	return $theImageSrc[0];
}



function get_image_path_array($post_id = null){
	if ($post_id == null){
		global $post;
		
		$post_id = $post->ID;
	}
	
	$theImageSrc = wp_get_attachment_image_src(get_post_thumbnail_id($post_id), array(1000, 1000), false, '');
	
	return $theImageSrc[0];
}



function get_image_path_attachments($image_url){
	global $blog_id;
	
	if (isset($blog_id) && $blog_id > 0){
		$imageParts = explode('/files/', $image_url);
		
		if (isset($imageParts[1])){
			$image_url = home_url().'/blogs.dir/'.$blog_id.'/files/'.$imageParts[1];
		}
	}
	
	return $image_url;
}



function get_video_iframe($url, $width, $height){
	preg_match('/^(http:\/\/)(www\.)?([^\/]+)(\.com)/i', $url, $matches);
	
	if ($matches[3] == 'youtube'){
		preg_match('/^(http:\/\/)?(www\.)?youtube\.com\/(watch\?v=)?(v\/)?([^&]+)/i', $url, $matches);
		$match = $matches[5];
		
		$out .= '<iframe src="http://www.youtube.com/embed/'.$match.'?rel=0&amp;hd=1" frameborder="0"';
		if ($width){
			$out .= ' width="'.$width.'"';
		} else {
			$out .= ' width="620"';
		}
		if ($height){
			$out .= ' height="'.$height.'"';
		} else {
			$out .= ' height="400"';
		}
		$out .= '></iframe>';
		
		return $out;
	} elseif ($matches[3] == 'vimeo'){
		preg_match('/^(http:\/\/)?(www\.)?vimeo\.com\/([^\/]+)/i', $url, $matches);
		$match = $matches[3];
		
		$out .= '<iframe src="http://player.vimeo.com/video/'.$match.'?title=0&amp;byline=0&amp;portrait=0" frameborder="0"';
		if ($width){
			$out .= ' width="'.$width.'"';
		} else {
			$out .= ' width="620"';
		}
		if ($height){
			$out .= ' height="'.$height.'"';
		} else {
			$out .= ' height="400"';
		}
		$out .= '></iframe>';
		
		return $out;
	} elseif ($matches[3] == 'dailymotion'){
		preg_match('/^(http:\/\/)?(www\.)?dailymotion\.com\/(video\/)?([^_]+)/i', $url, $matches);
		$match = $matches[4];
		
		$out .= '<iframe src="http://www.dailymotion.com/embed/video/'.$match.'?hideInfos=1" frameborder="0"';
		if ($width){
			$out .= ' width="'.$width.'"';
		} else {
			$out .= ' width="620"';
		}
		if ($height){
			$out .= ' height="'.$height.'"';
		} else {
			$out .= ' height="400"';
		}
		$out .= '></iframe>';
		
		return $out;
	} elseif ($matches[3] == 'screenr'){
		preg_match('/^(http:\/\/)?(www\.)?screenr\.com\/([^\/]+)/i', $url, $matches);
		$match = $matches[3];
		
		$out .= '<iframe src="http://www.screenr.com/embed/'.$match.'" frameborder="0"';
		if ($width){
			$out .= ' width="'.$width.'"';
		} else {
			$out .= ' width="620"';
		}
		if ($height){
			$out .= ' height="'.$height.'"';
		} else {
			$out .= ' height="400"';
		}
		$out .= '></iframe>';
		
		return $out;
	} else {
		return '<br /><h2 style="text-align:center;">Unknown type of the video. Check your video link.</h2><br />';
	}
}



function add_admin_menu_separator(){
	global $menu;
	$menu1 = $menu;
	unset($menu[59]);
	$menu2 = array();
	foreach ($menu1 as $offset => $section){
		if ($offset == 51){
			$menu2[50] = array('','read','separator2','','wp-menu-separator');
			$menu2[$offset] = array($section[0],$section[1],$section[2],$section[3],$section[4],$section[5],$section[6]);
		} elseif ($offset == 59){
			$menu2[59] = array($section[0],$section[1],'separator3',$section[3],$section[4]);
		} elseif ($section[5] == '' && $section[6] == ''){
			$menu2[$offset] = array($section[0],$section[1],$section[2],$section[3],$section[4]);
		} else {
			$menu2[$offset] = array($section[0],$section[1],$section[2],$section[3],$section[4],$section[5],$section[6]);
		}
	}
	$menu = $menu2;
}
add_action('admin_head', 'add_admin_menu_separator');



function get_theme_bg($url){
	global $wpdb, $shortname;
	
	$theme_bg = $wpdb->get_results('SELECT bg_url, bg_position_y, bg_position_x, bg_repeat, bg_attachment FROM '.$wpdb->prefix.$shortname.'_bgs WHERE bg_url = "'.$url.'"');
	
	return $theme_bg[0];
}



function get_google_fonts(){
	global $wpdb, $shortname;
	
	$google_fonts = $wpdb->get_results('SELECT font_parameter FROM '.$wpdb->prefix.$shortname.'_fonts WHERE font_type = "heading"');
	
	return $google_fonts;
}



function get_social_icons(){
	global $wpdb, $shortname;
	
	$social_icons = $wpdb->get_results('SELECT icon_name, icon_file, icon_tooltip, icon_link FROM '.$wpdb->prefix.$shortname.'_icons');
	
	return $social_icons;
}



class Testimonials {

	function Testimonials() {
		$tests_labels = array(
			'name' => _x( 'All Testimonials', 'post type general name' ),
			'singular_name' => _x( 'Testimonial', 'post type singular name' ),
			'add_new' => _x( 'Add New', 'testimonial' ),
			'add_new_item' => __( 'Add New' ),
			'edit_item' => __( 'Edit Testimonial' ),
			'new_item' => __( 'New Testimonial' ),
			'view_item' => __( 'View Testimonial' ),
			'search_items' => __( 'Search Testimonials' ),
			'not_found' =>  __( 'No Testimonials found' ),
			'not_found_in_trash' => __( 'No Testimonials found in Trash' ),
			'parent_item_colon' => '',
			'menu_name' => 'Testimonials'
		);
		$news_args = array(
			'labels' => $tests_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "testimonials",
			'menu_position' => 51, 
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'page-attributes')
		);
		register_post_type('testimonials', $news_args);
		flush_rewrite_rules();
		add_filter("manage_edit-testimonials_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-testimonials_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("ts-categs", array("testimonials"), array("hierarchical" => true, "label" => "Testimonials Types", "singular_label" => "Testimonials Type", "rewrite" => true));
		add_action("template_redirect", array(&$this, 'template_redirect'));
	}
	
	function edit_columns($columns) {
		$columns = array( 
			"cb" => "<input type=\"checkbox\" />", 
			"title" => "Testimonial Author", 
			"ts_author" => "Testimonial Author Subtitle", 
			"ts_description" => "Description", 
			"ts_order" => "Order Number"
		); 
		return $columns; 
	}
	
	function template_redirect() {
		global $wp;
		if ($wp->query_vars["post_type"] == "testimonials") {
			include(TEMPLATEPATH . "/theme/pages/single-testimonial.php");
			die();
		}
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column) {
			case "ts_author":
				$ts_author = get_post_meta( $post->ID, 'author_subtitle', true );
				if($ts_author != "") {
					echo $ts_author;
				} else {
					echo '<em>It is no author subtitle.</em>';
				}
				break;
			case "ts_description":
				if (has_excerpt()){
					the_excerpt();
				} elseif(get_the_content() != ''){ 
					echo the_admin_content_limit(100);
				} else { 
					echo '<em>It is no description.</em>';
				}
				break;
			case "ts_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['ts_order'] = 'ts_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "testimonials") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}

}
add_action("init", "TestimonialsInit");
function TestimonialsInit() { global $ts; $ts = new Testimonials(); }



class News {

	function News() {
		$news_labels = array(
			'name' => _x( 'All News', 'post type general name' ),
			'singular_name' => _x( 'Article', 'post type singular name' ),
			'add_new' => _x( 'Add Article', 'news' ),
			'add_new_item' => __( 'Add Article' ),
			'edit_item' => __( 'Edit Article' ),
			'new_item' => __( 'New Article' ),
			'view_item' => __( 'View Article' ),
			'search_items' => __( 'Search Articles' ),
			'not_found' =>  __( 'No Articles found' ),
			'not_found_in_trash' => __( 'No Articles found in Trash' ),
			'parent_item_colon' => '',
			'menu_name' => 'News'
		);
		$news_args = array(
			'labels' => $news_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "news",
			'menu_position' => 52, 
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'comments', 'page-attributes')
		);
		register_post_type('news', $news_args);
		flush_rewrite_rules();
		add_filter("manage_edit-news_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-news_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("nw-categs", array("news"), array("hierarchical" => true, "label" => "News Categories", "singular_label" => "News Category", "rewrite" => true));
		register_taxonomy("nw-tags", array("news"), array("hierarchical" => false, "label" => "News Tags", "singular_label" => "News Tag", "rewrite" => true));
		register_taxonomy("nw-types", array("news"), array("hierarchical" => true, "label" => "News Types", "singular_label" => "News Type", "rewrite" => true));
		add_action("template_redirect", array(&$this, 'template_redirect'));
	}
	
	function edit_columns($columns){
		$columns = array( 
			"cb" => "<input type=\"checkbox\" />", 
			"title" => "Articles Title", 
			"nw_thumb" => "Thumbnail", 
			"nw_description" => "Description", 
			"nw_categs" => "Articles Categories", 
			"nw_tags" => "Articles Tags", 
			"nw_order" => "Order Number"
		); 
		return $columns; 
	}
	
	function template_redirect(){
		global $wp;
		if ($wp->query_vars["post_type"] == "news") {
			include(TEMPLATEPATH . "/theme/pages/single-article.php");
			die();
		}
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column) {
			case "nw_thumb":
				if (has_post_thumbnail() != ''){
					echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=120&amp;h=120&amp;zc=1" alt="" />';
				} else {
					echo '<em>It is no thumbnail.</em>';
				}
				break;
			case "nw_description":
				if(has_excerpt()){
					the_excerpt();
				} elseif(get_the_content() != "") { 
					echo the_admin_content_limit(100);
				} else { 
					echo '<em>It is no description.</em>';
				}
				break;
			case "nw_categs":
				if(get_the_terms(0, "nw-categs") != "") {
					$nws_categs = get_the_terms(0, "nw-categs");
					$nws_categs_html = array();
					foreach ($nws_categs as $nws_categ)
						array_push($nws_categs_html, '<a href="' . get_term_link($nws_categ->slug, "nw-categs") . '">' . $nws_categ->name . '</a>');
				
					echo implode($nws_categs_html, ", ");
				} else {
					echo '<em>It is no categories.</em>';
				}
				break;
			case "nw_tags":
				if(get_the_terms(0, "nw-tags") != "") {
					$nws_tags = get_the_terms(0, "nw-tags");
					$nws_tags_html = array();
					foreach ($nws_tags as $nws_tag)
						array_push($nws_tags_html, '<a href="' . get_term_link($nws_tag->slug, "nw-tags") . '">' . $nws_tag->name . '</a>');
				
					echo implode($nws_tags_html, ", ");
				} else {
					echo '<em>It is no tags.</em>';
				}
				break;
			case "nw_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['nw_order'] = 'nw_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "news") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}

}
add_action("init", "NewsInit");
function NewsInit() { global $nw; $nw = new News(); }



class Products {
	
	function Products() {
		$products_labels = array(
			'name' => _x( 'Products', 'post type general name' ),
			'singular_name' => _x( 'Product', 'post type singular name' ),
			'add_new' => _x( 'Add New', 'product' ),
			'add_new_item' => __( 'Add New' ),
			'edit_item' => __( 'Edit Product' ),
			'new_item' => __( 'New Product' ),
			'view_item' => __( 'View Product' ),
			'search_items' => __( 'Search Products' ),
			'not_found' =>  __( 'No Products found' ),
			'not_found_in_trash' => __( 'No Products found in Trash' ),
			'parent_item_colon' => ''
		);
		$products_args = array(
			'labels' => $products_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "products",
			'menu_position' => 53, 
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'page-attributes')
		);
		register_post_type('products', $products_args);
		flush_rewrite_rules();
		add_filter("manage_edit-products_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-products_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("pr-categ", array("products"), array("hierarchical" => true, "label" => "Products Types", "singular_label" => "Products Type", "rewrite" => true));
		add_action("template_redirect", array(&$this, 'template_redirect'));
	}
	
	function edit_columns($columns) {
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"title" => "Product Title",
			"pr_thumb" => "Thumbnail",
			"pr_description" => "Description",
			"pr_price" => "Price",
			"pr_order" => "Order Number",
		);
		return $columns;
	}

	function template_redirect() {
		global $wp;
		if ($wp->query_vars["post_type"] == "products") {
			include(TEMPLATEPATH . "/theme/pages/single-product.php");
			die();
		}
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column) {
			case "pr_thumb":
				if (has_post_thumbnail() != ''){
					echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=100&amp;h=100&amp;zc=1" alt="" />';
				} else {
					echo '<em>It is no thumbnail.</em>';
				}
				break;
			case "pr_description":
				if(has_excerpt()) {
					the_excerpt();
				} elseif(get_the_content() != "") { 
					echo the_admin_content_limit(100);
				} else {
					echo '<em>It is no description.</em>';
				}
				break;
			case "pr_price":
				$pr_price = get_post_meta( $post->ID, 'product_price', true );
				if($pr_price != "") {
					echo $pr_price;
				} else {
					echo '0';
				}
				break;
			case "pr_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['pr_price'] = 'pr_price';
		$columns['pr_order'] = 'pr_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "products") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}

}
add_action("init", "ProductsInit");
function ProductsInit() { global $pr; $pr = new Products(); }



class Slides {

	function Slides() {
		$slides_labels = array(
			'name' => _x( 'Slides', 'post type general name' ),
			'singular_name' => _x( 'Slide', 'post type singular name' ),
			'add_new' => _x( 'Add New', 'slide' ),
			'add_new_item' => __( 'Add New' ),
			'edit_item' => __( 'Edit Slide' ),
			'new_item' => __( 'New Slide' ),
			'view_item' => __( 'View Slide' ),
			'search_items' => __( 'Search Slides' ),
			'not_found' =>  __( 'No slides found' ),
			'not_found_in_trash' => __( 'No slides found in Trash' ),
			'parent_item_colon' => ''
		);
		$slides_args = array(
			'labels' => $slides_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "slides",
			'menu_position' => 54, 
			'supports' => array('title', 'excerpt', 'thumbnail', 'page-attributes')
		);
		register_post_type('slides', $slides_args);
		flush_rewrite_rules();
		add_filter("manage_edit-slides_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-slides_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("sl-categs", array("slides"), array("hierarchical" => true, "label" => "Slide Categories", "singular_label" => "Slide Category", "rewrite" => true));
	}
	
	function edit_columns($columns) {
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"title" => "Slide Title",
			"sl_thumb" => "Thumbnail",
			"sl_description" => "Description",
			"sl_categs" => "Slide Categories",
			"sl_order" => "Order Number"
		);	
		return $columns;
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column) {
			case "sl_thumb":
				if (has_post_thumbnail() != ''){
					echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=150&amp;h=65&amp;zc=1" alt="" />';
				} else {
					echo '<em>It is no thumbnail.</em>';
				}
				break;
			case "sl_description":
				if(has_excerpt()){
					echo the_excerpt();
				} else {
					echo '<em>It is no description.</em>';
				}
				break;
			case "sl_categs":
				if(get_the_terms(0, "sl-categs") != "") {
					$sld_categs = get_the_terms(0, "sl-categs");
					$sld_categs_html = array();
					foreach ($sld_categs as $sld_categ)
						array_push($sld_categs_html, '<a href="' . get_term_link($sld_categ->slug, "sl-categs") . '">' . $sld_categ->name . '</a>');
				
					echo implode($sld_categs_html, ", ");
				} else {
					echo '<em>It is no categories.</em>';
				}
				break;
			case "sl_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['sl_order'] = 'sl_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "slides") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}

}
add_action("init", "SlidesInit");
function SlidesInit() { global $sl; $sl = new Slides(); }



class Portfolio {
		
	var $meta_fields = array("pt_imgs");
	
	function Portfolio() {
		$portfolio_labels = array(
			'name' => _x( 'Portfolio', 'post type general name' ),
			'singular_name' => _x( 'Projects', 'post type singular name' ),
			'add_new' => _x( 'Add New Project', 'portfolio' ),
			'add_new_item' => __( 'Add New Project' ),
			'edit_item' => __( 'Edit Project' ),
			'new_item' => __( 'New Project' ),
			'view_item' => __( 'View Project' ),
			'search_items' => __( 'Search Projects' ),
			'not_found' =>  __( 'No Projects found' ),
			'not_found_in_trash' => __( 'No Projects found in Trash' ),
			'parent_item_colon' => ''
		);
		$portfolio_args = array(
			'labels' => $portfolio_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "portfolio",
			'menu_position' => 55, 
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'page-attributes')
		);
		register_post_type('portfolio', $portfolio_args);
		flush_rewrite_rules();
		add_filter("manage_edit-portfolio_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-portfolio_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("pt-sort-categ", array("portfolio"), array("hierarchical" => true, "label" => "Project Categories", "singular_label" => "Project Category", "rewrite" => true));
		register_taxonomy("pt-categ", array("portfolio"), array("hierarchical" => true, "label" => "Portfolio Types", "singular_label" => "Portfolio Type", "rewrite" => true));
		add_action("template_redirect", array(&$this, 'template_redirect'));
		add_action("admin_init", array(&$this, "admin_init"));
		add_action("wp_insert_post", array(&$this, "wp_insert_post"), 10, 2);
	}
	
	function edit_columns($columns) {
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"title" => "Portfolio Title",
			"pt_thumb" => "Thumbnail",
			"pt_description" => "Description",
			"pt_sort_categ" => "Projects Categories",
			"pt_order" => "Order Number"
		);
		return $columns;
	}

	function template_redirect() {
		global $wp;
		if ($wp->query_vars["post_type"] == "portfolio") {
			include(TEMPLATEPATH . "/theme/pages/single-portfolio.php");
			die();
		}
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column){
			case "pt_thumb":
				if (has_post_thumbnail() != ''){
					echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=150&amp;h=75&amp;zc=1" alt="" />';
				} else {
					echo '<em>It is no thumbnail.</em>';
				}
				break;
			case "pt_description":
				if(has_excerpt()){
					the_excerpt();
				} elseif(get_the_content() != "") { 
					echo the_admin_content_limit(100);
				} else {
					echo '<em>It is no description.</em>';
				}
				break;
			case "pt_sort_categ":
				if(get_the_terms(0, "pt-sort-categ") != "") {
					$pt_sort_categs = get_the_terms(0, "pt-sort-categ");
					$pt_sort_categs_html = array();
					foreach ($pt_sort_categs as $pt_sort_categ)
						array_push($pt_sort_categs_html, '<a href="' . get_term_link($pt_sort_categ->slug, "pt-sort-categ") . '">' . $pt_sort_categ->name . '</a>');
				
					echo implode($pt_sort_categs_html, ", ");
				} else {
					echo '<em>It is no categories.</em>';
				}
				break;
			case "pt_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['pt_order'] = 'pt_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "portfolio") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}
	
	function admin_init() {
		add_meta_box("pt-meta", "Attached Images", array(&$this, "meta_options"), "portfolio", "side", "low");
	}
	
	function meta_options() {
		global $post;
		$custom = get_post_custom($post->ID);
		$imgs = $custom["pt_imgs"][0];
		function get_attachments($postID, $type, $theone){
			$args = array(
				'post_type' => 'attachment',
				'numberposts' => -1,
				'post_status' => null,
				'post_parent' => $postID,
				'orderby' => 'menu_order',
				'order' => 'ASC'
			);
			$attachments = get_posts($args);
			if ($attachments){
				$ci = 0;
				echo '<ul id="folio_imgs" style="padding:0 0 0 5px;">';
				foreach ($attachments as $attachment) {
					$image = wp_get_attachment_image_src($attachment->ID, 'thumbnail');
					echo '<li style="float:left; display:block; padding:0 8px 2px 0;" id="'.$attachment->ID.'"><a class="thickbox" title="Add an Image" href="media-upload.php?post_id='.$postID.'&type=image&TB_iframe=1&width=640&height=525" style="display:block; cursor:move;"><img style="border:1px solid #dfdfdf;" src="'.$image[0].'" height="55" width="55" alt="" /></a></li>';
					$ci++;
				}
				echo '</ul>';
				echo '<input type="hidden" name="'.$type.'" value="'.$ci.'" />';
				echo '<div style="clear:both;"></div>';
			} else {
				echo '<p><em><a class="thickbox" title="Add an Image" href="media-upload.php?post_id='.$postID.'&type=image&TB_iframe=1&width=640&height=525">Please upload images</a></em></p><br />';
			}
		}
		echo '<img src="'.get_site_url().'/wp-admin/images/wpspin_light.gif" id="loading-animation" style="float:right; display:none;" />';
		echo '<p>Portfolio Images:</p>';
		echo '<style>#folio_imgs li.ui-sortable-placeholder {display:block; width:55px; height:55px; float:left; margin:0 8px 8px 0; background:#ffffe0; border:1px solid #e6db55;}</style>';
		get_attachments($post->ID, 'pt_imgs', $imgs);
	}

}
add_action("init", "PortfolioInit");
function PortfolioInit() { global $pt; $pt = new Portfolio(); }



class Gallery {
	
	var $meta_fields = array("gl_imgs");
	
	function Gallery() {
		$gallery_labels = array(
			'name' => _x( 'Gallery', 'post type general name' ),
			'singular_name' => _x( 'Albums', 'post type singular name' ),
			'add_new' => _x( 'Add New Album', 'gallery' ),
			'add_new_item' => __( 'Add New Album' ),
			'edit_item' => __( 'Edit Album' ),
			'new_item' => __( 'New Album' ),
			'view_item' => __( 'View Album' ),
			'search_items' => __( 'Search Albums' ),
			'not_found' =>  __( 'No Albums found' ),
			'not_found_in_trash' => __( 'No Albums found in Trash' ),
			'parent_item_colon' => ''
		);
		$gallery_args = array(
			'labels' => $gallery_labels,
			'public' => true,
			'show_ui' => true,
			'_builtin' => false,
			'_edit_link' => 'post.php?post=%d',
			'capability_type' => 'post',
			'hierarchical' => false,
			'rewrite' => true,
			'query_var' => "gallery",
			'menu_position' => 56, 
			'supports' => array('title', 'editor', 'excerpt', 'thumbnail', 'page-attributes')
		);
		register_post_type('gallery', $gallery_args);
		flush_rewrite_rules();
		add_filter("manage_edit-gallery_columns", array(&$this, "edit_columns"));
		add_action("manage_posts_custom_column", array(&$this, "custom_columns"));
		add_filter("manage_edit-gallery_sortable_columns", array(&$this, "edit_sortable_columns"));
		register_taxonomy("gl-sort-categ", array("gallery"), array("hierarchical" => true, "label" => "Album Categories", "singular_label" => "Album Category", "rewrite" => true));
		register_taxonomy("gl-categ", array("gallery"), array("hierarchical" => true, "label" => "Gallery Types", "singular_label" => "Gallery Type", "rewrite" => true));
		add_action("template_redirect", array(&$this, 'template_redirect'));
		add_action("admin_init", array(&$this, "admin_init"));
		add_action("wp_insert_post", array(&$this, "wp_insert_post"), 10, 2);
	}

	function edit_columns($columns) {
		$columns = array(
			"cb" => "<input type=\"checkbox\" />",
			"title" => "Album Title",
			"gl_thumb" => "Thumbnail",
			"gl_description" => "Description",
			"gl_sort_categ" => "Album Categories",
			"gl_order" => "Order Number",
		);
		return $columns;
	}

	function template_redirect() {
		global $wp;
		if ($wp->query_vars["post_type"] == "gallery") {
			include(TEMPLATEPATH . "/theme/pages/single-album.php");
			die();
		}
	}
	
	function custom_columns($column) {
		global $post;
		switch ($column) {
			case "gl_thumb":
				if (has_post_thumbnail() != ''){
					echo '<img src="'.get_template_directory_uri().'/theme/classes/timthumb.php?src='.get_image_path(get_the_ID()).'&amp;w=150&amp;h=75&amp;zc=1" alt="" />';
				} else {
					echo '<em>It is no thumbnail.</em>';
				}
				break;
			case "gl_description":
				if(has_excerpt()) {
					the_excerpt();
				} elseif(get_the_content() != "") { 
					echo the_admin_content_limit(100);
				} else {
					echo '<em>It is no description.</em>';
				}
				break;
			case "gl_sort_categ":
				if(get_the_terms(0, "gl-sort-categ") != "") {
					$gl_sort_categs = get_the_terms(0, "gl-sort-categ");
					$gl_sort_categs_html = array();
					foreach ($gl_sort_categs as $gl_sort_categ)
						array_push($gl_sort_categs_html, '<a href="' . get_term_link($gl_sort_categ->slug, "gl-sort-categ") . '">' . $gl_sort_categ->name . '</a>');
				
					echo implode($gl_sort_categs_html, ", ");
				} else {
					echo '<em>It is no categories.</em>';
				}
				break;
			case "gl_order":
				global $post;
				$custom_post = get_post($post->ID);
				$custom = $custom_post->menu_order;
				echo $custom;
				break;
		}
	}

	function edit_sortable_columns($columns){
		$columns['gl_order'] = 'gl_order';
		return $columns;
	}
	
	function wp_insert_post($post_id, $post = null) {
		if ($post->post_type == "gallery") {
			foreach ($this->meta_fields as $key) {
				$value = @$_POST[$key];
				if (empty($value)) {
					delete_post_meta($post_id, $key);
					continue;
				}
				if (!is_array($value)) {
					if (!update_post_meta($post_id, $key, $value)) {
						add_post_meta($post_id, $key, $value);
					}
				} else {
					delete_post_meta($post_id, $key);
					foreach ($value as $entry)
						add_post_meta($post_id, $key, $entry);
				}
			}
		}
	}

	function admin_init() {
		add_meta_box("gl-meta", "Attached Images", array(&$this, "meta_options"), "gallery", "side", "low");
	}
	
	function meta_options() {
		global $post;
		$custom = get_post_custom($post->ID);
		$imgs = $custom["gl_imgs"][0];
		function get_attachments($postID,$type,$theone) {
			$args = array(
				'post_type' => 'attachment',
				'numberposts' => -1,
				'post_status' => null,
				'post_parent' => $postID,
				'orderby' => 'menu_order',
				'order' => 'ASC'
			);
			$attachments = get_posts($args);
			if ($attachments){
				$ci = 0;
				echo '<ul id="gal_imgs" style="margin:0 -8px 0 1px;">';
				foreach ($attachments as $attachment) {
					$image = wp_get_attachment_image_src($attachment->ID,'thumbnail');
					echo '<li style="float:left; display:block; padding:0 9px 3px 0;" id="'.$attachment->ID.'"><a class="thickbox" title="Add an Image" href="media-upload.php?post_id='.$postID.'&type=image&TB_iframe=1&width=640&height=525" style="display:block; cursor:move;"><img style="border:1px solid #dfdfdf;" src="'.$image[0].'" height="55" width="55" alt="" /></a></li>';
					$ci++;
				}
				echo '</ul>';
				echo '<input type="hidden" name="'.$type.'" value="'.$ci.'" />';
				echo '<div style="clear:both;"></div>';
			} else {
				echo '<p><em><a class="thickbox" title="Add an Image" href="media-upload.php?post_id='.$postID.'&type=image&TB_iframe=1&width=640&height=525">Please upload images</a></em></p><br />';
			}
		}
		echo '<img src="'.get_site_url().'/wp-admin/images/wpspin_light.gif" id="loading-animation" style="float:right; display:none;" />';
		echo '<p>Gallery Images:</p>';
		echo '<style>#gal_imgs li.ui-sortable-placeholder {display:block; width:55px; height:55px; float:left; margin:0 8px 8px 0; background:#ffffe0; border:1px solid #e6db55;}</style>';
		get_attachments($post->ID, 'gl_imgs', $imgs);
	}

}
add_action("init", "GalleryInit");
function GalleryInit() { global $gl; $gl = new Gallery(); }

function cmsmasters_save_imgs_order(){
	global $wpdb;
	
	$order = explode(',', $_POST['order']);
	$counter = 0;
	
	foreach ($order as $img_id){
		$wpdb->update($wpdb->posts, array('menu_order' => $counter), array('ID' => $img_id));
		
		$counter++;
	}
	
	die(1);
}
add_action('wp_ajax_imgs_sort', 'cmsmasters_save_imgs_order');



global $pagenow;

$pages = array('post.php');

if (in_array($pagenow, $pages)){
	wp_enqueue_script('jquery-ui-sortable');
	wp_enqueue_script('cmsmasters_slides', get_template_directory_uri().'/theme/administrator/js/sorting.js');
}



require_once('slides-sorting.php');
require_once('albums-sorting.php');
require_once('projects-sorting.php');



function plugin_header(){
	global $post_type; 
	?>
	<style type="text/css">
		<?php if (($_GET['post_type'] == 'slides') || ($post_type == 'slides' || $_GET['post_type'] == 'gallery') || ($post_type == 'gallery' || $_GET['post_type'] == 'portfolio') || ($post_type == 'portfolio')) : ?>
			#icon-edit { background:transparent url('<?php echo get_home_url();?>/wp-admin/images/icons32.png') no-repeat -251px -5px; }
		<?php endif; ?>
		
		#adminmenu #menu-posts-slides div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -33px; }
		#adminmenu #menu-posts-slides:hover div.wp-menu-image, #adminmenu #menu-posts-slides.wp-has-current-submenu div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -1px; }
		#adminmenu #menu-posts-gallery div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -33px; }
		#adminmenu #menu-posts-gallery:hover div.wp-menu-image, #adminmenu #menu-posts-gallery.wp-has-current-submenu div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -1px; }
		#adminmenu #menu-posts-portfolio div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -33px; }
		#adminmenu #menu-posts-portfolio:hover div.wp-menu-image, #adminmenu #menu-posts-portfolio.wp-has-current-submenu div.wp-menu-image { background:url('<?php echo get_home_url();?>/wp-admin/images/menu.png') no-repeat scroll -121px -1px; }
    </style>
<?php 
} 
add_action('admin_head', 'plugin_header');

?>
