<?php
/**
 * @package WordPress
 * @subpackage Clockstone_Theme_1.2
 */

get_header();

require CMSMASTERS_CLASSES.'/var.php';

$page_layout = get_post_meta(get_the_ID(), 'page_layout', true);
if (!$page_layout){ $page_layout = 'sidebar_bg'; }
$project_features = get_post_meta(get_the_ID(), 'project_features', true);
$project_content_type = get_post_meta(get_the_ID(), 'project_content_type', true); 
$project_video_url = get_post_meta(get_the_ID(), 'project_video_url', true);
$sharing_box = get_post_meta(get_the_ID(), 'sharing_box_active', true); 
$posts_box = get_post_meta(get_the_ID(), 'posts_box_active', true); 
$attachments =& get_children('post_type=attachment&post_mime_type=image&post_parent='.get_the_ID().'&orderby=menu_order&order=ASC'); 

?>


<!-- _________________________ Start Content _________________________ -->
					<?php 
						if ($page_layout == 'sidebar_bg'){
							echo '<div id="content">';
						} elseif ($page_layout == 'sidebar_bg sidebar_left'){
							echo '<div id="content" class="fr">';
						} else {
							echo '<div class="middle_content">';
						}
						if (have_posts()) : the_post();
					?>
								<div class="entry">
									<?php 
										if ($page_layout == 'nobg'){ 
											if ($project_features && !empty($project_features)){
												$features = explode(";", $project_features);
												echo '<div class="fr" style="width:255px; padding:0 20px 0 45px;"><h3>'.__('Features', 'clockstone').'</h3><ul class="sidebar_arrow li_style_1">';
												foreach ($features as $feature){ 
													if ($feature != ''){ echo '<li>'.$feature.'</li>'; }
												}
												echo '</ul></div>';
											}
										}
									?>
									<?php
										the_content();
										wp_link_pages('before=<div><strong>'.__('Pages', 'clockstone').':</strong>&link_before= . &after=</div>');
									?>
									<?php 
										if ($page_layout == 'nobg'){ echo '<div class="cl"></div>'; }
										if (has_post_thumbnail()){ 
											if ($project_content_type == 'video' && $project_video_url != ''){
									?>
									<div id="project_<?php the_ID(); ?>">
										<?php 
											if ($page_layout == 'nobg'){ 
												echo get_video_iframe($project_video_url, '940', '600'); 
											} else {
												echo get_video_iframe($project_video_url, '620', '400'); 
											}
										?>
									</div>
									<br />
									<?php 
											} elseif ($project_content_type == 'gallery'){ 
												if (sizeof($attachments) > 1){
									?>
									<div id="project_<?php the_ID(); ?>">
										<?php foreach ($attachments as $attachment){ ?>
											<p><a href="<?php echo $attachment->guid; ?>" rel="prettyPhoto[project_<?php the_ID(); ?>]"><img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path_attachments($attachment->guid); if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="<?php echo $attachment->post_title; ?>" class="noimgbg" /></a></p>
										<?php } ?>
									</div>
									<?php } else { ?>
									<span class="image_shadow_container bloghov">
										<a href="<?php echo get_image_path(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930'; } else { echo '&amp;w=610'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
									<?php 
												}
											} elseif ($project_content_type == 'slider'){ 
												if (sizeof($attachments) > 1){
									?>
									<div class="shortcode_slideshow" id="project_<?php the_ID(); ?>">
										<div class="shortcode_slideshow_body">
											<script type="text/javascript">
												jQuery(window).load(function(){
													jQuery('#project_<?php the_ID(); ?> .shortcode_slideshow_container').slides({
														container:'shortcode_slideshow_slides',
														preload:true,
														<?php if ($theme_skin == true){ ?>
														preloadImage:'<?php echo get_template_directory_uri(); ?>/images/loader_for_dark.gif',
														<?php } else { ?>
														preloadImage:'<?php echo get_template_directory_uri(); ?>/images/loader_for_light.gif',
														<?php } ?>
														generateNextPrev:true,
														next:'next',
														prev:'prev',
														pagination:true,
														generatePagination:true,
														paginationClass:'shortcode_slideshow_pager',
														slideSpeed:500,
														play:0,
														pause:0,
														autoHeight:true
													});
												});
											</script>
											<div class="shortcode_slideshow_container">
												<ul class="shortcode_slideshow_slides">
												<?php foreach ($attachments as $attachment){ ?>
													<li><a href="<?php echo $attachment->guid; ?>" rel="prettyPhoto[project_<?php the_ID(); ?>]"><img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path_attachments($attachment->guid); if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="<?php echo $attachment->post_title; ?>" class="noimgbg" /></a></li>
												<?php } ?>
												</ul>
											</div>
										</div>
									</div>
									<br />
									<?php } else { ?>
									<span class="image_shadow_container bloghov">
										<a href="<?php echo get_image_path_array(get_the_ID()); ?>" rel="prettyPhoto" title="<?php if ($headingtools_active == 'custom' && $headingtools_title != ''){ echo $headingtools_title; } else { the_title(); } ?>">
											<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); if ($page_layout == 'nobg'){ echo '&amp;w=930'; } else { echo '&amp;w=610'; } ?>" alt="" class="image_shadow" />
										</a>
										<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/image_shadow.png<?php if ($page_layout == 'nobg'){ echo '&amp;w=940'; } else { echo '&amp;w=620'; } ?>" alt="" class="noimgbg" />
									</span>
									<?php 
												}
											}
									?>
									<?php 
										}
										if ($sharing_box == 'true'){ 
									?>
										<div class="share_posts">
											<a href="#" class="share"><span><span><?php _e('Share This', 'clockstone'); ?></span></span></a>
											<div class="social"></div>
										</div>
									<?php
										}
										if ($posts_box == 'true'){ 
									?>
										<br />
										<div class="related_posts">
											<ul>
												<li><a href="#" class="current"><?php _e('Latest Projects', 'clockstone'); ?></a></li>
											</ul>
											<div class="related_posts_content">
												<?php 
													$r = new WP_Query(array('posts_per_page' => $portfolio_post_popularrecent_number, 'post_status' => 'publish', 'ignore_sticky_posts' => 1, 'post_type' => 'portfolio'));
													if ($r->have_posts()) :
													$numb = 0;
													while ($r->have_posts()) : $r->the_post(); 
														$numb = $numb + 1;
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '<div class="one_half last">'; } else { echo '<div class="one_half">'; }
												?>
													<table class="feature_shortcode">
														<tbody>
															<tr>
															<?php if (has_post_thumbnail()){ ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_image_path(get_the_ID()); ?>&amp;w=80&amp;h=80&amp;zc=1" alt="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } else { ?>
																<td>
																	<span class="image_shadow_container">
																		<a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>">
																			<img src="<?php echo get_template_directory_uri(); ?>/theme/classes/timthumb.php?src=<?php echo get_template_directory_uri(); ?>/images/no_thumbnail.jpg&amp;w=80&amp;h=80&amp;zc=1" alt="" class="noimgbg" />
																		</a>
																	</span>
																</td>
															<?php } ?>
																<td class="feature_txt"><a href="<?php the_permalink() ?>" title="<?php echo esc_attr(get_the_title() ? get_the_title() : get_the_ID()); ?>"><?php if ( get_the_title() ) the_title(); else the_ID(); ?></a></td>
															</tr>
														</tbody>
													</table>
												<?php 
														if ($numb == 2 || $numb == 4 || $numb == 6 || $numb == 8 || $numb == 10){ echo '</div><div class="cl"></div>'; } else { echo '</div>'; }
													endwhile;
													else : 
														_e('No Latest Projects Found', 'clockstone');
													endif;
													wp_reset_postdata();
												?>
											</div>
										</div>
									<?php
										}
										comments_template();
									?>
								</div>
							<?php endif; ?>
						</div>
<!-- _________________________ Finish Content _________________________ -->


<!-- _________________________ Start Sidebar _________________________ -->
					<?php if ($page_layout == 'sidebar_bg'){ ?>
						<div id="sidebar">
							<?php 
								if ($project_features && !empty($project_features)){
									$features = explode(";", $project_features);
									echo '<div class="widget"><h3 class="widgettitle">'.__('Features', 'clockstone').'</h3><ul class="sidebar_arrow li_style_1">';
									foreach ($features as $feature){ 
										if ($feature != ''){ echo '<li>'.$feature.'</li>'; }
									}
									echo '</ul></div>';
								}
							?>
							<?php get_sidebar(); ?>
						</div>
					<?php } elseif ($page_layout == 'sidebar_bg sidebar_left'){ ?>
						<div id="sidebar" class="fl">
							<?php 
								if ($project_features && !empty($project_features)){
									$features = explode(";", $project_features);
									echo '<div class="widget"><h3 class="widgettitle">'.__('Features', 'clockstone').'</h3><ul class="sidebar_arrow li_style_1">';
									foreach ($features as $feature){ 
										if ($feature != ''){ echo '<li>'.$feature.'</li>'; }
									}
									echo '</ul></div>';
								}
							?>
							<?php get_sidebar(); ?>
						</div>
					<?php } ?>
<!-- _________________________ Finish Sidebar _________________________ -->


<?php include TEMPLATEPATH.'/footer.php'; ?>
