/* Style Changer */

jQuery(document).ready(function(){
	jQuery('#stlChanger #bgColor').parent('a').ColorPicker({
		onChange:function(hsb, hex, rgb){
			jQuery('#stlChanger').find('#bgColor').css({backgroundColor:'#' + hex});
			jQuery('body').css({backgroundColor:'#' + hex});
		},
		onSubmit:function(hsb, hex, rgb, el){
			jQuery('#stlChanger .stCols span').removeClass('current');
			jQuery(el).find('#bgColor').css({backgroundColor:'#' + hex});
			jQuery(el).find('#bgColor').attr({title:hex});
			jQuery(el).ColorPickerHide();
		},
		onBeforeShow:function(){
			jQuery(this).ColorPickerSetColor(jQuery('#stlChanger').find('#bgColor').attr('title'));
		}
	});
	
	jQuery('#stlChanger .stCols span').click(function(){
		var bgCol = jQuery(this).attr('title');
		jQuery('#stlChanger .stCols span').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#stlChanger #bgColor').css({backgroundColor:'#'+bgCol});
		jQuery('#stlChanger #bgColor').attr({title:bgCol});
		jQuery('body').css({backgroundColor:'#'+bgCol});
	});

	jQuery('#stlChanger .stBgs a').click(function(){
		var bgBgCol = jQuery(this).attr('href');
		jQuery('#stlChanger .stBgs a').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#page').css({backgroundImage:'url(' + bgBgCol + ')'});
		if (jQuery(this).hasClass('bg_t')){
			jQuery('#page').css({backgroundRepeat:'repeat', backgroundPosition:'0 0', backgroundAttachment:'scroll'});
		} else {
			jQuery('#page').css({backgroundRepeat:'no-repeat', backgroundPosition:'50% 0', backgroundAttachment:'fixed'});
		}
		return false;
	});
	
	jQuery('#stlChanger a#black').click(function(){
		jQuery('#stlChanger a#white').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#middle').removeClass('white_ver');
		return false;
	});
	jQuery('#stlChanger a#white').click(function(){
		jQuery('#stlChanger a#black').removeClass('current');
		jQuery(this).addClass('current');
		jQuery('#middle').addClass('white_ver');
		return false;
	});
	
	jQuery('#gFont').change(function(){
		var gFontVal = $("#gFont option:selected").val();
		var gFontName = $("#gFont option:selected").text();
		if (jQuery('head').find('link#gFontName').length < 1){
			jQuery('head').append('<link id="gFontName" rel="stylesheet" type="text/css" href="" />');
		}
		if (jQuery('head').find('style#gFontStyles').length < 1){
			jQuery('head').append('<style id="gFontStyles" type="text/css"></style>');
		}
		jQuery('link#gFontName').attr({href:'http://fonts.googleapis.com/css?family=' + gFontVal + ':rerular,italic,bold,bolditalic'});
		jQuery('style#gFontStyles').text('h1, h2, h3, h4, h5, h6, .quotation, .dropcap, .but_large_trans, .but_medium_trans, .but_large_white, .but_medium_white { font-family:"' + gFontName + '", "Trebuchet MS", Arial, "Helvetica CY", "Nimbus Sans L", sans-serif; }');
	});
	
	jQuery('#cFont').change(function(){
		var cFontVal = $("#cFont option:selected").val();
		if (jQuery('head').find('style#cFontStyles').length < 1){
			jQuery('head').append('<style id="cFontStyles" type="text/css"></style>');
		}
		jQuery('style#cFontStyles').text('body, .blockquote_mid_c, blockquote, code, small, .cont_nav, input[type="text"], textarea { font-family:' + cFontVal + '; }');
	});
	
	jQuery('#styleSave').click(function(){
		jQuery('#styleLoader').fadeIn(1000, function(){
			var $url = jQuery('#styleSave').attr('href');
			var $bgColor = jQuery('#stlChanger #bgColor').attr('title');
			var $bgImage = jQuery('#stlChanger .stBgs a.current').attr('href');
			var $bodyColor = jQuery('#stlChanger .buts.middleBg a.current').attr('id');
			var $headingFont = jQuery('#stlChanger #gFont option:selected').val();
			var $contentFont = jQuery('#stlChanger #cFont option:selected').val();
			
			if (jQuery('#stlChanger .stBgs a.current').attr('class').replace(' current', '') == 'bg_t'){
				var $bgImageVPos = 'top';
				var $bgImageHPos = 'left';
				var $bgImageRep = 'repeat';
				var $bgImageAtt = 'scroll';
			} else {
				var $bgImageVPos = 'top';
				var $bgImageHPos = 'center';
				var $bgImageRep = 'no-repeat';
				var $bgImageAtt = 'fixed';
			}
			
			jQuery.post($url, 
			{bgColor: $bgColor, bgImage: $bgImage, bgImageVPos: $bgImageVPos, bgImageHPos: $bgImageHPos, bgImageRep: $bgImageRep, bgImageAtt: $bgImageAtt, bodyColor: $bodyColor, headingFont: $headingFont, contentFont: $contentFont}, 
			function(data){
				jQuery('#styleLoader').fadeOut(1000);
				window.location.reload();
			});
		});
		return false;
	});
	
	jQuery('#styleReset').click(function(){
		jQuery('#styleLoader').fadeIn(1000, function(){
			var $remove = jQuery('#styleReset').attr('id');
			var $url = jQuery('#styleReset').attr('href');
			jQuery.post($url, 
			{remove: $remove}, 
			function(data){
				jQuery('#styleLoader').fadeOut(1000);
				window.location.reload();
			});
		});
		return false;
	});
	
	jQuery('.chBut').click(function(){
		if (jQuery(this).hasClass('closed')){
			jQuery(this).next('.chBody').css({display:'block'}).parent().animate({left:0}, 500, function(){
				jQuery(this).find('.chBut').removeClass('closed');
			});
		} else {
			jQuery(this).parent().animate({left:'-150px'}, 500, function(){
				jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
				jQuery(this).find('.chBut').addClass('closed');
			});
		}
		return false;
	});
	
	jQuery('.chBut').parent().delay(1000).animate({left:'-150px'}, 500, function(){
		jQuery(this).find('.chBut').next('.chBody').css({display:'none'});
		jQuery(this).find('.chBut').addClass('closed');
	});
});
